<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc, $suc)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th colspan="11">INFORMACION DE VENTA</th>
               <th rowspan="2">DOCUMENTOS</th>
               <th rowspan="2">OBSERVACION</th>
               <th rowspan="2" colspan="2">OPCIONES</th>
            </tr>
            <tr>
               <th>MET. PAGO</th>
               <th>CICLO</th>
               <th>VENTA</th>
               <th>DEUDA</th>
               <th>CODIGO</th>
               <th>DATOS VENDEDOR</th>
               <th>DATOS CLIENTE</th>
               <th>DIRECCION</th>
               <th>F. PEDIDO</th>
               <th>F. ENTREGA</th>
               <th>DEPOSITO</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            $cn = 1;
            $conectado = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE prod_suc_in='$suc' AND estado='VENTA' ");
            foreach ($conectado as $c) {
            ?>
               <tr style="<?php echo row_color($cn); ?>">
                  <td align="center" data-label="METODO DE PAGO:" class="bg-<?php echo c_m(); ?>">
                     <?php echo $c['metodo_pago']; ?>
                  </td>
                  <td align="center" data-label="PROMOCION:" class="bg-default">
                     <?php echo $c['prod_prom'] ? 'SI' : 'NO'; ?>
                  </td>
                  <td align="center" data-label="METODO DE PAGO:" class="bg-default">
                     <?php echo $c['tipo_venta']; ?>
                  </td>
                  <td align="right" data-label="DEUDA: " class="bg-default">
                     <?php echo deuda_user($dbc, $c['r_ci']); ?>
                  </td>
                  <td align="center" data-label="CODIGO: ">
                     <b><?php echo cod_venta($c['r_user_name'], $c['clie_mercado'], $c['id']); ?></b>
                  </td>
                  <td align="left" data-label="CLIENTE: ">
                     <?php echo $c['r_user_name']; ?> <?php echo $c['r_phone']; ?>
                  </td>
                  <td align="left" data-label="CLIENTE: ">
                     <?php echo $c['clie_n']; ?> <?php echo $c['clie_cel']; ?>
                  </td>
                  <td align="left" data-label="DIRECCION: " style="cursor: pointer" onclick="PopupCenter('https://maps.google.com/maps?&z=13&mrt=yp&t=k&q=<?php echo $c['clie_lat']; ?>+<?php echo $c['clie_lon']; ?>', 'xtf', '1100', '590');">
                     <?php echo $c['clie_dir']; ?>
                  </td>
                  <td align="center" data-label="FECHA: ">
                     <?php echo $c['r_fp']; ?> <?php echo $c['r_fp_time']; ?>
                  </td>
                  <td align="center" data-label="FECHA: ">
                     <?php echo $c['r_fe']; ?> <?php echo $c['trans_fe_time']; ?>
                  </td>
                  <td align="right" data-label="CODIGO: ">
                     <b><?php echo number_format($c['bs_tndi'], 2); ?></b>
                  </td>
                  <td align="center" data-label="OPCIONES: ">
                     <?php if ($c['prod_prom'] > 0) {
                        $c_prom = '<i class="ion-star"></i>';
                     } else {
                        $c_prom = '<i class="ion-clipboard"></i>';
                     } ?>
                     <button style="width: 55px" class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="PopupCenter('../../icp.systems.tools/pdf/order_request.php?r_cod=<?php echo $c['r_cod'] ?>&r_ci=<?php echo $c['r_ci']; ?>&suc=<?php echo $c['prod_suc_in']; ?>', 'xtf', '800', '800');">
                        <?php echo $c_prom; ?> <span> Solicitud </span>
                     </button>
                  </td>
                  <td align="center" onclick="mod_obs(<?php echo $c['id']; ?>, this)" style="font-weight: bold; cursor: pointer"><?php echo $c['aut_obs']; ?></td>
                  <td align="center" data-label="OPCIONES: ">
                     <button style="width: 60px" class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="autorizar('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>')">
                        <i class="ion-checkmark"></i> <span>Autorizar</span>
                     </button>
                  </td>
                  <td align="center" data-label="OPCIONES: ">
                     <button style="width: 60px" class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="revertir('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>')">
                        <i class="ion-checkmark"></i> <span>Revertir</span>
                     </button>
                  </td>
               </tr>
            <?php
               $cn++;
            } ?>
         </tbody>
      </table>
      <div class="alert alert-<?php echo c_m(); ?>" style="margin: 2px;">
         <strong>Notificacion: </strong>
         para la *AUTORIZACION* de la venta, debe de verificar los datos de deuda, si el pedido esta correctamente ingresado, asi como tambien sus estados. <br>
         De ser correctos seleccione la fila de alguna de las ventas para poner alguna observacion haciendo click en la celda de *OBSERVACION* y dirijase a presionar el boton *AUTORIZAR* para pasar al siguiente proceso de *DESPACHOS*.
      </div>
<?php
   }
   public function mod_celda($dbc)
   {
      $m0 = $_POST['m0'];
      $obs = $_POST['observacion'];
      $dbc->query("UPDATE cc_ipc_o_ven SET aut_obs='$obs' WHERE id='$m0'");
   }
   public function autorizar($dbc, $cod, $ci)
   {
      $dat_upd = $_SESSION['vsu7'] . ' ' . date('Y-m-d') . ' ' . date('H:i:s a');
      $dbc->query("UPDATE cc_ipc_o_ven SET estado='AUTORIZADO', aut_upd='$dat_upd' WHERE r_cod='$cod' AND r_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='AUTORIZADO' WHERE dr_cod='$cod' AND dr_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='AUTORIZADO' WHERE dr_cod='$cod' AND dr_ci='$ci'");
   }
   
   
   
   //REVERTIR PEDIDO
   public function revertir($dbc, $cod, $ci)
   {
      $dbc->query("UPDATE cc_ipc_o_ven SET estado='PREVENTA' WHERE r_cod='$cod' AND r_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='PREVENTA' WHERE dr_cod='$cod' AND dr_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='PREVENTA' WHERE dr_cod='$cod' AND dr_ci='$ci'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'search_sucursal':
      $action->search_sucursal();
      break;
   case 'mod_observacion':
      $action->mod_celda($dbc);
      break;
   case 'autorizar':
      $action->autorizar($dbc, $_POST['cod'], $_POST['ci']);
      break;
    case 'revertir':
      $action->revertir($dbc, $_POST['cod'], $_POST['ci']);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $_SESSION['vsu10']);
      break;
   default:
      break;
}
