<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc)
   {
?>

      <div class="col-lg-12">
         <table>
            <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
               <tr>
                  <th rowspan="2">ITEM</th>
                  <th colspan="2">DATOS PARA PRODUCTO</th>
                  <th colspan="2">DATOS FABRICANTE</th>
                  <th rowspan="2">OPCIONES</th>
               </tr>
               <tr>
                  <th>NUMERO DE LOTE</th>
                  <th>FECHA DE VENCIMIENTO</th>
                  <th>NOMBRE EMPRESA</th>
                  <th>OBSERVACION</th>
               </tr>
            </thead>
            <tbody style="<?php echo tbody(); ?>" id="searchdata">
               <?php
               $n = 1;
               $query = $dbc->query("SELECT * FROM cc_ipc_prod_lotes");
               if ($query->num_rows > 0) {
                  foreach ($query as $r) {
               ?>
                     <tr style="<?php echo row_color($n); ?>">
                        <td align="center" data-label=": " class="bg-<?php echo c_m(); ?>"><?php echo $n; ?></td>
                        <td align="center" data-label=": "><b><?php echo $r['lote']; ?></b></td>
                        <td align="center" data-label=": "><?php echo $r['f_venc']; ?></td>
                        <td align="center" data-label=": "><?php echo $r['fabricante']; ?></td>
                        <td align="left" data-label=": "><?php echo $r['obs']; ?></td>
                        <td align="center" data-label="OPCIONES: ">
                           <?php if ($r['est'] == 1) { ?>
                              <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="estado('<?php echo $r['id']; ?>', 0)"><i class="ion-checkmark"></i> Activo</button>
                              <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="eliminar('<?php echo $r['id']; ?>')"><i class="ion-trash-b"></i> Eliminar</button>
                           <?php } else { ?>
                              <button class="btn btn-xs btn-default" onclick="estado('<?php echo $r['id']; ?>', 1)"><i class="ion-checkmark"></i> Activo</button>
                              <button class="btn btn-xs btn-default"><i class="ion-trash-b"></i> Eliminar</button>
                           <?php } ?>
                        </td>
                     </tr>
               <?php
                     $n++;
                  }
               }
               ?>
            </tbody>
         </table>
      </div>
   <?php
   }
   public function form_add()
   {
   ?>
      <div class="bg-default titulo">NUEVO LOTE</div>
      <form autocomplete="off">
         <label style="width: 105px; text-align: left"><b>Nro de Lote <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="i1"><br>
         <label style="width: 105px; text-align: left"><b>Fecha Vencimiento <span style="color: red">*</span> :</b></label><input style="width: 200px" type="date" id="i2"><br>
         <label style="width: 105px; text-align: left"><b>Fabricante :</b></label><input style="width: 200px" type="text" id="i3"><br>
         <label style="width: 105px; text-align: left"><b>Observacion :</b></label><input style="width: 200px" type="text" id="i4"><br>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="add()"><i class="ion-checkmark"></i> Guardar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar(); limpiar(this.form)"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
<?php
   }
   public function add($dbc)
   {
      $query = $dbc->query("SELECT * FROM cc_ipc_prod_lotes WHERE lote='" . $_POST['i1'] . "'");
      if ($query->num_rows == 0) {
         $i1 = $_POST['i1'];
         $i2 = $_POST['i2'];
         $i3 = $_POST['i3'];
         $i4 = $_POST['i4'];
         $i5 = 1;
         $i6 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
         $i7 = '';
         $dbc->query("INSERT INTO cc_ipc_prod_lotes (id, lote, f_venc, fabricante, obs, est, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', $i5, '$i6', '$i7')");
      }
   }

   public function del($dbc)
   {
      $d0 = $_POST['d0'];
      $dbc->query("DELETE FROM cc_ipc_prod_lotes WHERE id='$d0'");
   }

   public function estado($dbc)
   {
      $e0 = $_POST['e0'];
      $est = $_POST['est'];
      $dbc->query("UPDATE cc_ipc_prod_lotes SET est='$est' WHERE id='$e0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'add':
      $action->add($dbc);
      break;
   case 'mod':
      $action->mod($dbc);
      break;
   case 'del':
      $action->del($dbc);
      break;
   case 'estado':
      $action->estado($dbc);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc);
      break;
   case 'form_add':
      $action->form_add();
      break;
   default:
      break;
}
