<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_functions.php';

$line->start();
$line->top1($dbc, '', 11, 'LOTES (Regional)', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
//$line->top2(1, 'NUEVO', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add"></div>
   <script type="text/javascript">
      function form_add() {
         fetch('<?php echo $file_functions; ?>?action=form_add')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add();
   </script>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;
      i4 = document.getElementById("i4").value;

      if (i1.length > 0 && i2.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         formData.append("i4", i4);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0, d7) {
      document.getElementById("d0").value = d0;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("d0", d0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ESTADO -->
<script type="text/javascript">
   function estado(e0, est) {
      var formData = new FormData();
      formData.append("action", "estado");
      formData.append("e0", e0);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>