<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc, $line)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th>CODIGO</th>
               <th>NOMBRE</th>
               <th>CATEGORIA/OPCIONES</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            $n = 0;
            $query = $dbc->query("SELECT * FROM cc_ipc_prod_cat ORDER BY n0, n1, n2 ASC");
            if ($query->num_rows > 0) {
               foreach ($query as $r) {
                  if ($r['n0'] != '0' and $r['n1'] == '00' and $r['n2'] == '00') {
                     $padding = 'padding-left: 0px; ';
                     $n_nivel = '❶ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] == '00') {
                     $padding = 'padding-left: 25px; ';
                     $n_nivel = '❷ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] != '0') {
                     $padding = 'padding-left: 50px; ';
                     $n_nivel = '❸ ';
                  }
            ?>
                  <tr style="<?php echo row_color($n); ?>">
                     <td align="center" data-label=": "><b> <?php echo $r['cod_cat']; ?></b></td>
                     <td align="left" data-label=": "><span style="<?php echo $padding; ?>"> <?php echo $n_nivel . $r['cat']; ?></span></td>
                     <td align="center" data-label="OPCIONES: ">
                        <?php if ($r['act_cat'] == 1) { ?>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="estado(<?php echo $r['id']; ?>, 0)"><i class="ion-checkmark"></i> Activo</button>
                        <?php } else { ?>
                           <button class="btn btn-xs btn-default" onclick="estado(<?php echo $r['id']; ?>, 1)"><i class="ion-checkmark"></i> Activo</button>
                        <?php } ?>
                     </td>
                  </tr>
            <?php
                  $n++;
               }
            } else {
               $line->list_empty(4);
            }
            ?>
         </tbody>
      </table>
<?php
   }
   public function add($dbc)
   {
      $i1 = str_pad($_POST['i1'], 2, "0", STR_PAD_LEFT);
      $i2 = str_pad($_POST['i2'], 2, "0", STR_PAD_LEFT);
      $i3 = str_pad($_POST['i3'], 2, "0", STR_PAD_LEFT);
      $i4 = 'CAT-' . str_pad($_POST['i1'], 2, "0", STR_PAD_LEFT) . str_pad($_POST['i2'], 2, "0", STR_PAD_LEFT) . str_pad($_POST['i3'], 2, "0", STR_PAD_LEFT);
      $i5 = strtoupper($_POST['i5']);
      $i6 = 1;
      $i7 = $_SESSION['vsu7'] . ' ' . date('Y-m-d H:i:s a');
      $i8 = '';
      $dbc->query("INSERT INTO cc_ipc_prod_cat (id, n0, n1, n2, cod_cat, cat, act_cat, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', $i6, '$i7', '$i8')");
   }

   public function mod($dbc)
   {
      $m0 = $_POST['m0'];
      $m5 = $_POST['m5'];
      $m8 = $_SESSION['vsu7'] . ' ' . date('Y-m-d H:i:s a');
      $dbc->query("UPDATE cc_ipc_prod_cat SET cat='$m5', dat_upd='$m8' WHERE id='$m0'");
   }

   public function del($dbc)
   {
      $d0 = $_POST['d0'];
      $dbc->query("DELETE FROM cc_ipc_prod_cat WHERE id='$d0'");
   }

   public function estado($dbc)
   {
      $e0 = $_POST['e0'];
      $est = $_POST['est'];
      $dbc->query("UPDATE cc_ipc_prod_cat SET act_cat='$est' WHERE id='$e0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'add':
      $action->add($dbc);
      break;
   case 'mod':
      $action->mod($dbc);
      break;
   case 'del':
      $action->del($dbc);
      break;
   case 'estado':
      $action->estado($dbc);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $line);
      break;
   default:
      break;
}
