<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

include '../../icp.systems.tools/vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;

if (isset($_POST["importar"])) {
   $namearchivo = $_FILES["archivo"]["name"];

   if ($namearchivo == 'clientes_inicia_erp.xlsx') {
      $namearchivo = $_FILES["archivo"]["name"];
      $archivo_subido = $_FILES["archivo"]["tmp_name"];

      $rutadestino = '../../icp.systems.tools/office/' . $namearchivo;

      move_uploaded_file($archivo_subido, $rutadestino);

      $documento = IOFactory::load($rutadestino);
      $hoja_actual = $documento->getSheet(0);
      $num_filas = $hoja_actual->getHighestDataRow();
      $dbc->query("TRUNCATE TABLE cc_ipc_rcv_clie");
      for ($ind_fila = 2; $ind_fila <= $num_filas; $ind_fila++) {
         $p1 = intval(preg_replace('/[^0-9]+/', '', $hoja_actual->getCellByColumnAndRow(1, $ind_fila)), 10); //CI
         $p2 = $hoja_actual->getCellByColumnAndRow(2, $ind_fila); //NOMBRE
         $p3 = $hoja_actual->getCellByColumnAndRow(3, $ind_fila); //CELULAR
         $p4 = $hoja_actual->getCellByColumnAndRow(4, $ind_fila); //ENCARGADO
         $p5 = $hoja_actual->getCellByColumnAndRow(5, $ind_fila); //CELULAR
         $p6 = strtoupper($hoja_actual->getCellByColumnAndRow(6, $ind_fila)); //PARENTESCO
         $p7 = strtoupper($hoja_actual->getCellByColumnAndRow(7, $ind_fila)); //MERCADO
         $p8 = strtoupper($hoja_actual->getCellByColumnAndRow(8, $ind_fila)); //TIPO NEGOCIO
         $p9 = $hoja_actual->getCellByColumnAndRow(9, $ind_fila); //LUGAR REFERENCIA
         $p10 = $hoja_actual->getCellByColumnAndRow(10, $ind_fila); //CI VENDEDOR
         $p11 = 1; //ESTADO CLIENTE
         $p12 = $hoja_actual->getCellByColumnAndRow(11, $ind_fila); //RUTA IMAGEN
         $p13 = $hoja_actual->getCellByColumnAndRow(12, $ind_fila); //LAT
         $p14 = $hoja_actual->getCellByColumnAndRow(13, $ind_fila); //LON
         $p15 = strtoupper($hoja_actual->getCellByColumnAndRow(14, $ind_fila)); //ZONA
         $p16 = $hoja_actual->getCellByColumnAndRow(15, $ind_fila); //DIRECCION
         $p17 = date('Y-m-d H:i:s a');
         $p18 = ''; //dato para cuando exista modificacion
         $p19 = $hoja_actual->getCellByColumnAndRow(16, $ind_fila); //RAZON SOCIAL
         $p20 = $hoja_actual->getCellByColumnAndRow(17, $ind_fila); //NIT
         $p21 = $hoja_actual->getCellByColumnAndRow(18, $ind_fila); //EMAIL
         if ($p10 == true) {
            $dbc->query("INSERT INTO cc_ipc_rcv_clie (id, clie_ci, clie_n, clie_cel, clie_ne, clie_ce, clie_parentesco, clie_mercado, clie_tip_neg, clie_ref, clie_lat, clie_lon, clie_zone, clie_dir, clie_fac_rs1, clie_fac_ci1, clie_fac_email, clie_asigned_us, clie_est, clie_img, dat_add, dat_upd)
         VALUES (null, '$p1', '$p2', '$p3', '$p4', '$p5', '$p6', '$p7', '$p8', '$p9', '$p10', $p11, '$p12', '$p13', '$p14', '$p15', '$p16', '$p17', '$p18', '$p19', '$p20', '$p21')");
         }
      }
      echo  "<script>window.location.replace('n_lista.php');</script>";
   } else {
      $error_import = '
      <div class="alert alert-dark">
         <strong>Alerta: </strong>Documento no Compatible, el documento debe de ser <b>clientes_inicia_erp.xlsx</b>
      </div>';
   }
}


$line->start();
$line->top1($dbc, 'cc_ipc_rcv_clie', 11, 'CLIENTES', 'IMPORTAR');
$line->top2(1, 'LISTA', 'g_list.php');
$line->content();
?>
<div class="div col-lg-3"></div>
<div class="div col-lg-6">
   <div class="alert alert-dark">
      <strong>Alerta: </strong>Verifique correctamente los datos del archivo EXCEL ya que debe de estar guardado si tubo alguna modificacion, tenga en cuenta que se actualizaran toda la lista de sus CLIENTES.
   </div><?php echo $error_import; ?>
   <form action="" method="POST" enctype="multipart/form-data">
      <div class="div col-lg-6">
         <input type="file" name="archivo" required disabled>
      </div>
      <div class="div col-lg-6">
         <input type="submit" name="importar" class="btn btn-sm btn-block btn-default" value="IMPORTACION LISTA DE CLIENTES" disabled>
      </div>
   </form>
</div>
<div class="div col-lg-3"></div>
<?php $line->end(); ?>