<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_list_functions.php';

$line->start();
$line->top1($dbc, '', 11, 'REPORTE DE VENTAS EXCEL', '');
$line->top2(1, 'ACTUALIZAR', '');
$line->content();
?>
<div class="alert alert-<?php echo c_m(); ?>" style="margin: 2px;">
    <strong>Notificacion: </strong>
    La *INFORMACION* que se muestra a continuacion sera siempre correcta bajo las siguientes condiciones:<br>
    1. REVISAR CONSTANTEMENTE QUE TODOS LOS PROCESOS ESTEN CORRECTOS POR PARTE DEL PERSONAL<br>
    2. REVISAR LAS FECHAS DE PEDIDO, ESPECIALMENTE LOS DE ENTREGA QUE SON LAS QUE SE VALIDAN<br>
    3. SI ALGUNO DE LOS ESTADOS NO ESTA CORRECTO PUEDE QUE NO APARESCA LA INFORMACION REQUERIDA<br>
    4. BAJO CUALQUIER DETALLE SE DEBE DE SOLUCIONAR EN EL MOMENTO ASI ESTE PANEL MOSTRARA LA INFORMACION REAL (DEPENDIENDO SU USO CORRECTO)
</div>
<table>
    <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
        <tr style="font-size: 7px !important">
            <th>SUC</th>
            <th>NRO</th>
            <th>ESTADO</th>
            <th>CODIGO</th>
            <th>DESCRIPCION</th>
            <th>C/V</th>
            <th>P/U</th>
            <th>ST</th>
            <th>COD/V</th>
            <th>VENDEDOR</th>
            <th>FECHA</th>
            <th>C/RP</th>
            <th>P/RP</th>
            <th>ST2</th>
            <th>DISTRIBUDOR</th>
            <th>DIRECCION</th>
            <th>MERCADO / RUTA</th>
            <th>CLIENTE</th>
            <th>P/D/R</th>
            <th>P/AM</th>
            <th>SAL</th>
        </tr>
    </thead>
    <tbody style="<?php echo tbody(); ?>">
        <?php

        $sucursal =  $_SESSION['vsu10'];
        $estados = "'AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO'";
        $fecha1 = $_SESSION['fecha1'];
        $fecha2 = $_SESSION['fecha2'];


        $fila_repetida = '';

        $n = 1;
        $total = 0;
        $total_real = 0;

        $_tbonif = 0;

        $_tamortizado = 0;
        $_tsaldo = 0;

        $query = $dbc->query("SELECT metodo_pago, r_cod, r_ci, prod_suc_in, estado, p_category, p_cod, p_descr1, SUM(cant_out) AS cant_out, 
        d_p_pu, d_p_put, id, r_user_name, r_fe, SUM(cant_in) AS cant_in, SUM(bonif) AS bonif, (d_p_put - SUM(bonif)) AS sv, 
        trans_placa, propietario, clie_dir, clie_mercado, clie_id, clie_n, SUM(bs_a1) AS pd_rp, (bs_a - SUM(bs_a1)) AS bs_a, bs_s
        FROM (
            SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
                dv.d_p_pu, dv.d_p_put, v.id, v.r_user_name, v.r_fe, dv.cant_in, 0 AS bonif, 
                v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, 0 AS bs_a1, v.bs_a, v.bs_s
            FROM cc_ipc_o_ven v
            LEFT JOIN cc_ipc_o_ven_det dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
            LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
            WHERE v.prod_suc_in = '$sucursal'
            AND v.estado IN ($estados)
            AND v.r_fe BETWEEN '$fecha1' AND '$fecha2'
            AND dv.p_cod IS NOT NULL
        
            UNION ALL
        
            SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
                dv.d_p_pu, dv.d_p_put, v.id, v.r_user_name, v.r_fe, dv.cant_in, dv.d_p_put AS bonif, 
                v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, dv.d_p_put AS bs_a1, 0 AS bs_a, 0 AS bs_s
            FROM cc_ipc_o_ven v
            LEFT JOIN cc_ipc_i_dev_det dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
            LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
            WHERE v.prod_suc_in = '$sucursal'
            AND v.estado IN ($estados)
            AND v.r_fe BETWEEN '$fecha1' AND '$fecha2'
            AND dv.p_cod IS NOT NULL
                    
            UNION ALL
            
            SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
                    (dv.d_p_put/dv.cant_out) AS d_p_pu, dv.d_p_put, v.id, CONCAT(v.r_user_name, '-BONIF') AS r_user_name, v.r_fe, dv.cant_in, 0 AS bonif,
                    v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, 0 AS bs_a1, dv.d_p_put AS bs_a, 0 AS bs_s
            FROM cc_ipc_o_ven v
            LEFT JOIN cc_ipc_o_ven_det_prom dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
            LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
            WHERE v.prod_suc_in = '$sucursal' 
                AND v.estado IN ($estados) 
                AND v.r_fe BETWEEN '$fecha1' AND '$fecha2' 
                AND dv.p_cod IS NOT NULL
        ) a
        GROUP BY metodo_pago, r_cod, r_ci, prod_suc_in, estado, p_category, p_cod, id, r_user_name, r_fe, trans_placa, propietario, clie_dir, clie_mercado, clie_id, clie_n
        ORDER BY id, r_user_name ASC");
        foreach ($query as $r) {

            if ($r['estado'] == 'REBOTE TOTAL') {
                $color = 'color: red';
            } else if ($r['estado'] == 'REBOTE PARCIAL') {
                $color = 'color: blue';
            } else if ($r['estado'] == 'DESPACHADO') {
                $color = 'color: #b000b1';
            } else {
                $color = 'color: #5c5c5c';
            }
        ?>
            <tr style="<?php echo row_color($r['id']); ?>; font-size: 7px; <?php echo $color; ?>">
                <td align="center" data-label=": " class="bg-<?php echo c_m(); ?>">
                    <?php echo name_suc($dbc, $r['prod_suc_in']); ?>
                </td>
                <td align="center" data-label=": " class="bg-default">
                    <?php echo $n; ?>
                </td>
                <td align="left" data-label=": ">
                    <b><?php echo $r['estado']; ?></b>
                </td>
                <td align="left" data-label=": ">
                    <?php echo $r['p_cod']; ?>
                </td>
                <td align="left" data-label=": ">
                    <?php echo ucwords(strtolower($r['p_descr1'])); ?>
                </td>
                <td align="center" data-label=": " style="background-color: #f2f50b45">
                    <b><?php echo $r['cant_out']; ?></b>
                </td>
                <td align="right" data-label=": ">
                    <?php echo round($r['d_p_pu'], 2); ?>
                </td>
                <td align="right" data-label=": ">
                    <?php echo $r['d_p_put'];
                    $total = $total + $r['d_p_put']; ?>
                </td>
                <td align="left" data-label=": " style="background-color: #f2f50b45">
                    <b><?php echo cod_venta($r['r_user_name'], $r['clie_mercado'], $r['id']); ?></b>
                </td>
                <td align="left" data-label=": ">
                    <?php echo $r['r_user_name']; ?>
                </td>
                <td align="center" data-label=": ">
                    <?php echo $r['r_fe']; ?>
                </td>
                <td align="center" data-label=": ">
                    <?php echo $r['cant_in']; ?>
                </td>
                <td align="right" data-label=": ">
                    <?php echo $r['bonif'];
                    $_tbonif = $_tbonif + $r['bonif'];
                    ?>
                </td>
                <td align="right" data-label=": " style="background-color: #f2f50b45">
                    <b>
                        <?php
                        echo $_sv = $r['sv'];
                        $total_real = $total_real + $_sv;
                        ?>
                    </b>
                </td>
                <td align="left" data-label=": ">
                    <?php echo ucwords(strtolower($r['propietario'])); ?>
                </td>
                <td align="left" data-label=": ">
                    <?php echo $r['clie_dir']; ?>
                </td>
                <td align="left" data-label=": ">
                    <?php echo $r['clie_mercado']; ?>
                </td>
                <td align="left" data-label=": ">
                    <?php echo $r['clie_n']; ?>
                </td>
                <td align="right" data-label=": " style="background-color: #f2f50b45">
                    <b><?php echo $r['pd_rp']; ?></b>
                </td>
                <td align="right" data-label=": " style="background-color: #92f5f045">
                    <b>
                        <?php
                        if ($fila_repetida != $r['id']) {
                            $_amortizado = $r['bs_a'] + $r['pd_rp'];
                        } else {
                            if (strpos($r['r_user_name'], "BONIF") !== false) {
                                $_amortizado = $r['sv'];
                            } else {
                                $_amortizado = 0;
                            }
                        }
                        echo $_amortizado;
                        $_tamortizado = $_tamortizado + $_amortizado;
                        ?>
                    </b>
                </td>
                <td align="right" data-label=": " style="background-color: #f54c0b38">
                    <b>
                        <?php
                        if ($fila_repetida != $r['id']) {
                            $_saldo = $r['bs_s'];
                        } else {
                            $_saldo = 0;
                        }
                        echo $_saldo;
                        $_tsaldo = $_tsaldo + $_saldo;

                        $fila_repetida = $r['id'];
                        ?>
                    </b>
                </td>
            </tr>
        <?php
            $n++;
        }
        ?>
    </tbody>
    <tfoot>
        <tr>
            <td colspan="7"></td>
            <td align="right"><b><?php echo $total; ?></b></td>
            <td colspan="4"></td>
            <td align="right"><b><?php echo $_tbonif; ?></b></td>
            <td align="right"><b><?php echo $total_real; ?></b></td>
            <td colspan="5"></td>
            <td align="right"><b><?php echo $_tamortizado; ?></b></td>
            <td align="right"><b><?php echo $_tsaldo; ?></b></td>
        </tr>
    </tfoot>
</table>
<?php $line->end0(); ?>