<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_functions.php';

$line->start();
$line->top1($dbc, '', 8, 'LIQUIDACIONES DE VENTAS (Regional)', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha1" value="<?php echo $_SESSION['fecha1'] ?>" onchange="fecha1()">
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha2" value="<?php echo $_SESSION['fecha2'] ?>" onchange="fecha2()">
</div>
<script>
   function fecha1() {
      f1 = document.getElementById("fecha1").value;
      var formData = new FormData();
      formData.append("action", "inicio");
      formData.append("f1", f1);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }

   function fecha2() {
      f2 = document.getElementById("fecha2").value;
      var formData = new FormData();
      formData.append("action", "fin");
      formData.append("f2", f2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<div class="div col-lg-2">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<div class="div col-lg-2">
   <select class="form-control" style="width: 100%; text-align: left" id="metodo_estado_venta" onchange="search_metodo_estado_venta()">
      <option value="">ESTADO DE VENTA . . .</option>
      <option value="RP/RT/E">REBOTE TOTAL / REBOTE PARCIAL / ENTREGADO</option>
   </select>
   <script type="text/javascript">
      document.getElementById("metodo_estado_venta").value = "<?php echo $_SESSION['metodo_estado_venta_actual']; ?>";

      function search_metodo_estado_venta() {
         metodo_estado_venta = document.getElementById("metodo_estado_venta").value;
         var formData = new FormData();
         formData.append('action', "search_metodo_estado_venta");
         formData.append("metodo_estado_venta", metodo_estado_venta);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-1">
   <select class="form-control" style="width: 100%; text-align: left" id="metodo_saldo" onchange="search_metodo_saldo()">
      <option value="">SALDO . . .</option>
      <option value="SIN SALDO">SIN SALDO</option>
      <option value="CON SALDO">CON SALDO</option>
   </select>
   <script type="text/javascript">
      document.getElementById("metodo_saldo").value = "<?php echo $_SESSION['metodo_saldo_actual']; ?>";

      function search_metodo_saldo() {
         metodo_saldo = document.getElementById("metodo_saldo").value;
         var formData = new FormData();
         formData.append('action', "search_metodo_saldo");
         formData.append("metodo_saldo", metodo_saldo);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-2">
   <select class="form-control" style="width: 100%; text-align: left" id="metodo_pago" onchange="search_metodo_pago()">
      <option value="">METODO PAGO . . .</option>
      <option value="CONTADO">CONTADO</option>
      <option value="CREDITO">CREDITO</option>
   </select>
   <script type="text/javascript">
      document.getElementById("metodo_pago").value = "<?php echo $_SESSION['metodo_pago_actual']; ?>";

      function search_metodo_pago() {
         metodo_pago = document.getElementById("metodo_pago").value;
         var formData = new FormData();
         formData.append('action', "search_metodo_pago");
         formData.append("metodo_pago", metodo_pago);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-2">
   <div id="select_transporte"></div>
   <script type="text/javascript">
      function select_transporte() {
         fetch('<?php echo $file_functions; ?>?action=select_transporte')
            .then(response => response.text())
            .then(data => {
               document.getElementById("select_transporte").innerHTML = data;
            })
            .catch(error => console.log('Error:', error));
      }
      select_transporte();
   </script>
   <script type="text/javascript">
      function search_transporte() {
         transporte = document.getElementById("transporte").value;
         var formData = new FormData();
         formData.append('action', "search_transporte");
         formData.append("transporte", transporte);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-2">
   <div id="select_users"></div>
   <script type="text/javascript">
      function select_users() {
         fetch('<?php echo $file_functions; ?>?action=select_users')
            .then(response => response.text())
            .then(data => {
               document.getElementById("select_users").innerHTML = data;
            })
            .catch(error => console.log('Error:', error));
      }
      select_users();
   </script>
   <script type="text/javascript">
      function search_user() {
         users = document.getElementById("users").value;
         var formData = new FormData();
         formData.append('action', "search_user");
         formData.append("users", users);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               select_client();
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-3">
   <div id="select_client"></div>
   <script type="text/javascript">
      function select_client() {
         fetch('<?php echo $file_functions; ?>?action=select_client')
            .then(response => response.text())
            .then(data => {
               document.getElementById("select_client").innerHTML = data;
            })
            .catch(error => console.log('Error:', error));
      }
      select_client();
   </script>
   <script type="text/javascript">
      function search_client() {
         client = document.getElementById("client").value;
         var formData = new FormData();
         formData.append('action', "search_client");
         formData.append("client", client);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<?php
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- MODIFICAR VENTA - REBOTE TOTAL -->
<div id="view_rebote_total" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="alert alert-<?php echo c_m(); ?>" style="margin: 2px;">
         <strong>Notificacion: </strong>
         Para su *AUTORIZACION* de *REBOTE TOTAL* verifique<br> que todos los productos que se *DESPACHO* <br>coincidan con los que esta *INGRESANDO*.
      </div><br>
      <div class="row titulo">Esta seguro de autorizar el <br>REBOTE TOTAL ? <br><br> CODIGO: <span id="codigo_venta"><span></div><br>
      <form autocomplete="off">
         <input type="hidden" id="rt1">
         <input type="hidden" id="rt2">
         <div class="div_buttons">
            <button style="margin: 0 1px; font-weight: bold" class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="rebote_total()"><i class="ion-checkmark"></i> AUTORIZAR</button>
            <button style="margin: 0 1px; font-weight: bold" class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function view_rebote_total(rt1, rt2, cod) {
      document.getElementById("rt1").value = rt1;
      document.getElementById("rt2").value = rt2;
      document.getElementById("codigo_venta").innerHTML = cod;
      document.getElementById("view_rebote_total").style.display = "grid";
   }

   function rebote_total() {
      rt1 = document.getElementById("rt1").value;
      rt2 = document.getElementById("rt2").value;
      var formData = new FormData();
      formData.append("action", "rebote_total");
      formData.append("rt1", rt1);
      formData.append("rt2", rt2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>







<?php $line->end(); ?>