<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_pack_off_all_functions.php';

$line->start();
$line->top1($dbc, '', 7, 'LISTA DE ENTREGAS (Detalle Cronologico de Ventas) (Nacional)', '');
?>
<div class="div col-lg-1">
   <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
      <?php
      $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
      foreach ($select_s as $ss) {
      ?>
         <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

      function search_sucursal() {
         suc = document.getElementById("suc").value;
         var formData = new FormData();
         formData.append('action', "search_sucursal");
         formData.append("suc", suc);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha1" value="<?php echo $_SESSION['fecha1'] ?>" onchange="fecha1()">
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha2" value="<?php echo $_SESSION['fecha2'] ?>" onchange="fecha2()">
</div>
<script>
   function fecha1() {
      f1 = document.getElementById("fecha1").value;
      var formData = new FormData();
      formData.append("action", "inicio");
      formData.append("f1", f1);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }

   function fecha2() {
      f2 = document.getElementById("fecha2").value;
      var formData = new FormData();
      formData.append("action", "fin");
      formData.append("f2", f2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<div class="div col-lg-2">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- MODIFICAR VENTA - REBOTE TOTAL -->
<div id="view_rebote_total" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="alert alert-<?php echo c_m(); ?>" style="margin: 2px;">
         <strong>Notificacion: </strong>
         Para su *AUTORIZACION* de *REBOTE TOTAL* verifique<br> que todos los productos que se *DESPACHO* <br>coincidan con los que esta *INGRESANDO*.
      </div><br>
      <div class="row titulo">Esta seguro de autorizar el <br>REBOTE TOTAL ? <br><br> CODIGO: <span id="codigo_venta"><span></div><br>
      <form autocomplete="off">
         <input type="hidden" id="rt1">
         <input type="hidden" id="rt2">
         <div class="div_buttons">
            <button style="margin: 0 1px; font-weight: bold" class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="rebote_total()"><i class="ion-checkmark"></i> AUTORIZAR</button>
            <button style="margin: 0 1px; font-weight: bold" class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function view_rebote_total(rt1, rt2, cod) {
      document.getElementById("rt1").value = rt1;
      document.getElementById("rt2").value = rt2;
      document.getElementById("codigo_venta").innerHTML = cod;
      document.getElementById("view_rebote_total").style.display = "grid";
   }

   function rebote_total() {
      rt1 = document.getElementById("rt1").value;
      rt2 = document.getElementById("rt2").value;
      var formData = new FormData();
      formData.append("action", "rebote_total");
      formData.append("rt1", rt1);
      formData.append("rt2", rt2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>







<?php $line->end(); ?>