<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo_normal.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_list_functions.php';

$line->start();
$line->top1($dbc, '', 8, 'VENTAS ASIGNADAS (Nacional)', '');
?>
<div class="div col-lg-1">
   <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
      <?php
      $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
      foreach ($select_s as $ss) {
      ?>
         <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

      function search_sucursal() {
         suc = document.getElementById("suc").value;
         var formData = new FormData();
         formData.append('action', "search_sucursal");
         formData.append("suc", suc);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               select_users();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-2">
   <div id="select_users"></div>
   <script type="text/javascript">
      function select_users() {
         fetch('<?php echo $file_functions; ?>?action=select_users')
            .then(response => response.text())
            .then(data => {
               document.getElementById("select_users").innerHTML = data;
            })
            .catch(error => console.log('Error:', error));
      }
      select_users();
   </script>
   <script type="text/javascript">
      function search_user() {
         users = document.getElementById("users").value;
         var formData = new FormData();
         formData.append('action', "search_user");
         formData.append("users", users);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<?php
$line->top2(1, 'MARKER MAPS', 'g_maps.php');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>

















<!-- VISUALIZAR -->
<div id="visualizar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div id="lista_venta"></div>
      <div class="div_buttons">
         <button style="margin: 0 1px;" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cerrar Ventana</button>
      </div>
   </div>
   <script type="text/javascript">
      function lista_venta(cod, ci) {
         fetch('<?php echo $file_functions; ?>?action=visualizar_venta&cod=' + cod + '&ci=' + ci)
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista_venta').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<script type="text/javascript">
   function visualizar(cod, ci) {
      lista_venta(cod, ci);
      document.getElementById("visualizar").style.display = "grid";
   }
</script>
<!-- MODIFICACION PRE REBOTE TOTAL -->
<div id="rebote_total" class="modal">
   <div class="div col-lg-12" style="color: white">
      <table style="background-color: #ffffff">
         <thead style="<?php echo thead(); ?>">
            <tr class="bg-default">
               <td colspan="2" style="text-align: center; font-size: 19px; height: 31px; font-weight: bold; color: white; vertical-align: middle">
                  <span id="rt_name"></span>
               </td>
            </tr>
            <tr class="bg-<?php echo c_m(); ?>">
               <td colspan="2" style="text-align: center; font-size: 19px; height: 31px; font-weight: bold; color: white; vertical-align: middle">MOTIVO - PRE REBOTE TOTAL</td>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>">
            <form method="post" style="margin: 0px">
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion1" style="font-size: 12px; font-weight: bold">Distribuidor Llego demasiado tarde</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion1" value="Distribuidor Llego demasiado tarde">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion2" style="font-size: 12px; font-weight: bold">Mala Atencion Distribuidor</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion2" value="Mala Atencion Distribuidor">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion3" style="font-size: 12px; font-weight: bold">No esta el Cliente</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion3" value="No esta el Cliente">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion4" style="font-size: 12px; font-weight: bold">Por precio muy caro</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion4" value="Por precio muy caro">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion5" style="font-size: 12px; font-weight: bold">Rechazado por mala calidad</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion5" value="Rechazado por mala calidad">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion6" style="font-size: 12px; font-weight: bold">Por Producto Dañado</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion6" value="Por Producto Dañado">
                  </td>
               </tr>

               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion7" style="font-size: 12px; font-weight: bold">Material incompleto</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion7" value="Material incompleto">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion8" style="font-size: 12px; font-weight: bold">Cliente no cuenta con dinero Suficiente</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion8" value="Cliente no cuenta con dinero Suficiente">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion9" style="font-size: 12px; font-weight: bold">Cliente ya no lo quiere</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion9" value="Cliente ya no lo quiere">
                  </td>
               </tr>
            </form>
         </tbody>
      </table>
      <script>
         document.addEventListener('DOMContentLoaded', function() {
            const radios = document.querySelectorAll('input[name="opciones"]');
            const rt_detalle = document.getElementById('rt_detalle');

            radios.forEach(function(radio) {
               radio.addEventListener('change', function() {
                  rt_detalle.value = this.value;
               });
            });
         });
      </script>
      <form autocomplete="off">
         <input type="hidden" id="rt_cod">
         <input type="hidden" id="rt_ci">
         <input type="hidden" id="rt_detalle">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="pre_rebote_total()"><i class="ion-compose"></i> Registrar Informacion</button>
            <button style="margin: 0 1px;" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function visualizar_rebote_total(cod, ci, name) {
      document.getElementById("rt_cod").value = cod;
      document.getElementById("rt_ci").value = ci;
      document.getElementById("rt_name").innerHTML = name;
      document.getElementById("rebote_total").style.display = "grid";
   }

   function pre_rebote_total() {
      rt_cod = document.getElementById("rt_cod").value;
      rt_ci = document.getElementById("rt_ci").value;
      rt_detalle = document.getElementById("rt_detalle").value;
      if (rt_detalle.length > 0) {
         var formData = new FormData();
         formData.append("action", "pre_rebote_total");
         formData.append("rt_cod", rt_cod);
         formData.append("rt_ci", rt_ci);
         formData.append("rt_detalle", rt_detalle);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
         cerrar();
      } else {
         alerta("Debe de Seleccionar una Opcion Obligatoriamente.")
      }
   }
</script>
<!-- MODIFICACION PRE REBOTE PARCIAL -->
<div id="rebote_parcial" class="modal">
   <div class="div col-lg-12" style="color: white">
      <table style="background-color: #ffffff">
         <thead style="<?php echo thead(); ?>">
            <tr class="bg-default">
               <td colspan="2" style="text-align: center; font-size: 19px; height: 31px; font-weight: bold; color: white; vertical-align: middle">
                  <span id="rp_name"></span>
               </td>
            </tr>
            <tr class="bg-<?php echo c_m(); ?>">
               <td colspan="2" style="text-align: center; font-size: 19px; height: 31px; font-weight: bold; color: white; vertical-align: middle">MOTIVO - PRE REBOTE PARCIAL</td>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>">
            <form method="post" style="margin: 0px">
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion1" style="font-size: 12px; font-weight: bold">Distribuidor Llego demasiado tarde</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion1" value="Distribuidor Llego demasiado tarde">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion2" style="font-size: 12px; font-weight: bold">Mala Atencion Distribuidor</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion2" value="Mala Atencion Distribuidor">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion3" style="font-size: 12px; font-weight: bold">No esta el Cliente</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion3" value="No esta el Cliente">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion4" style="font-size: 12px; font-weight: bold">Por precio muy caro</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion4" value="Por precio muy caro">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion5" style="font-size: 12px; font-weight: bold">Rechazado por mala calidad</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion5" value="Rechazado por mala calidad">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion6" style="font-size: 12px; font-weight: bold">Por Producto Dañado</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion6" value="Por Producto Dañado">
                  </td>
               </tr>

               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion7" style="font-size: 12px; font-weight: bold">Material incompleto</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion7" value="Material incompleto">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion8" style="font-size: 12px; font-weight: bold">Cliente no cuenta con dinero Suficiente</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion8" value="Cliente no cuenta con dinero Suficiente">
                  </td>
               </tr>
               <tr font-size: 12px; font-weight: bold>
                  <td>
                     <label for="opcion9" style="font-size: 12px; font-weight: bold">Cliente ya no lo quiere</label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="radio" name="opciones" id="opcion9" value="Cliente ya no lo quiere">
                  </td>
               </tr>
            </form>
         </tbody>
      </table>
      <script>
         document.addEventListener('DOMContentLoaded', function() {
            const radios = document.querySelectorAll('input[name="opciones"]');
            const rp_detalle = document.getElementById('rp_detalle');

            radios.forEach(function(radio) {
               radio.addEventListener('change', function() {
                  rp_detalle.value = this.value;
               });
            });
         });
      </script>
      <form autocomplete="off">
         <input type="hidden" id="rp_cod">
         <input type="hidden" id="rp_ci">
         <input type="hidden" id="rp_detalle">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="pre_rebote_parcial()"><i class="ion-compose"></i> Registrar Informacion</button>
            <button style="margin: 0 1px;" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function visualizar_rebote_parcial(cod, ci, name) {
      document.getElementById("rp_cod").value = cod;
      document.getElementById("rp_ci").value = ci;
      document.getElementById("rp_name").innerHTML = name;
      document.getElementById("rebote_parcial").style.display = "grid";
   }

   function pre_rebote_parcial() {
      rp_cod = document.getElementById("rp_cod").value;
      rp_ci = document.getElementById("rp_ci").value;
      rp_detalle = document.getElementById("rp_detalle").value;
      if (rp_detalle.length > 0) {
         var formData = new FormData();
         formData.append("action", "pre_rebote_parcial");
         formData.append("rp_cod", rp_cod);
         formData.append("rp_ci", rp_ci);
         formData.append("rp_detalle", rp_detalle);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
         cerrar();
      } else {
         alerta("Debe de Seleccionar una Opcion Obligatoriamente.")
      }
   }
</script>
<!-- MODIFICACION ENTREGADO -->
<div id="form_entregado" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br> ENTREGAR <br>este registro?<br>
         a: <span id="e_name"></span>
      </div><br>
      <form autocomplete="off">
         <input type="hidden" id="e_cod">
         <input type="hidden" id="e_ci">
         <div class="div_buttons">
            <button style="margin: 0 1px; width: 150px" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="entregado()"><i class="ion-arrow-right-a"></i> ENTREGAR</button>
            <button style="margin: 0 1px; width: 150px" class="btn btn-sm btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function visualizar_entregado(cod, ci, name) {
      document.getElementById("e_cod").value = cod;
      document.getElementById("e_ci").value = ci;
      document.getElementById("e_name").innerHTML = name;
      document.getElementById("form_entregado").style.display = "grid";
   }

   function entregado() {
      e_cod = document.getElementById("e_cod").value;
      e_ci = document.getElementById("e_ci").value;
      var formData = new FormData();
      formData.append("action", "entregado");
      formData.append("e_cod", e_cod);
      formData.append("e_ci", e_ci);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<?php $line->end(); ?>