<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_stock_functions.php';

$line->start();
$line->top1($dbc, '', 8, 'RESUMEN DE STOCK (Nacional)', '');
?>
<div class="div col-lg-1">
    <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
        <?php
        $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
        foreach ($select_s as $ss) {
        ?>
            <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
        <?php } ?>
    </select>
    <script type="text/javascript">
        document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

        function search_sucursal() {
            suc = document.getElementById("suc").value;
            var formData = new FormData();
            formData.append('action', "search_sucursal");
            formData.append("suc", suc);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
        }
    </script>
</div>
<div class="div col-lg-2">
    <select class="form-control" style="width: 100%; text-align: left" id="cat" onchange="search_categoria()">
        <option value="TODOS">TODOS </option>
        <?php
        $query = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE act_cat=1 ORDER BY n0, n1, n2 ASC");
        foreach ($query as $r) {
        ?>
            <option value="<?php echo $r['cod_cat']; ?>"><?php echo name_cat($dbc, $r['cod_cat']); ?> </option>
        <?php }
        ?>
    </select>
    <script type="text/javascript">
        document.getElementById("cat").value = "<?php echo $_SESSION['cat_actual']; ?>";

        function search_categoria() {
            cat = document.getElementById("cat").value;
            var formData = new FormData();
            formData.append('action', "search_categoria");
            formData.append("cat", cat);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
        }
    </script>
</div>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
//$line->top2(1, 'IMPRIMIR', '');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
    <div id="lista"></div>
    <script type="text/javascript">
        function lista() {
            fetch('<?php echo $file_functions; ?>?action=lista')
                .then(response => response.text())
                .then(html => {
                    document.getElementById('lista').innerHTML = html;
                })
                .catch(error => console.log('Error:', error));
        }
        lista();
    </script>
</div>
<?php $line->end(); ?>