<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
    public function fecha1()
    {
        $_SESSION['fecha1'] = $_POST['f1'];
    }
    public function fecha2()
    {
        $_SESSION['fecha2'] = $_POST['f2'];
    }
    public function lista($dbc, $suc)
    {
?>
        <table>
            <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
                <tr>
                    <th rowspan="2" align="center">MOTIVO</th>
                    <th rowspan="2" colspan="2" align="center">SUCURSALES</th>
                    <th colspan="3" align="center">PRODUCTO</th>
                    <th colspan="5" align="center">MOVIMIENTO DE CANTIDADES</th>
                    <th colspan="4" align="center">INFORMACION</th>


                </tr>
                <tr>
                    <th align="center">CODIGO</th>
                    <th align="center">COD PROD</th>
                    <th align="center">DESCRIPCION</th>
                    <th align="center">I / E / C</th>
                    <th align="center">DEV</th>
                    <th align="center">T / O</th>
                    <th align="center">T / D</th>
                    <th align="center">VENTA</th>
                    <th align="center">REGISTRADO POR</th>
                    <th align="center">AUTORIZADO POR</th>
                    <th align="center">AUTORIZADO POR</th>
                    <th align="center">ENTREGADO POR</th>
                </tr>
            </thead>
            <tbody style="<?php echo tbody(); ?>" id="searchdata">
                <?php
                if ($_SESSION['fecha1'] == true and $_SESSION['fecha2'] == true) {
                    $mm1 = $_SESSION['fecha1'];
                    $mm2 = $_SESSION['fecha2'];
                } else {
                    $mm1 = date('Y-m-d');
                    $mm2 = date('Y-m-d');
                }
                $n = 1;
                $query = $dbc->query("SELECT i, c, ci, s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14, s15, s16, s17 FROM
                (
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_in AS s0, r.prod_suc_out AS s1, d.p_category AS s2, 'INGRESO' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, d.cant_in AS s6, 0 AS s7, 0 AS s8, 0 AS s9, 0 AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.prod_upd AS s15, r.aut_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_i_com r, cc_ipc_i_com_det d
                    WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                    UNION ALL
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_in AS s0, r.prod_suc_out AS s1, d.p_category AS s2, 'INGRESO DEVOLUCION' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, 0 AS s6, d.cant_in AS s7, 0 AS s8, 0 AS s9, 0 AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.prod_upd AS s15, r.aut_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_i_dev r, cc_ipc_i_dev_det d
                    WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                    UNION ALL
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_out AS s0, d.p_sucursal AS s1, d.p_category AS s2, 'INGRESO TRANSFERENCIA' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, 0 AS s6, 0 AS s7, d.cant_in AS s8, 0 AS s9, 0 AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.prod_upd AS s15, r.aut_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_origen d
                    WHERE d.dr_est='ENTREGADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                    UNION ALL
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_in AS s0, d.p_sucursal AS s1, d.p_category AS s2, 'SALIDA TRANSFERENCIA' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, 0 AS s6, 0 AS s7, 0 AS s8, d.cant_in AS s9, 0 AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.prod_upd AS s15, r.aut_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_destino d
                    WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                    UNION ALL
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_in AS s0, r.prod_suc_out AS s1, d.p_category AS s2, 'SALIDA VENTA' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, 0 AS s6, 0 AS s7, 0 AS s8, 0 AS s9, d.cant_out AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.aut_upd AS s15, r.prod_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det d
                    WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                    UNION ALL
                    SELECT r.id AS i, r.r_cod AS c, r.r_ci AS ci, r.prod_suc_in AS s0, r.prod_suc_out AS s1, d.p_category AS s2, 'SALIDA VENTA CICLO' AS s3, d.p_cod AS s4, d.p_descr1 AS s5, 0 AS s6, 0 AS s7, 0 AS s8, 0 AS s9, d.cant_out AS s10, 0 AS s11, r.r_user_name AS s12, r.r_fp AS s13, r.r_fp_time AS s14, r.aut_upd AS s15, r.prod_upd AS s16, r.trans_upd AS s17 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det_prom d
                    WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
                ) s
                WHERE s0='$suc' AND s13>='$mm1' AND s13<='$mm2'
                ORDER BY s13, s14, s3, s4 DESC");
                if ($query->num_rows > 0) {
                    foreach ($query as $r) {
                ?>
                        <tr style="<?php echo row_color($n); ?>">
                            <td align="left" data-label=": " class="bg-<?php echo c_m(); ?>">
                                <?php echo $r['s3']; ?>
                            </td>
                            <td align="left" data-label=": " class="bg-<?php echo c_m(); ?>">
                                <?php echo name_suc($dbc, $r['s0']); ?>
                            </td>
                            <td align="eft" data-label=": " class="bg-<?php echo c_m(); ?>">
                                <?php echo name_suc($dbc, $r['s1']); ?>
                            </td>
                            <?php
                            if ($r['s3'] == 'INGRESO') {
                                $documento = 'order_shopping';
                            } else if ($r['s3'] == 'INGRESO DEVOLUCION') {
                                $documento = 'delivery_dev';
                            } else if ($r['s3'] == 'INGRESO TRANSFERENCIA') {
                                $documento = 'order_transfer_destino';
                            } else if ($r['s3'] == 'SALIDA TRANSFERENCIA') {
                                $documento = 'order_transfer_origen';
                            } else if ($r['s3'] == 'SALIDA VENTA' or $r['s3'] == 'SALIDA VENTA CICLO') {
                                $documento = 'delivery_note';
                            }
                            ?>
                            <td align="center" data-label=": " class="bg-default" onclick="PopupCenter('../../icp.systems.tools/pdf/<?php echo $documento; ?>.php?r_cod=<?php echo $r['c']; ?>&r_ci=<?php echo $r['ci']; ?>', 'xtf', '800', '800');" style="cursor: pointer">
                                <?php echo str_pad($r['i'], 6, "0", STR_PAD_LEFT); ?>
                            </td>
                            <td align="left" data-label=": ">
                                <?php echo $r['s4']; ?>
                            </td>
                            <td align="left" data-label=": " style="font-size: 7px">
                                <?php echo $r['s5']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s6']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s7']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s8']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s9']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s10']; ?>
                            </td>
                            <td align="center" data-label=": " style="font-size: 7px">
                                <?php echo $r['s12'] . ' ' . $r['s13'] . ' ' . $r['s14']; ?>
                            </td>
                            <td align="center" data-label=": " style="font-size: 7px">
                                <?php echo $r['s15']; ?>
                            </td>
                            <td align="center" data-label=": " style="font-size: 7px">
                                <?php echo $r['s16']; ?>
                            </td>
                            <td align="center" data-label=": " style="font-size: 7px">
                                <?php echo $r['s17']; ?>
                            </td>
                        </tr>
                <?php
                        $n++;
                    }
                }
                ?>
            </tbody>
        </table>
<?php
    }
}

$action = new functions();
switch ($_POST['action']) {
    case 'search_sucursal':
        $action->search_sucursal();
        break;
    case 'inicio':
        $action->fecha1();
        break;
    case 'fin':
        $action->fecha2();
        break;
    default:
        break;
}

switch ($_GET['action']) {
    case 'lista':
        $action->lista($dbc, $_SESSION['vsu10']);
        break;
    default:
        break;
}
