<?php
include '../../icp.systems.core/access.php';
include '../../icp.systems.tools/vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\{Spreadsheet, IOFactory};

$prod = $dbc->query("SELECT * FROM cc_ipc_prod_stock GROUP BY p_cod ORDER BY id");

$excel = new Spreadsheet;
$hoja_activa = $excel->getActiveSheet();
$hoja_activa->setTitle('Productos');

$hoja_activa->setCellValue('A1', 'CATEGORIA');
$hoja_activa->setCellValue('B1', 'CODIGO');
$hoja_activa->setCellValue('C1', 'DESCRIPCION 1');
$hoja_activa->setCellValue('D1', 'DESCRIPCION 2');
$hoja_activa->setCellValue('E1', 'P.U.');
$hoja_activa->setCellValue('F1', 'U.M.');

$fila = 2;
foreach ($prod as $p) {
   $cat_convert = $p['p_category'];
   $cat = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE cod_cat='$cat_convert'");
   foreach ($cat as $c) {
      $categoria = $c['cat'];
   }
   $hoja_activa->getColumnDimension('A')->setWidth(40);
   $hoja_activa->setCellValue('A' . $fila, $categoria);
   $hoja_activa->getColumnDimension('B')->setWidth(15);
   $hoja_activa->setCellValue('B' . $fila, $p['p_cod']);
   $hoja_activa->getColumnDimension('C')->setWidth(45);
   $hoja_activa->setCellValue('C' . $fila, $p['p_descr1']);
   $hoja_activa->getColumnDimension('D')->setWidth(35);
   $hoja_activa->setCellValue('D' . $fila, $p['p_descr2']);
   $hoja_activa->getColumnDimension('E')->setWidth(7);
   $hoja_activa->setCellValue('E' . $fila, $p['p_pu']);
   $hoja_activa->getColumnDimension('F')->setWidth(7);
   $hoja_activa->setCellValue('F' . $fila, $p['p_um']);
   $fila++;
}

$fecha = date('Y-m-d');
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="productos_inicia_erp' . $fecha . '.xlsx"');
header('Cache-Control: max-age=0');

$writer = IOFactory::createWriter($excel, 'Xlsx');
$writer->save('php://output');



exit;
