<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function search_sucursal()
   {
      $_SESSION['suc_actual'] = $_POST['suc'];
   }
   public function search_categoria()
   {
      $_SESSION['cat_actual'] = $_POST['cat'];
   }
   public function lista($dbc, $line, $suc, $cat)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th colspan="11" align="center">PRODUCTO</th>
               <th rowspan="2" align="center">OPCIONES</th>
            </tr>
            <tr>
               <th align="center">SUCURSAL</th>
               <th align="center">CATEGORIA</th>
               <th align="center">NRO</th>
               <th align="center">PD</th>
               <th align="center">PC</th>
               <th align="center">CODIGO</th>
               <th align="center" style="width: 300px">DESCRIPCIONES</th>
               <th align="center" style="width: 300px">DESCRIPCIONES</th>
               <th align="center">P/U</th>
               <th align="center">P/BONIF</th>
               <th align="center">UM</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            $n = 1;
            $query = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='$suc' AND p_category='$cat' ORDER BY p_cod ASC");
            if ($query->num_rows > 0) {
               foreach ($query as $r) {
            ?>
                  <tr style="<?php echo row_color($n); ?>">
                     <td align="left" data-label="SUCURSAL: " class="bg-<?php echo c_m(); ?>">
                        <?php echo name_suc($dbc, $suc); ?>
                     </td>
                     <td align="left" data-label="CATEGORIA: " class="bg-default">
                        <?php echo name_cat($dbc, $cat); ?>
                     </td>
                     <td align="center" data-label="ITEM: ">
                        <?php echo $n; ?>
                     </td>
                     <td align="center" data-label="PROMOCION DESCUENTO: ">
                        <?php if ($r['p_est_prom'] == 1) { ?><i class="ion-star text-<?php echo c_m(); ?>"></i><?php } ?>
                     </td>
                     <td align="center" data-label="PROMOCION CICLO: ">
                        <?php if ($r['p_est_prom_desc'] == 1) { ?><i class="ion-star text-<?php echo c_m(); ?>"></i><?php } ?>
                     </td>
                     <td align="left" data-label="CODIGO: ">
                        <?php echo $r['p_cod']; ?>
                     </td>
                     <td align="left" data-label="DESCRIPCION: ">
                        <?php echo $r['p_descr1']; ?>
                     </td>
                     <td align="left" data-label="DESCRIPCION: ">
                        <?php echo $r['p_descr2']; ?>
                     </td>
                     <td align="right" data-label="PRECIO UNITARIO: ">
                        <?php echo $r['p_pu']; ?>
                     </td>
                     <td align="right" data-label="PRECIO BONIFICACION: ">
                        <?php echo $r['p_pm']; ?>
                     </td>
                     <td align="center" data-label="UNIDAD DE MEDIDA: ">
                        <?php echo $r['p_um']; ?>
                     </td>
                     <td align="center" data-label="OPCIONES: ">
                        <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="visualizar('<?php echo $r['p_cod']; ?>', '<?php echo $r['p_descr1']; ?>', '<?php echo $r['p_pu']; ?>', '<?php echo $r['p_pm']; ?>', '<?php echo $r['p_ppd']; ?>', '<?php echo $r['p_um']; ?>', '<?php echo $r['p_w']; ?>', '<?php echo $r['p_ml']; ?>', '<?php echo $r['p_a']; ?>', '<?php echo $r['p_v']; ?>', '<?php echo $r['p_img']; ?>', '<?php echo $r['dat_add']; ?>', '<?php echo $r['dat_upd']; ?>')"><i class="ion-clipboard"></i> Ver</button>
                        <?php if ($r['p_est'] == 1) { ?>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="estado(<?php echo $r['id']; ?>, 0)"><i class="ion-checkmark"></i> Activo</button>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="modificar('<?php echo $r['id']; ?>', '<?php echo $r['p_cod']; ?>', '<?php echo $r['p_descr1']; ?>', '<?php echo $r['p_descr2']; ?>', '<?php echo $r['p_pu']; ?>', '<?php echo $r['p_pm']; ?>', '<?php echo $r['p_ppd']; ?>', '<?php echo $r['p_um']; ?>', '<?php echo $r['p_w']; ?>', '<?php echo $r['p_ml']; ?>', '<?php echo $r['p_a']; ?>', '<?php echo $r['p_v']; ?>', '<?php echo $r['p_img']; ?>')"><i class="ion-compose"></i> Modificar</button>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="eliminar('<?php echo $r['id']; ?>', '<?php echo $r['p_img']; ?>')"><i class="ion-trash-b"></i> Eliminar</button>
                        <?php } else { ?>
                           <button class="btn btn-xs btn-default" onclick="estado(<?php echo $r['id']; ?>, 1)"><i class="ion-checkmark"></i> Activo</button>
                           <button class="btn btn-xs btn-default"><i class="ion-compose"></i> Modificar</button>
                           <button class="btn btn-xs btn-default"><i class="ion-trash-b"></i> Eliminar</button>
                        <?php } ?>
                     </td>
                  </tr>
            <?php
                  $n++;
               }
            } else {
               $line->list_empty(9);
            }
            ?>
         </tbody>
      </table>
<?php
   }

   public function add($dbc)
   {
      $query = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='" . $_SESSION['suc_actual'] . "' AND p_category='" . $_SESSION['cat_actual'] . "' AND p_cod='" . $_POST['i3'] . "'");
      if ($query->num_rows == 0) {
         $ruta = $_POST['ruta'];
         $i1 = $_SESSION['suc_actual'];
         $i2 = $_SESSION['cat_actual'];
         $i3 = strtoupper($_POST['i3']);
         $i4 = $_POST['i4'];
         $i5 = $_POST['i5'];
         $i6 = $_POST['i6'];
         $i7 = $_POST['i7'];
         $i8 = $_POST['i8'];
         $i9 = $_POST['i9'];
         $i10 = $_POST['i10'];
         $i11 = $_POST['i11'];
         $i12 = $_POST['i12'];
         $i13 = $_POST['i13'];
         $i14 = date('YmdHis') . '.' . substr($_FILES["file"]["type"], 6);
         $i15 = 1;
         $i16 = 0;
         $i17 = 0;
         $i18 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
         $i19 = '';
         if (($_FILES["file"]["size"] < 800000000)) {
            if ($_FILES["file"]["error"] > 0) {
               $i14 = '';
               $dbc->query("INSERT INTO cc_ipc_prod_stock (id, p_sucursal, p_category, p_cod, p_descr1, p_descr2, p_pu, p_pm, p_ppd, p_um, p_w, p_ml, p_a, p_v, p_img, p_est, p_est_prom, p_est_prom_desc, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', $i6, $i7, $i8, '$i9', $i10, $i11, $i12, $i13, '$i14', $i15, $i16, $i17, '$i18', '$i19')");
            } else {
               if (!file_exists($ruta . $i14)) {
                  upload_image($ruta,  $i14);
                  $dbc->query("INSERT INTO cc_ipc_prod_stock (id, p_sucursal, p_category, p_cod, p_descr1, p_descr2, p_pu, p_pm, p_ppd, p_um, p_w, p_ml, p_a, p_v, p_img, p_est, p_est_prom, p_est_prom_desc, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', $i6, $i7, $i8, '$i9', $i10, $i11, $i12, $i13, '$i14', $i15, $i16, $i17, '$i18', '$i19')");
               }
            }
         }
      }
   }

   public function mod($dbc)
   {
      $ruta = $_POST['ruta'];
      $m0 = $_POST['m0'];
      $m1 = '';
      $m2 = '';
      $m3 = $_POST['m3'];
      $m4 = $_POST['m4'];
      $m5 = $_POST['m5'];
      $m6 = $_POST['m6'];
      $m7 = $_POST['m7'];
      $m8 = $_POST['m8'];
      $m9 = $_POST['m9'];
      $m10 = $_POST['m10'];
      $m11 = $_POST['m11'];
      $m12 = $_POST['m12'];
      $m13 = $_POST['m13'];
      $m14 = $_POST['m14'];
      $m15 = '';
      $m16 = '';
      $m17 = '';
      $m18 = '';
      $m19 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      if (($_FILES["file"]["size"] < 800000000)) {
         if ($_FILES["file"]["error"] > 0) {
            $dbc->query("UPDATE cc_ipc_prod_stock SET p_descr1='$m4', p_descr2='$m5', p_pu='$m6', p_pm='$m7', p_ppd='$m8', p_um='$m9', p_w='$m10', p_ml='$m11', p_a='$m12', p_v='$m13', dat_upd='$m19' WHERE id='$m0'");
         } else {
            if ($m14 == true) {
               $m141 = $m14;
            } else {
               $m141 = date('YmdHis') . '.' . substr($_FILES["file"]["type"], 6);
            }
            upload_image($ruta,  $m141);
            $dbc->query("UPDATE cc_ipc_prod_stock SET p_descr1='$m4', p_descr2='$m5', p_pu='$m6', p_pm='$m7', p_ppd='$m8', p_um='$m9', p_w='$m10', p_ml='$m11', p_a='$m12', p_v='$m13', p_img='$m141', dat_upd='$m19' WHERE id='$m0'");
         }
      }
   }

   public function del($dbc)
   {
      $ruta = $_POST['ruta'];
      $d0 = $_POST['d0'];
      $d14 = $_POST['d14'];
      $dbc->query("DELETE FROM cc_ipc_prod_stock WHERE id='$d0'");
      $name_img = substr($d14, 0, strpos($d14, ".") + 1);
      unlink($ruta . '/' . $name_img . 'jpg');
      unlink($ruta . '/' . $name_img . 'jpeg');
      unlink($ruta . '/' . $name_img . 'png');
      unlink($ruta . '/' . $name_img . 'webp');
      unlink($ruta . '/' . $name_img . 'gif');
   }
   public function estado($dbc)
   {
      $e0 = $_POST['e0'];
      $est = $_POST['est'];
      $dbc->query("UPDATE cc_ipc_prod_stock SET p_est='$est' WHERE id='$e0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'add':
      $action->add($dbc);
      break;
   case 'mod':
      $action->mod($dbc);
      break;
   case 'del':
      $action->del($dbc);
      break;
   case 'estado':
      $action->estado($dbc);
      break;
   case 'search_sucursal':
      $action->search_sucursal();
      break;
   case 'search_categoria':
      $action->search_categoria();
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $line, $_SESSION['suc_actual'], $_SESSION['cat_actual']);
      break;
   default:
      break;
}
