<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_canal_config_functions.php';

$line->start();
$line->top1($dbc, '', 10, 'CONFIGURACION DE PRODUCTOS CON DESCUENTOS Y PROMOCIONES (Regional)', '');
?>
<div class="div col-lg-2">
   <select class="form-control" style="width: 100%; text-align: left" id="cat" onchange="search_categoria()">
      <?php
      $select_c = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE act_cat=1 ORDER BY n0, n1, n2 ASC");
      foreach ($select_c as $sc) {
      ?>
         <option value="<?php echo $sc['cod_cat']; ?>"><?php echo name_cat($dbc, $sc['cod_cat']); ?> </option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("cat").value = "<?php echo $_SESSION['cat_actual']; ?>";

      function search_categoria() {
         cat = document.getElementById("cat").value;
         var formData = new FormData();
         formData.append('action', "search_categoria");
         formData.append("cat", cat);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<?php
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- VISUALIZAR CONFIGURACION DE CANALES -->
<div id="visualizar_canal" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="contenedorte">
         <div id="lista_canal"></div>
         <script type="text/javascript">
            function lista_canal(suc, cat, prod) {
               fetch('<?php echo $file_functions; ?>?action=lista_canal&suc=' + suc + '&cat=' + cat + '&prod=' + prod)
                  .then(response => response.text())
                  .then(html => {
                     document.getElementById('lista_canal').innerHTML = html;
                  })
                  .catch(error => console.log('Error:', error));
            }
         </script>
         <button class="btn btn-block btn-xs btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()">Cerrar Vista</button>
      </div>
   </div>
</div>
<script type="text/javascript">
   function config_canal(suc, cat, prod) {
      lista_canal(suc, cat, prod);
      document.getElementById("visualizar_canal").style.display = "grid";
   }
</script>
<!-- MODIFICAR CANTIDAD MINIMA -->
<script>
   function pr_min(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "min");
               formData.append("min0", id);
               formData.append("min", nuevoValor);

               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR CANTIDAD MAXIMA -->
<script>
   function pr_max(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "max");
               formData.append("max0", id);
               formData.append("max", nuevoValor);


               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR DESCUENTO FINANCIERO -->
<script>
   function pr_df(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "df");
               formData.append("df0", id);
               formData.append("df", nuevoValor);


               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR DESCUENTO BASE -->
<script>
   function pr_db(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "db");
               formData.append("db0", id);
               formData.append("db", nuevoValor);


               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR DESCUENTO CANAL -->
<script>
   function pr_dc(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "dc");
               formData.append("dc0", id);
               formData.append("dc", nuevoValor);


               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR DESCUENTO COMERCIAL -->
<script>
   function pr_de(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "de");
               formData.append("de0", id);
               formData.append("de", nuevoValor);


               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<!-- MODIFICAR BONIFICACION -->
<script>
   function bonif(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";
      input.style.fontWeight = "bold";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "bonif");
               formData.append("bonif0", id);
               formData.append("bonif", nuevoValor);

               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     celda.style.fontWeight = "bold";
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<?php $line->end(); ?>