<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc)
   {
?>
      <div class="col-lg-8">
         <?php
         for ($i = 1; $i <= 12; $i++) {
            $this->DibujarMes($dbc, date('Y'), strlen($i) == 1 ? "0" . $i : $i);
         }
         ?>
      </div>
      <div class="col-lg-4">
         <table>
            <thead class="bg-<?php echo c_m(); ?> titulo" style="<?php echo thead(); ?>">
               <tr>
                  <th colspan="5">LISTA DE FECHAS DE PROMOCION</th>
               </tr>
            </thead>
            <tbody style="<?php echo tbody(); ?> !important">
               <?php
               $cmain = 1;
               $qmain = $dbc->query("SELECT * FROM cc_ipc_prom_ciclo_periodo ORDER BY p_f_ini ASC");
               foreach ($qmain as $r) {
               ?>
                  <tr style="<?php echo row_color($cmain); ?>" title="<?php echo $r['p_f_create']; ?>">
                     <td align="center"><?php echo $cmain; ?></td>
                     <td align="center"><?php echo $r['p_f_ini']; ?></td>
                     <td align="center"><?php echo $r['p_f_end']; ?></td>
                     <td align="center"><?php echo $r['p_obs']; ?></td>
                     <td colspan="2" align="center">
                        <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="eliminar('<?php echo $r['id']; ?>')"><i class="ion-trash-b"></i> Eliminar</button>
                     </td>
                  </tr>
               <?php
                  $cmain++;
               } ?>
            </tbody>
         </table>
      </div>
   <?php
   }



   public function DibujarMes($dbc, $year, $month)
   {
      $totalDias = cal_days_in_month(CAL_GREGORIAN, $month, $year);
      $fechaIni = $year . "-" . $month . "-01";
      $diaInicial = $this->ObtenerNumeroDia($fechaIni);
      $diaSemana = 1;
   ?>
      <div class="col-lg-6" style="height: 350px">
         <table>
            <thead style="<?php echo thead(); ?>;">
               <tr class="bg-<?php echo c_m(); ?> titulo">
                  <th colspan="7"><?php echo $this->ObtenerMes(date('m', strtotime($fechaIni))) . ' [ ' . $year; ?> ]</th>
               </tr>
               <tr style="font-size: 15px">
                  <th>LUN</th>
                  <th>MAR</th>
                  <th>MIE</th>
                  <th>JUE</th>
                  <th>VIE</th>
                  <th>SAB</th>
                  <th>DOM</th>
               </tr>
            </thead>
            <tbody style="<?php echo tbody(); ?>">
               <tr>
                  <?php
                  for ($i = 1; $i < $diaInicial; $i++) {
                     $dias = $i - $diaInicial;
                  ?>
                     <td class="cal-day-empty" style="height: 50px; vertical-align: top">
                        <div><?php echo date("d", strtotime($fechaIni . "+$dias  days")); ?></div>
                     </td>
                     <?php
                     $diaSemana++;
                  }
                  for ($i = 0; $i <= $totalDias - 1; $i++) {
                     $dd = date("d", strtotime($fechaIni . "+$i  days"));
                     $f_fecha = $year . '-' . $month . '-' . $dd;
                     $verifica_prom = 0;
                     $q = $dbc->query("SELECT * FROM cc_ipc_prom_ciclo_periodo WHERE '$f_fecha'>=p_f_ini AND '$f_fecha'<=p_f_end");
                     foreach ($q as $r) {
                        $verifica_prom++;
                     }
                     if ($verifica_prom > 0) {
                        $q1 = $dbc->query("SELECT * FROM cc_ipc_prom_ciclo_periodo WHERE '$f_fecha'>=p_f_ini AND '$f_fecha'<=p_f_end");
                        foreach ($q1 as $r1) {
                     ?>
                           <?php
                           if ($f_fecha >= date('Y-m-01') and $f_fecha <= date('Y-m-t')) {
                           ?>
                              <td class="cal-day bg-<?php echo c_m(); ?>" style="height: 50px; vertical-align: top">
                                 <div><?php echo $dd; ?></div>
                                 <div style="text-align: center">
                                    <?php
                                    $cant_prod_prom = 0;
                                    $q_p = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_est=1 AND p_est_prom=1");
                                    foreach ($q_p as $r_p) {
                                       $cant_prod_prom++;
                                    } ?>
                                    <?php echo $cant_prod_prom; ?><br>
                                    Productos
                                 </div>
                              </td>
                           <?php
                           } else {
                           ?>
                              <td class="cal-day bg-default" style="height: 50px; vertical-align: top">
                                 <div><?php echo $dd; ?></div>
                              </td>
                           <?php
                           }
                           ?>
                        <?php
                        }
                     } else {
                        ?>
                        <td class="cal-day" style="height: 50px; vertical-align: top">
                           <div><?php echo $dd; ?></div>
                        </td>
                     <?php
                     }
                     if (date("l", strtotime($fechaIni . "+$i  days")) == "Sunday") {
                     ?>
               </tr>
               <tr>
               <?php $diaSemana = 1;
                     }
                     $diaSemana++;
                  }
                  $dias = $totalDias - 1;
                  if (date("l", strtotime($fechaIni . "+$dias  days")) != "Sunday") {
                     $dia = 0;
                     for ($j = $diaSemana - 1; $j <= 7; $j++) {
                        $dias = $totalDias + $dia;
               ?>
                  <td class="cal-day-empty" style="height: 50px; vertical-align: top">
                     <div><?php echo date("d", strtotime($fechaIni . "+$dias  days")) ?></div>
                  </td>
            <?php
                        $dia++;
                     }
                  }
            ?>
               </tr>
            </tbody>
         </table>
      </div>
<?php
   }
   public function ObtenerNumeroDia($fecha)
   {
      switch (date('l', strtotime($fecha))) {
         case "Monday":
            return 1;
         case "Tuesday":
            return 2;
         case "Wednesday":
            return 3;
         case "Thursday":
            return 4;
         case "Friday":
            return 5;
         case "Saturday":
            return 6;
         case "Sunday":
            return 7;
         default:
            return 0;
      }
   }
   public function ObtenerMes($mes)
   {
      $meses = array(
         "ENERO",
         "FEBRERO",
         "MARZO",
         "ABRIL",
         "MAYO",
         "JUNIO",
         "JULIO",
         "AGOSTO",
         "SEPTIEMBRE",
         "OCTUBRE",
         "NOVIEMBRE",
         "DICIEMBRE"
      );
      if (($mes >= 1) && ($mes <= 12)) {
         return $meses[$mes - 1];
      } else {
         return "";
      }
   }

   public function add($dbc)
   {
      $i1 = $_POST['i1'];
      $i2 = $_POST['i2'];
      $i3 = $_POST['i3'];
      $i4 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      $dbc->query("INSERT INTO cc_ipc_prom_ciclo_periodo (id, p_f_ini, p_f_end, p_obs, p_f_create) VALUES (null, '$i1', '$i2', '$i3', '$i4')");
   }

   public function del($dbc)
   {
      $d0 = $_POST['d0'];
      $dbc->query("DELETE FROM cc_ipc_prom_ciclo_periodo WHERE id='$d0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'add':
      $action->add($dbc);
   case 'del':
      $action->del($dbc);
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc);
      break;
   default:
      break;
}