<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';


if ($_POST['suc'] == true) {
    $_SESSION['suc_report'] = $_POST['suc'];
    $suc = $_SESSION['suc_report'];
} else {
    $suc = $_SESSION['suc_report'];
}

if ($_POST['f1'] == true) {
    $_SESSION['mm1'] = $_POST['f1'];
}

if ($_POST['f2'] == true) {
    $_SESSION['mm2'] = $_POST['f2'];
}

$line->start();
$line->top1($dbc, '', 7, 'CUADRO DE VENTAS POR PRODUCTO OTROS PRODUCTOS', '');
?>
<form method="POST" name="agency">
    <div class="div col-lg-1">
        <select name="suc" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
            <option value=""></option>
            <?php
            $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
            foreach ($select_s as $ss) {
                $selected = ($ss["cod_suc"] == $suc) ? 'selected' : '';
            ?>
                <option value="<?php echo $ss['cod_suc']; ?>" <?php echo $selected; ?>><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
            <?php } ?>
        </select>
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $_SESSION['mm1'] ?>" onchange="document.forms['agency'].submit()">
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $_SESSION['mm2'] ?>" onchange="document.forms['agency'].submit()">
    </div>
</form>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'ATRAS', 'g_data_science.php');
$line->content();
?>
<div class="col-lg-3">
    <table>
        <thead class="bg-default" style="<?php echo thead(); ?>">
            <tr class="bg-<?php echo c_m(); ?>">
                <th colspan="1" style="font-size: 15px; text-align: center; padding-left: 5px">NOMBRES</th>
                <th colspan="1" style="font-size: 15px; text-align: center; padding-left: 5px">MONTOS</th>
            </tr>
            <tr>
                <th>NOMBRE</th>
                <th>TOTAL</th>
            </tr>
        </thead>
        <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
                $mm1 = $_SESSION['mm1'];
                $mm2 = $_SESSION['mm2'];
            } else {
                $mm1 = date('Y-m-d');
                $mm2 = date('Y-m-d');
            }

            $rn = 1;
            $report = $dbc->query("SELECT s, ci, n, SUM(v1) AS total FROM
            (
                SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                UNION ALL
                SELECT p_sucursal AS s, dr_ci AS ci, '' AS n, SUM(d_p_put) AS v1 FROM cc_ipc_o_ven_det  WHERE p_cod NOT IN ('R010T90000', 'R010T90001', 'R012669503', 'R012669504', 'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064') AND dr_reg>='$mm1' AND dr_reg<='$mm2' AND dr_est IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') GROUP BY dr_ci
            ) d
            WHERE s='$suc'
            GROUP BY ci ASC
            ORDER BY s, n ASC");
            foreach ($report as $r) {
            ?>
                <tr style="<?php echo row_color($rn); ?>">
                    <td align="left" data-label=": ">
                        <b><?php echo ucwords(strtolower($r['n'])); ?></b>
                    </td>
                    <td align="right" data-label=":">
                        <?php echo $r['total']; ?>
                    </td>
                </tr>
            <?php
                $rn++;
            } ?>
        </tbody>
    </table>
</div>
<?php $rgbColor = r_g_b(); ?>
<div class="col-lg-9" style="padding: 7px">
    <canvas id="grafica3" height="170"></canvas>
    <script>
        Chart.defaults.global.defaultFontSize = 9;
        const $grafica3 = document.querySelector("#grafica3");
        const names = [
            <?php
            $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS total FROM
            (
                SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
            ) d
            WHERE s='$suc'
            GROUP BY ci ASC
            ORDER BY s, n ASC");
            foreach ($q_n as $qn) {
                echo '"' . ucwords(strtolower($qn['n'])) . '", ';
            }
            ?>
        ]
        const total = {
            label: "TOTAL BS",
            data: [
                <?php
                $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS total FROM
                (
                    SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                    UNION ALL
                    SELECT p_sucursal AS s, dr_ci AS ci, '' AS n, SUM(d_p_put) AS v1 FROM cc_ipc_o_ven_det  WHERE p_cod NOT IN ('R010T90000', 'R010T90001', 'R012669503', 'R012669504', 'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064') AND dr_reg>='$mm1' AND dr_reg<='$mm2' AND dr_est IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') GROUP BY dr_ci
                ) d
                WHERE s='$suc'
                GROUP BY ci ASC
                ORDER BY s, n ASC");
                foreach ($q_n as $qn) {
                    echo '"' . $qn['total'] . '", ';
                }
                ?>
            ],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
            borderWidth: 1,
        };

        new Chart($grafica3, {
            type: 'bar',
            data: {
                labels: names,
                datasets: [
                    total,
                ]
            },
            options: {
                scales: {
                    x: { // Configurar el eje X
                        ticks: {
                            maxRotation: 0, // No rotar las etiquetas
                            autoSkip: false, // Mostrar todas las etiquetas
                            padding: 10, // Ajustar el espacio entre las etiquetas
                        }
                    },
                    y: {
                        ticks: {
                            beginAtZero: true
                        }
                    }
                }
            }
        });
    </script>
</div>

<?php $line->end(); ?>