<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';


//error_reporting(E_ALL);

if ($_POST['suc'] == true) {
   $_SESSION['suc_report'] = $_POST['suc'];
   $suc = $_SESSION['suc_report'];
} else {
   $suc = $_SESSION['suc_report'];
}

if ($_POST['f1'] == true) {
   $_SESSION['mm1'] = $_POST['f1'];
}

if ($_POST['f2'] == true) {
   $_SESSION['mm2'] = $_POST['f2'];
}


//CIERRE REAL
if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
   $mm1 = $_SESSION['mm1'];
   $mm2 = $_SESSION['mm2'];
} else {
   $mm1 = date('Y-m-01');
   $mm2 = date('Y-m-t');
}

$totalreal = 0;
$totalficticio = 0;
$report = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
(
      SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
      UNION ALL
      SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
      UNION ALL
      SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
      UNION ALL
      SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
      UNION ALL
      SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
) d
WHERE s='$suc'
GROUP BY ci ASC
ORDER BY s, n ASC");
foreach ($report as $r) {
   $totalreal = $totalreal + $r['v3'];
   $totalficticio = $totalficticio + $r['v6'];
}



//FUNCION CALCULA DIAS HABILES
function contarDiasHabilesEntreFechas($fechaInicio, $fechaFin)
{
   $fechaInicio = new DateTime($fechaInicio);
   $fechaFin = new DateTime($fechaFin);
   $diasHabiles = 0;
   while ($fechaInicio <= $fechaFin) {
      if ($fechaInicio->format('N') != 7) { // Verificar si no es domingo (N=7)
         $diasHabiles++;
      }
      $fechaInicio->modify('+1 day'); // Avanzar al siguiente día
   }
   return $diasHabiles;
}



$line->start();
$line->top1($dbc, '', 4, 'REPORTES (Nacional)', '');
?>
<form method="POST" name="agency">
   <div class="div col-lg-2">
      <select name="suc" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
         <option value="">Seleccione Sucursal . . .</option>
         <?php
         $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
         foreach ($select_s as $ss) {
            $selected = ($ss["cod_suc"] == $_SESSION['suc_report']) ? 'selected' : '';
         ?>
            <option value="<?php echo $ss['cod_suc']; ?>" <?php echo $selected; ?>><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
         <?php } ?>
      </select>
   </div>
   <div class="div col-lg-1">
      <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $mm1; ?>" onchange="document.forms['agency'].submit()">
   </div>
   <div class="div col-lg-1">
      <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $mm2; ?>" onchange="document.forms['agency'].submit()">
   </div>
</form>
<div class="div col-lg-2">
   <button class="btn btn-xs btn-<?php echo c_m(); ?> form-control">TENDENCIA CIERRE A LA FECHA: <b><?php echo $totalreal; ?></b></button>
</div>
<div class="div col-lg-2">
   <button class="btn btn-xs btn-<?php echo c_m(); ?> form-control">TENDENCIA CIERRE MES: <b><?php echo number_format((($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2)), 2); ?></b></button>
</div>
<?php
$line->content();
?>
<style>
   label {
      padding: 0px !important;
      padding-left: 4px !important;
   }
</style>
<div class="div col-lg-3">
   <div class="bg-<?php echo c_m(); ?> titulo">OTROS REPORTES</div>
   <?php
   report('CREDITOS POR COBRAR A EJECUTIVO DE VENTA', 'g_1.php');
   report('DETALLE DE VENTAS A CLIENTES <br> CREDITO / CONTADO', 'g_2.php');
   report('CUADRO DE VENTAS GLOBAL <br> CREDITO / CONTADO', 'g_3.php');
   report('CUADRO DE VENTAS POR CANAL <br> CREDITO / CONTADO', 'g_4.php');
   report('CUADRO DE VENTAS POR TOALLITAS', 'g_5.php');
   report('CUADRO DE VENTAS POR PRODUCTO PAÑAL CONFIDENT', 'g_6.php');
   report('CUADRO DE VENTAS POR PRODUCTO PAÑAL BABYGUMM', 'g_7.php');
   report('CUADRO DE VENTAS POR PRODUCTO OTROS PRODUCTOS', 'g_8.php');
   report('DETALLE DE DEUDAS POR VENDEDOR', 'g_9.php');
   ?>
</div>
<div class="col-lg-9" style="padding: 1px">
   <div class="bg-<?php echo c_m(); ?> titulo">DETALLE DE INFORMACION DE VENTAS INDIVIDUALES Y PORCENTAGES</div>
   <div class="col-lg-2" style="padding: 1px">
      <div class="col-lg-12 " style="background-color: #ffffff; border: 1px solid #afafaf; padding: 3px; display: flex; align-items: center;">
         <label style="text-align: left; width: 98%; color: #747474; font-weight: bold; text-shadow: #2e2e2e 0em 0em 0e">
            <?php
            if ($totalreal > 0) {
            ?>
               VENTA TOTAL ACTUAL <br> <?php echo $totalreal; ?> - <?php echo number_format(($totalreal / (($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2))) * 100, 2); ?>%<br><?php echo number_format((($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2)), 2); ?> - 100%
            <?php
            } else {
            ?>
               VENTA TOTAL ACTUAL <br> <?php echo $totalreal; ?> - 0%<br>0 - 100%
            <?php
            } ?>
         </label>
      </div>
   </div>
   <?php
   if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
      $mm1 = $_SESSION['mm1'];
      $mm2 = $_SESSION['mm2'];
   } else {
      $mm1 = date('Y-m-d');
      $mm2 = date('Y-m-d');
   }

   $report = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
         (
               SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
               UNION ALL
               SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
               UNION ALL
               SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
               UNION ALL
               SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
               UNION ALL
               SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
         ) d
         WHERE s='$suc'
         GROUP BY ci ASC
         ORDER BY s, n ASC");
   foreach ($report as $r) {
      if ($r['v3'] == 0) {
   ?>
         <div class="col-lg-2" style="padding: 1px">
            <div class="col-lg-12 " style="background-color: #ffffff; border: 1px solid #afafaf; padding: 3px; display: flex; align-items: center;">
               <label style="text-align: left; width: 98%; color: #747474; font-weight: bold; text-shadow: #2e2e2e 0em 0em 0e">
                  <?php echo $r['n']; ?> <br> <?php echo $r['v3']; ?> - 0%<br>0 - 100%
               </label>
            </div>
         </div>
      <?php
      } else {
      ?>
         <div class="col-lg-2" style="padding: 1px">
            <div class="col-lg-12 " style="background-color: #ffffff; border: 1px solid #afafaf; padding: 3px; display: flex; align-items: center;">
               <label style="text-align: left; width: 98%; color: #747474; font-weight: bold; text-shadow: #2e2e2e 0em 0em 0e">
                  <?php echo $r['n']; ?> <br> <?php echo $r['v3']; ?> - <?php echo number_format(($r['v3'] / (($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2))) * 100, 2); ?>%<br><?php echo number_format((($r['v3'] / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2)), 2); ?> - 100%
               </label>
            </div>
         </div>
   <?php
      }
   } ?>




   <div class="col-lg-12">
      <div class="col-lg-5" style="padding: 1px">
         <div class="bg-<?php echo c_m(); ?> titulo text-center">VENTAS | Avance Actual % vs Avance Matematico</div>
         <?php $rgbColor = r_g_b(); ?>
         <div class="col-lg-12" style="padding: 7px">
            <canvas id="grafica3" height="190"></canvas>
            <script>
               Chart.defaults.global.defaultFontSize = 7;
               const $grafica3 = document.querySelector("#grafica3");
               const names = [
                  <?php
                  echo '"TOTAL", ';
                  $q_n = $dbc->query("SELECT s, ci, n FROM
                  (
                  SELECT id_agency AS s, ci AS ci, names AS n FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1 ) d
                  WHERE s='$suc'
                  GROUP BY ci ASC
                  ORDER BY s, n ASC");
                  foreach ($q_n as $qn) {
                     echo '"' . ucwords(strtolower($qn['n'])) . '", ';
                  }
                  ?>
               ]
               const total = {
                  label: "Avance Actual % vs Avance Matematico",
                  data: [
                     <?php


                     if ($totalreal > 0) {
                        echo '"' . number_format(($totalreal / (($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2))) * 100, 2) . '", ';
                     } else {
                        echo '"' . 0 . '", ';
                     }





                     $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
                  (
                     SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                  ) d
                  WHERE s='$suc'
                  GROUP BY ci ASC
                  ORDER BY s, n ASC");
                     foreach ($q_n as $qn) {


                        if ($totalreal > 0) {
                           echo '"' . number_format(($qn['v3'] / (($totalreal / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2))) * 100, 2) . '", ';
                        } else {
                           echo '"' . 0 . '", ';
                        }
                     }
                     ?>
                  ],
                  backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
                  borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
                  borderWidth: 1,
               };

               new Chart($grafica3, {
                  type: 'bar',
                  data: {
                     labels: names,
                     datasets: [
                        total
                     ]
                  },
                  options: {
                     title: {
                        display: false, // Oculta el título del gráfico
                        text: 'Título del Gráfico'
                     },
                     scales: {
                        yAxes: [{
                           ticks: {
                              beginAtZero: true
                           }
                        }],
                     },
                  }
               });
            </script>
         </div>
      </div>
      <div class="col-lg-7" style="padding: 1px">
         <div class="bg-<?php echo c_m(); ?> titulo text-center">VENTAS | Avance Actual, Objetivo, Tendencia en Bs.</div>
         <?php $rgbColor = r_g_b(); ?>
         <div class="col-lg-12" style="padding: 7px">
            <canvas id="barChart" height="130"></canvas>
            <script>
               Chart.defaults.global.defaultFontSize = 7;
               const consulta = [



                  <?php
                  $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
                  (
                     SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                     UNION ALL
                     SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                  ) d
                  WHERE s='$suc'
                  GROUP BY ci ASC
                  ORDER BY s, n ASC");
                  foreach ($q_n as $qn) {
                  ?> {
                        TicketsAsignedTo: "<?php echo $qn['n']; ?>",
                        TicketsCount: <?php echo round($qn['v3'], 2); ?>,
                        TicketsClasificationType: "Actual"
                     },
                     {
                        TicketsAsignedTo: "<?php echo $qn['n']; ?>",
                        TicketsCount: <?php echo round((($qn['v3'] / contarDiasHabilesEntreFechas($mm1, date('Y-m-d'))) * contarDiasHabilesEntreFechas($mm1, $mm2)) - ($qn['v3']), 2); ?>,
                        TicketsClasificationType: "Faltante"
                     },
                  <?php
                  }
                  ?>





               ];

               const labels = Object.keys(
                  consulta.reduce((obj, label) => (obj[label.TicketsAsignedTo] = true, obj), {})
               );

               const colors = {
                  "Actual": 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
                  "Faltante": 'rgba(130, 130, 130, 0.2)',
               };

               const datasetsObject = consulta.reduce((obj, item) => {
                  obj[item.TicketsClasificationType] = obj[item.TicketsClasificationType] || {};
                  obj[item.TicketsClasificationType][item.TicketsAsignedTo] = item.TicketsCount;
                  return obj;
               }, {});

               const datasets = Object.keys(datasetsObject).map(name => ({
                  label: name,
                  backgroundColor: colors[name],
                  borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
                  data: labels.map(l => datasetsObject[name][l] || 0),
                  borderWidth: 1,
               }));

               const context = document.getElementById("barChart").getContext("2d");
               const myBarChart = new Chart(context, {
                  type: "horizontalBar",
                  data: {
                     labels,
                     datasets
                  },
                  options: {
                     scales: {
                        xAxes: [{
                           stacked: true
                        }],
                        yAxes: [{
                           stacked: true
                        }]
                     }
                  }
               });
            </script>
         </div>
      </div>
   </div>





   <div class="col-lg-12">
      <div class="col-lg-6" style="padding: 1px">
         <div class="bg-<?php echo c_m(); ?> titulo text-center">Cobertura de clientes</div>
         <div class="col-lg-12" style="padding: 7px">
            <canvas id="grafica4" height="95"></canvas>
            <script>
               Chart.defaults.global.defaultFontSize = 7;
               const grafica4 = document.querySelector("#grafica4");
               const names4 = [
                  <?php
                  $q_n = $dbc->query("SELECT s, ci, n FROM
                  (
                  SELECT id_agency AS s, ci AS ci, names AS n FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1 ) d
                  WHERE s='$suc'
                  GROUP BY ci ASC
                  ORDER BY s, n ASC");
                  foreach ($q_n as $qn) {
                     echo '"' . ucwords(strtolower($qn['n'])) . '", ';
                  }
                  ?>
               ]
               const total4 = {
                  label: "Detalle de cobertura de Clientes",
                  data: [
                     <?php
                     $q_n = $dbc->query("SELECT s, ci, n, SUM(v8) AS v8 FROM
                     (
                        SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                        UNION ALL
                        SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, COUNT(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                     ) d
                     WHERE s='$suc'
                     GROUP BY ci ASC
                     ORDER BY s, n ASC");
                     foreach ($q_n as $qn) {
                        echo '"' . $qn['v8'] . '", ';
                     }
                     ?>
                  ],
                  backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
                  borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
                  borderWidth: 1,
               };

               new Chart(grafica4, {
                  type: 'bar',
                  data: {
                     labels: names4,
                     datasets: [
                        total4
                     ]
                  },
                  options: {
                     title: {
                        display: false, // Oculta el título del gráfico
                        text: 'Título del Gráfico'
                     },
                     scales: {
                        yAxes: [{
                           ticks: {
                              beginAtZero: true
                           }
                        }],
                     },
                  }
               });
            </script>
         </div>
      </div>
      <div class="col-lg-6" style="padding: 1px">
         <div class="bg-<?php echo c_m(); ?> titulo text-center">Clientes nuevos mes actual</div>
         <div class="col-lg-12" style="padding: 7px">
            <canvas id="grafica5" height="95"></canvas>
            <script>
               Chart.defaults.global.defaultFontSize = 7;
               const grafica5 = document.querySelector("#grafica5");
               const names5 = [
                  <?php
                  $q_n = $dbc->query("SELECT u.ci AS ci, u.id_agency AS s, u.names AS n, COUNT(c.clie_asigned_us) AS nc
                  FROM ipc_users u, cc_ipc_rcv_clie c
                  WHERE c.clie_asigned_us=u.ci AND u.id_profile!='PARISACA SYSTEMS' AND u.seller=1 AND u.id_agency='$suc' GROUP BY u.ci");
                  foreach ($q_n as $qn) {
                     echo '"' . $qn['n'] . '", ';
                  }
                  ?>
               ]
               const total5 = {
                  label: "Cant. CLientes",
                  data: [
                     <?php
                     $q_n = $dbc->query("SELECT u.ci AS ci, u.id_agency AS s, concat(u.names,' ',u.surnames) AS n, COUNT(c.clie_asigned_us) AS nc
                     FROM ipc_users u, cc_ipc_rcv_clie c
                     WHERE c.clie_asigned_us=u.ci AND u.id_profile!='PARISACA SYSTEMS' AND u.seller=1 AND u.id_agency='$suc' GROUP BY u.ci");
                     foreach ($q_n as $qn) {
                        echo '"' . $qn['nc'] . '", ';
                     }
                     ?>
                  ],
                  backgroundColor: 'rgba(130,130,130,0.2)',
                  borderColor: 'rgba(130,130,130,1)',
                  borderWidth: 1,
               };
               const total52 = {
                  label: "Detalle de clientes Nuevos",
                  data: [
                     <?php
                     $q_n = $dbc->query("SELECT u.ci AS ci, u.id_agency AS s, concat(u.names,' ',u.surnames) AS n, COUNT(c.clie_asigned_us) AS nc
                     FROM ipc_users u, cc_ipc_rcv_clie c
                     WHERE c.clie_asigned_us=u.ci AND u.id_profile!='PARISACA SYSTEMS' AND u.seller=1 AND u.id_agency='$suc'
                     AND (STR_TO_DATE(CONCAT(SUBSTRING_INDEX(c.dat_add, '/', -1), '-', SUBSTRING_INDEX(SUBSTRING_INDEX(c.dat_add, '/', 1), '/', -1), '-', SUBSTRING_INDEX(c.dat_add, '/', 1)), '%Y-%m-%d'))>='$mm1'
                     AND (STR_TO_DATE(CONCAT(SUBSTRING_INDEX(c.dat_add, '/', -1), '-', SUBSTRING_INDEX(SUBSTRING_INDEX(c.dat_add, '/', 1), '/', -1), '-', SUBSTRING_INDEX(c.dat_add, '/', 1)), '%Y-%m-%d'))<='$mm2' GROUP BY u.ci");
                     foreach ($q_n as $qn) {
                        echo '"' . $qn['nc'] . '", ';
                     }
                     ?>
                  ],
                  backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
                  borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
                  borderWidth: 1,
               };

               new Chart(grafica5, {
                  type: 'bar',
                  data: {
                     labels: names5,
                     datasets: [
                        total5,
                        total52,
                     ]
                  },
                  options: {
                     title: {
                        display: false, // Oculta el título del gráfico
                        text: 'Título del Gráfico'
                     },
                     scales: {
                        yAxes: [{
                           ticks: {
                              beginAtZero: true
                           }
                        }],
                     },
                  }
               });
            </script>
         </div>
      </div>
   </div>

</div>
<?php
function report($name, $link)
{
?>
   <a href="<?php echo $link; ?>">
      <div class="col-lg-12" style="padding: 1px">
         <div class="col-lg-12 " style="background-color: #ffffff; border: 1px solid #afafaf; padding: 3px; display: flex; align-items: center;">
            <label style="width: 28%; text-align: left">
               <i class="ion-ios-copy" style="font-size: 35px; color: #747474; text-shadow: #2e2e2e 0em 0em 0em;"></i>
            </label>
            <label style="text-align: right; width: 70%; color: #747474; font-weight: bold; text-shadow: #2e2e2e 0em 0em 0em;">
               <?php echo $name; ?>
            </label>
         </div>
      </div>
   </a>
<?php
}
$line->end0(); ?>