<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_conciliar_functions.php';

$line->start();
$line->top1($dbc, '', 8, 'CONCILIACION DE COMPRAS (Regional)', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha1" value="<?php echo $_SESSION['fecha1'] ?>" onchange="fecha1()">
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha2" value="<?php echo $_SESSION['fecha2'] ?>" onchange="fecha2()">
</div>
<script>
   function fecha1() {
      f1 = document.getElementById("fecha1").value;
      var formData = new FormData();
      formData.append("action", "inicio");
      formData.append("f1", f1);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }

   function fecha2() {
      f2 = document.getElementById("fecha2").value;
      var formData = new FormData();
      formData.append("action", "fin");
      formData.append("f2", f2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<div class="div col-lg-2">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- AUTORIZACION -->
<script>
   function autorizar(cod, ci) {
      var formData = new FormData();
      formData.append("action", "autorizar");
      formData.append("cod", cod);
      formData.append("ci", ci);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>