<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_functions.php';

$line->start();
$line->top1($dbc, '', 10, 'TRANSPORTES (Regional)', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'NUEVO', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add"></div>
   <script type="text/javascript">
      function form_add() {
         fetch('<?php echo $file_functions; ?>?action=form_add')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add();
   </script>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i0 = document.getElementById("i0").value;
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;
      i4 = document.getElementById("i4").value;
      i5 = document.getElementById("i5").value;
      i6 = document.getElementById("i6").value;
      i7 = document.getElementById("i7").value;

      if (i0.length > 0 && i1.length > 0 && i2.length > 0 && i3.length > 0 && i4.length > 0 && i5.length > 0 && i6.length > 0 && i7.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i0", i0);
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         formData.append("i4", i4);
         formData.append("i5", i5);
         formData.append("i6", i6);
         formData.append("i7", i7);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- MODIFICAR -->
<div id="modificar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="bg-<?php echo c_m(); ?> titulo">MODIFICAR TRANSPORTE</div>
      <form autocomplete="off">
         <label style="width: 105px; text-align: left"><b>Placa Transporte <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m0" disabled><br>
         <label style="width: 105px; text-align: left"><b>Distribuidor Nombre<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m1"><br>
         <label style="width: 105px; text-align: left"><b>Distribuidor Celular<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m2"><br>
         <label style="width: 105px; text-align: left"><b>Propietario Nombre<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m3"><br>
         <label style="width: 105px; text-align: left"><b>Propietario C.I.<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m4"><br>
         <label style="width: 105px; text-align: left"><b>Propietario Celular<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m5"><br>
         <label style="width: 105px; text-align: left"><b>Tipo Vehiculo <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m6"><br>
         <input type="hidden" id="m7" value="<?php echo $suc; ?>">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="mod()"><i class="ion-checkmark"></i> Modificar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function modificar(m0, m1, m2, m3, m4, m5, m6, m7) {
      document.getElementById("m0").value = m0;
      document.getElementById("m1").value = m1;
      document.getElementById("m2").value = m2;
      document.getElementById("m3").value = m3;
      document.getElementById("m4").value = m4;
      document.getElementById("m5").value = m5;
      document.getElementById("m6").value = m6;
      document.getElementById("m7").value = m7;
      document.getElementById("modificar").style.display = "grid";
   }

   function mod() {
      m0 = document.getElementById("m0").value;
      m1 = document.getElementById("m1").value;
      m2 = document.getElementById("m2").value;
      m3 = document.getElementById("m3").value;
      m4 = document.getElementById("m4").value;
      m5 = document.getElementById("m5").value;
      m6 = document.getElementById("m6").value;
      m7 = document.getElementById("m7").value;

      if (m0.length > 0 && m1.length > 0 && m2.length > 0 && m3.length > 0 && m4.length > 0 && m5.length > 0 && m6.length > 0 && m7.length > 0) {
         var formData = new FormData();
         formData.append("action", "mod");
         formData.append("m0", m0);
         formData.append("m1", m1);
         formData.append("m2", m2);
         formData.append("m3", m3);
         formData.append("m4", m4);
         formData.append("m5", m5);
         formData.append("m6", m6);
         formData.append("m7", m7);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <input type="hidden" id="d7">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0, d7) {
      document.getElementById("d0").value = d0;
      document.getElementById("d7").value = d7;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      d7 = document.getElementById("d7").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("d0", d0);
      formData.append("d7", d7);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ESTADO -->
<script type="text/javascript">
   function estado(e0, suc, est) {
      var formData = new FormData();
      formData.append("action", "estado");
      formData.append("e0", e0);
      formData.append("suc", suc);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>