    <?php
error_reporting(E_ALL);
session_start();
include '../../icp.systems.core/access_file.php';
require('../../icp.systems.tools/pdf/fpdf/fpdf.php');
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.unitfun/unit_val_literal.php';


$cod_sucursal = $_GET['suc'];
$date = $_GET['date'];

$split = str_split(substr(c_report(), 1), 2);
if (hexdec($split[0]) > 0) {
   echo $r = hexdec($split[0]);
} else if (hexdec($split[0]) == '') {
   echo $r = 0;
}
if (hexdec($split[1]) > 0) {
   echo $g = hexdec($split[1]);
} else if (hexdec($split[1]) == '') {
   echo $g = 0;
}

if (hexdec($split[2]) > 0) {
   echo $b = hexdec($split[2]);
} else if (hexdec($split[2]) == '') {
   echo $b = 0;
}


class PDF extends FPDF
{

   function Footer()
   {
   }
}

$pdf = new PDF('P', 'mm', 'Letter');
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetMargins(5, 5, 5);
$color_texto = '44, 44, 44';

$pdf->SetAutoPageBreak(true, 5);


//FIRMAS
$pdf->Ln(10);
$pdf->SetFont('Arial', '', 7);
$pdf->SetXY(1, 5);
$pdf->Cell(210, 2, $vsu7 . ' ' . date('Y-m-d H:i:s a'), '', 0, 'R', 0);












//NOMBRE DEL SISTEMA
$pdf->SetFont('Arial', 'B', 20);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetXY(4, 8);
$pdf->MultiCell(0, 0, n_sis(), 0, 'L', 0);



$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 15);
$pdf->SetTextColor(100, 100, 100);
$pdf->Cell(-1);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(131, 7.5, 'CONSOLIDADO DE PRODUCTOS A ENTREGAR / ' . date('Y-m-d'), 0, 0, 'L', 0);




//TITULO
$pdf->Ln(7);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor($r, $g, $b);




$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(-1);
$pdf->Cell(207, 4, 'DETALLE DE PRODUCTOS', 0, 0, 'L', 0);
$pdf->Ln(4);
//DETALLE MATERIALES
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetFillColor(130, 130, 130);
$pdf->Cell(5, 4, 'N*', 1, 0, 'C', 1);
$pdf->Cell(15, 4, 'CODIGO', 1, 0, 'C', 1);
$pdf->Cell(166, 4, 'PRODUCTO', 1, 0, 'C', 1);
$pdf->Cell(20, 4, 'CANTIDAD', 1, 0, 'C', 1);

$pdf->Ln(4);
$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);

$contador1 = 1;
$total1 = 0;
$detalle1 = $dbc->query("SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det, cc_ipc_o_ven WHERE prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC");
foreach ($detalle1 as $r_dr) {
   if ($r_dr['p_est_prom'] > 0) {
      $prom = '*';
   } else {
      $prom = '';
   }
   $pdf->SetFont('Arial', '', 6);
   $pdf->Cell(5, 4, $contador1, 1, '', 'C', 1);
   $pdf->Cell(15, 4, $r_dr['p_cod'] . $prom, 1, '', 'L', 1);
   $fullName = iconv('UTF-8', 'windows-1252', $r_dr['p_descr1']);
   $pdf->Cell(166, 4, $fullName, 1, '', 'L', 1);
   $pdf->Cell(20, 4, $r_dr['st_o_ven_t'], 1, 0, 'C', 1);
   $total1 = $total1 + $r_dr['st_o_ven_t'];
   $pdf->Ln(4);
   $contador1++;
}


$pdf->Cell(186, 4, '', 0, 0, 'C', 0);
$pdf->Cell(20, 4, $total1, 1, 0, 'C', 0);





$pdf->Ln(5);

$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(-1);
$pdf->Cell(207, 4, 'DETALLE DE PRODUCTOS DE CICLO', 0, 0, 'L', 0);
$pdf->Ln(4);
//DETALLE MATERIALES
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetFillColor(130, 130, 130);
$pdf->Cell(5, 4, 'N*', 1, 0, 'C', 1);
$pdf->Cell(15, 4, 'CODIGO', 1, 0, 'C', 1);
$pdf->Cell(166, 4, 'PRODUCTO', 1, 0, 'C', 1);
$pdf->Cell(20, 4, 'CANTIDAD', 1, 0, 'C', 1);

$pdf->Ln(4);
$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);

$contador2 = 1;
$detalle2 = $dbc->query("SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det_prom, cc_ipc_o_ven WHERE prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC");
foreach ($detalle2 as $r_dr) {
   if ($r_dr['p_est_prom'] > 0) {
      $prom = '*';
   } else {
      $prom = '';
   }
   $pdf->SetFont('Arial', '', 6);
   $pdf->Cell(5, 4, $contador2, 1, '', 'C', 1);
   $pdf->Cell(15, 4, $r_dr['p_cod'] . $prom, 1, '', 'L', 1);
   $fullName = iconv('UTF-8', 'windows-1252', $r_dr['p_descr1']);
   $pdf->Cell(166, 4, $fullName, 1, '', 'L', 1);
   $pdf->Cell(20, 4, $r_dr['st_o_ven_t'], 1, 0, 'C', 1);
   $total2 = $total12 + $r_dr['st_o_ven_t'];
   $pdf->Ln(4);
   $contador2++;
}



$pdf->Cell(186, 4, '', 0, 0, 'C', 0);
$pdf->Cell(20, 4, $total2, 1, 0, 'C', 0);






$pdf->Ln(5);
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(-1);
$pdf->Cell(207, 4, 'DETALLE DE PRODUCTOS CONSOLIDADOS PARA ENTREGAR', 0, 0, 'L', 0);
$pdf->Ln(4);
//DETALLE MATERIALES
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetFillColor($r, $g, $b);
$pdf->Cell(5, 4, 'N*', 1, 0, 'C', 1);
$pdf->Cell(15, 4, 'CODIGO', 1, 0, 'C', 1);
$pdf->Cell(166, 4, 'PRODUCTO', 1, 0, 'C', 1);
$pdf->Cell(20, 4, 'CANTIDAD', 1, 0, 'C', 1);

$pdf->Ln(4);
$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);

$contador3 = 1;
$detalle3 = $dbc->query("SELECT p_cod, p_descr1, SUM(st_o_ven_t) AS total FROM
(
   SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det, cc_ipc_o_ven
   WHERE prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
   UNION ALL
   SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det_prom, cc_ipc_o_ven
   WHERE prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
)t
GROUP BY p_cod ASC");
foreach ($detalle3 as $r_dr) {
   if ($r_dr['p_est_prom'] > 0) {
      $prom = '*';
   } else {
      $prom = '';
   }
   $pdf->SetFont('Arial', '', 6);
   $pdf->Cell(5, 4, $contador3, 1, '', 'C', 1);
   $pdf->Cell(15, 4, $r_dr['p_cod'] . $prom, 1, '', 'L', 1);
   $fullName = iconv('UTF-8', 'windows-1252', $r_dr['p_descr1']);
   $pdf->Cell(166, 4, $fullName, 1, '', 'L', 1);
   $pdf->Cell(20, 4, $r_dr['total'], 1, 0, 'C', 1);
   $total3 = $total3 + $r_dr['total'];
   $pdf->Ln(4);
   $contador3++;
}


$pdf->Cell(186, 4, '', 0, 0, 'C', 0);
$pdf->Cell(20, 4, $total3, 1, 0, 'C', 0);



























$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);




















$con_transporte = $dbc->query("SELECT * FROM cc_ipc_trans WHERE ciudad='$cod_sucursal'");
foreach ($con_transporte as $ct) {
    $placa_t = $ct['id_transporte'];
    $chofer_d = $ct['chofer'];
    $dist_d = $ct['propietario'];
    
    //CONSOLIDADO POR TRANSPORTE
    $pdf->AddPage();
    $pdf->SetMargins(5, 5, 5);
    $color_texto = '44, 44, 44';
    
    
    //FIRMAS
    $pdf->Ln(10);
    $pdf->SetFont('Arial', '', 7);
    $pdf->SetXY(1, 5);
    $pdf->Cell(210, 2, $vsu7 . ' ' . date('Y-m-d H:i:s a'), '', 0, 'R', 0);
    
    
    
    $pdf->Ln(2);
    $pdf->SetFont('Arial', 'B', 15);
    $pdf->SetTextColor(100, 100, 100);
    $pdf->Cell(-1);
    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(131, 6, 'CONSOLIDADO TRANSPORTE - ' . $placa_t, 0, 0, 'L', 0);
    $pdf->Ln(4);
    $pdf->SetFont('Arial', '', 9);
    $pdf->Cell(-1);
    $pdf->Cell(131, 7.5, 'Conductor  : ' . $chofer_d, 0, 0, 'L', 0);
    $pdf->Ln(4);
    $pdf->Cell(-1);
    $pdf->Cell(131, 7.5, 'Distribuidor: ' . $dist_d, 0, 0, 'L', 0);

    
    
    
    
    $pdf->Ln(7);
    $pdf->SetDrawColor(130, 130, 130);
    $pdf->SetTextColor($r, $g, $b);
    $pdf->SetFont('Arial', 'B', 7);
    $pdf->Cell(-1);
    $pdf->Cell(207, 4, 'DETALLE DE PRODUCTOS CONSOLIDADOS PARA ENTREGAR', 0, 0, 'L', 0);
    $pdf->Ln(4);
    //DETALLE MATERIALES
    $pdf->SetDrawColor(130, 130, 130);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFont('Arial', 'B', 7);
    $pdf->SetFillColor($r, $g, $b);
    $pdf->Cell(5, 4, 'N*', 1, 0, 'C', 1);
    $pdf->Cell(15, 4, 'CODIGO', 1, 0, 'C', 1);
    $pdf->Cell(166, 4, 'PRODUCTO', 1, 0, 'C', 1);
    $pdf->Cell(20, 4, 'CANTIDAD', 1, 0, 'C', 1);
    
    $pdf->Ln(4);
    $pdf->SetTextColor(0);
    $pdf->SetFont('Arial', '', 7);
    $pdf->SetFillColor(255, 255, 255);
    $pdf->SetDrawColor(130, 130, 130);
    
    $total_c = 0;
    
    
    $contador3 = 1;
    $detalle3 = $dbc->query("SELECT trans_placa, p_cod, p_descr1, SUM(st_o_ven_t) AS total FROM
    (
       SELECT trans_placa, p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det, cc_ipc_o_ven
       WHERE trans_placa='$placa_t' AND prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
       UNION ALL
       SELECT trans_placa, p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det_prom, cc_ipc_o_ven
       WHERE trans_placa='$placa_t' AND prod_suc_in='$cod_sucursal' AND r_fe='$date' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
    )t
    GROUP BY p_cod ASC");
    foreach ($detalle3 as $r_dr) {
       if ($r_dr['p_est_prom'] > 0) {
          $prom = '*';
       } else {
          $prom = '';
       }
       $pdf->SetFont('Arial', '', 6);
       $pdf->Cell(5, 4, $contador3, 1, '', 'C', 1);
       $pdf->Cell(15, 4, $r_dr['p_cod'] . $prom, 1, '', 'L', 1);
       $fullName = iconv('UTF-8', 'windows-1252', $r_dr['p_descr1']);
       $pdf->Cell(166, 4, $fullName, 1, '', 'L', 1);
       $pdf->Cell(20, 4, $r_dr['total'], 1, 0, 'C', 1);
       $total_c = $total_c + $r_dr['total'];
       $pdf->Ln(4);
       $contador3++;
    }
    
    
    $pdf->Cell(186, 4, '', 0, 0, 'C', 0);
    $pdf->Cell(20, 4, $total_c, 1, 0, 'C', 0);
}



















ob_end_clean();
$pdf->Output();
