<?php
include '../../icp.systems.core/access_file.php';
require('../../icp.systems.tools/pdf/fpdf/fpdf.php');
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.unitfun/unit_val_literal.php';


$cod_sucursal = $_GET['suc'];
$date = $_GET['date'];

$split = str_split(substr(c_report(), 1), 2);
if (hexdec($split[0]) > 0) {
   echo $r = hexdec($split[0]);
} else if (hexdec($split[0]) == '') {
   echo $r = 0;
}
if (hexdec($split[1]) > 0) {
   echo $g = hexdec($split[1]);
} else if (hexdec($split[1]) == '') {
   echo $g = 0;
}

if (hexdec($split[2]) > 0) {
   echo $b = hexdec($split[2]);
} else if (hexdec($split[2]) == '') {
   echo $b = 0;
}


class PDF extends FPDF
{

   function Footer()
   {
   }
}

$pdf = new PDF('L', 'mm', 'Letter');
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetMargins(5, 5, 5);
$color_texto = '44, 44, 44';

$pdf->SetAutoPageBreak(true, 5);

//FIRMAS
$pdf->Ln(10);
$pdf->SetFont('Arial', '', 7);
$pdf->SetXY(1, 5);
$pdf->Cell(275, 2, $vsu7 . ' ' . date('Y-m-d H:i:s a'), '', 0, 'R', 0);





$suc = $_SESSION['vsu10'];




if ($_SESSION['fecha1'] == true and $_SESSION['fecha2'] == true) {
   $mm1 = $_SESSION['fecha1'];
   $mm2 = $_SESSION['fecha2'];
} else {
   $mm1 = date('Y-m-d');
   $mm2 = date('Y-m-d');
}

if ($_SESSION['metodo_estado_venta_actual'] == '') {
   $cod_metodo_estado_venta = "'AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO'";
} else {
   $cod_metodo_estado_venta = "'REBOTE PARCIAL', 'REBOTE TOTAL', 'ENTREGADO'";
}

if ($_SESSION['metodo_saldo_actual'] == '') {
   $cod_metodo_saldo = '';
} else if ($_SESSION['metodo_saldo_actual'] == 'SIN SALDO') {
   $cod_metodo_saldo = ' AND bs_s=0 ';
} else if ($_SESSION['metodo_saldo_actual'] == 'CON SALDO') {
   $cod_metodo_saldo = ' AND bs_s>0 ';
}


if ($_SESSION['metodo_pago_actual'] == '') {
   $cod_metodo_pago = '';
} else {
   $cod_metodo_pago = ' AND metodo_pago="' . $_SESSION['metodo_pago_actual'] . '" ';
}


if ($_SESSION['transporte_actual'] == '') {
   $cod_transporte = '';
} else {
   $cod_transporte = ' AND trans_placa="' . $_SESSION['transporte_actual'] . '" ';
}


if ($_SESSION['ci_actual'] == '') {
   $cod_ci = '';
} else {
   $cod_ci = ' AND r_ci="' . $_SESSION['ci_actual'] . '" ';

   if ($_SESSION['client_actual'] == '' or $_SESSION['client_actual'] == 'TODOS') {
      $cod_clie = '';
   } else {
      $cod_clie = ' AND clie_id="' . $_SESSION['client_actual'] . '" ';
   }
}








//NOMBRE DEL SISTEMA
$pdf->SetFont('Arial', 'B', 20);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetXY(4, 8);
$pdf->MultiCell(0, 0, n_sis(), 0, 'L', 0);



$pdf->Ln(2);
$pdf->SetFont('Arial', 'B', 15);
$pdf->SetTextColor(100, 100, 100);
$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(275, 7.5, 'LIQUIDACIONES DE VENTAS', 0, 0, 'C', 0);
$pdf->Ln(5);
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(275, 7.5, 'DEL ' . $mm1 . ' AL ' . $mm2, 0, 0, 'C', 0);



if ($cod_ci == '') {
   $n_user = 'TODOS';
} else {
   $qus = $dbc->query("SELECT * FROM ipc_users WHERE ci='" . $_SESSION['ci_actual'] . "'");
   foreach ($qus as $ru) {
      $n_user = $ru['names'] . ' ' . $ru['surnames'];
   }
}




$pdf->Ln(7);
$pdf->SetFont('Arial', 'B', 15);
$pdf->Cell(142, 4, 'EJECUTIVO DE VENTAS: ' . $n_user, 0, 0, 'L', 0);


//TITULO
$pdf->Ln(7);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor($r, $g, $b);


//DETALLE MATERIALES
$pdf->SetDrawColor($r, $g, $b);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', '', 6);
$pdf->SetFillColor($r, $g, $b);
$pdf->Cell(14, 4, 'F. ENTREGA', 1, 0, 'C', 1);
$pdf->Cell(17, 4, 'ALERTA', 1, 0, 'C', 1);
$pdf->Cell(27, 4, 'CLIENTE', 1, 0, 'C', 1);
$pdf->Cell(17, 4, 'TIPO MERC', 1, 0, 'C', 1);
$pdf->Cell(35, 4, 'DIRECCION', 1, 0, 'C', 1);
$pdf->Cell(12, 4, 'CELULAR', 1, 0, 'C', 1);
$pdf->Cell(20, 4, 'ESTADO', 1, 0, 'C', 1);
$pdf->Cell(12, 4, 'TOTAL', 1, 0, 'C', 1);
$pdf->Cell(12, 4, 'AMORTIZ', 1, 0, 'C', 1);
$pdf->Cell(12, 4, 'SALDO', 1, 0, 'C', 1);
$pdf->Cell(92, 4, 'INFORMACION', 1, 0, 'C', 1);


$pdf->Ln(4);
$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 6);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(180, 180, 180);

$total_deposito = 0;
$total_amortizado = 0;
$total_saldo = 0;

$cn = 1;
$qventas = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE prod_suc_in='$suc' AND r_fe>='$mm1' AND r_fe<='$mm2'" . $cod_metodo_pago . "" . $cod_transporte . "" . $cod_ci . "" . $cod_clie . "" . $cod_metodo_saldo . "AND estado IN (" . $cod_metodo_estado_venta . ")");
foreach ($qventas as $c) {
   $pdf->Cell(14, 4, $c['r_fe'], 1, 0, 'C', 0);
   if ($c['r_fe'] == date('Y-m-d') or  $c['bs_s'] > 0) {
      $fechaProporcionada = $c['r_fe']; // Formato: Año-Mes-Día

      // Obtener la fecha actual
      $fechaActual = date("Y-m-d");

      // Convertir las fechas a objetos DateTime para calcular la diferencia
      $fechaProporcionadaObj = new DateTime($fechaProporcionada);
      $fechaActualObj = new DateTime($fechaActual);

      // Calcular la diferencia en días
      $diferencia = $fechaProporcionadaObj->diff($fechaActualObj);
      $diasRetrasados = $diferencia->days;

      $pdf->SetTextColor(255, 0, 0);
      $pdf->Cell(17, 4, 'Dias en Mora ' . $diasRetrasados, 1, 0, 'L', 0);
   } else {
      $pdf->SetTextColor(0);
      $pdf->Cell(17, 4, '', 1, 0, 'L', 0);
   }
   $fullName = iconv('UTF-8', 'windows-1252', $c['clie_n']);
   $pdf->Cell(27, 4, ucwords(strtolower($fullName)), 1, 0, 'L', 0);
   $pdf->Cell(17, 4, $c['clie_tip_neg'], 1, 0, 'L', 0);
   $fulldir = iconv('UTF-8', 'windows-1252', $c['clie_dir']);
   $pdf->Cell(35, 4, ucwords(strtolower($fulldir)), 1, 0, 'L', 0);
   $pdf->Cell(12, 4, $c['clie_cel'], 1, 0, 'C', 0);
   $pdf->Cell(20, 4, $c['estado'], 1, 0, 'L', 0);
   $pdf->Cell(12, 4, $c['bs_tndi'], 1, 0, 'R', 0);
   $total_deposito = $total_deposito + $c['bs_tndi'];
   $pdf->Cell(12, 4, $c['bs_a'], 1, 0, 'R', 0);
   $total_amortizado = $total_amortizado + $c['bs_a'];
   $pdf->Cell(12, 4, $c['bs_s'], 1, 0, 'R', 0);
   $total_saldo = $total_saldo + $c['bs_s'];
   $pdf->SetTextColor(0);
   $pdf->SetFont('Arial', '', 6);
   $pdf->SetFillColor(220, 220, 220);
   $pdf->SetDrawColor(180, 180, 180);
   $pdf->Cell(42, 4, 'Observacion', 1, 0, 'C', 1);
   $pdf->Cell(15, 4, 'Nro Recibo', 1, 0, 'C', 1);
   $pdf->Cell(35, 4, 'User Registered', 1, 0, 'C', 1);
   $pdf->SetTextColor(0);
   $pdf->SetFont('Arial', '', 6);
   $pdf->SetFillColor(255, 255, 255);
   $pdf->SetDrawColor(180, 180, 180);
   $pdf->Ln(4);
   $cod_venta = $c['id'];
   $report1 = $dbc->query("SELECT montopago, observacion, nrorecibo, fecha, hora, usuario
   FROM fi_ipc_o_ven_det_pagos
   WHERE r_id='$cod_venta'");
   foreach ($report1 as $rp) {
      $pdf->Cell(154, 4, '', 1, 0, 'R', 0);
      $pdf->Cell(12, 4, $rp['montopago'], 1, 0, 'R', 0);
      $pdf->Cell(54, 4, strtolower($rp['observacion']), 1, 0, 'R', 0);
      $pdf->Cell(15, 4, $rp['nrorecibo'], 1, 0, 'C', 0);
      $pdf->Cell(35, 4, $rp['usuario'] . ' ' . $rp['fecha'] . ' ' . $rp['hora'], 1, 0, 'C', 0);
      $pdf->Ln(4);
   }
}

$pdf->Cell(142, 4, '', 0, 0, 'R', 0);
$pdf->Cell(12, 4, $total_deposito, 1, 0, 'R', 0);
$pdf->Cell(12, 4, $total_amortizado, 1, 0, 'R', 0);
$pdf->Cell(12, 4, $total_saldo, 1, 0, 'R', 0);
$pdf->Cell(92, 4, '', 0, 0, 'R', 0);










$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);



ob_end_clean();
$pdf->Output();
