<?php
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.tools/pdf/fpdf/fpdf.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.unitfun/unit_val_literal.php';


$split = str_split(substr(c_report(), 1), 2);
if (hexdec($split[0]) > 0) {
   echo $r = hexdec($split[0]);
} else if (hexdec($split[0]) == '') {
   echo $r = 0;
}
if (hexdec($split[1]) > 0) {
   echo $g = hexdec($split[1]);
} else if (hexdec($split[1]) == '') {
   echo $g = 0;
}

if (hexdec($split[2]) > 0) {
   echo $b = hexdec($split[2]);
} else if (hexdec($split[2]) == '') {
   echo $b = 0;
}

function fechaCastellano($fecha)
{
   $fecha = substr($fecha, 0, 10);
   $numeroDia = date('d', strtotime($fecha));
   $dia = date('l', strtotime($fecha));
   $mes = date('F', strtotime($fecha));
   $anio = date('Y', strtotime($fecha));
   $dias_ES = array("Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo");
   $dias_EN = array("Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday");
   $nombredia = str_replace($dias_EN, $dias_ES, $dia);
   $meses_ES = array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
   $meses_EN = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
   $nombreMes = str_replace($meses_EN, $meses_ES, $mes);
   return $nombredia . " " . $numeroDia . " de " . $nombreMes . " de " . $anio;
}

$r_cod = $_GET['r_cod'];
$r_ci = $_GET['r_ci'];
$suc = $_GET['suc'];

$venta = $dbc->query("SELECT * FROM cc_ipc_io_transfer WHERE r_cod='$r_cod' AND r_ci='$r_ci'");
foreach ($venta as $v) {
   $rv1 = $v['id'];
   $rv2 = $v['r_cod'];
   $rv4 = $v['r_user_name'];
   $rv5 = $v['r_phone'];

   $rv7 = $v['r_fp'];
   $rv9 = $v['r_fp_time'];

   $rv8 = $v['r_fe'];




   $rv14 = $v['celr']; //VALOR IMPORTANTE PARA CREDITO O AL CONTADO



   $rv16 = $v['clie_n'];
   $rv17 = $v['clie_cel'];
   $rv19 = $v['clie_ce'];

   $rv22 = $v['clie_tip_neg'];
   $rv23 = $v['clie_ref'];
   $rv26 = $v['clie_zone'];
   $rv27 = $v['clie_dir'];
   $rv8 = $v['r_fe'];

   $rv111 = $v['trans_placa'];

   $rv124 = $v['trans_time'];


   $rv43 = $v['prod_suc_out'];


   $rv53 = $v['bs_n'];
   $rv54 = $v['bs_f'];
   $rv55 = $v['bs_b'];
   $rv56 = $v['bs_e'];
   $rv57 = $v['bs_e'];
   $rv58 = $v['bs_dt'];

   $rv61 = $v['out_bs_tndi'];


   $rv70 = $v['out_prod_prom'];



   $rv38 = $v['bs_tndi'];


   $rv88 = $v['clie_fac_ci2'];
   $rv89 = $v['clie_fac_rs2'];

   $prod_upd = $v['prod_upd'];
}

$trans = $dbc->query("SELECT * FROM ipc_sucursal WHERE cod_suc='$rv43'");
foreach ($trans as $f) {
   $name_suc = $f['dir'];
}

class PDF extends FPDF
{

   function Footer()
   {
   }
}

$pdf = new PDF('P', 'mm', 'Letter');
$pdf->AliasNbPages();
$pdf->AddPage();




$pdf->SetMargins(5, 5, 5);
$color_texto = '44, 44, 44';



//NOMBRE DEL SISTEMA
$pdf->SetFont('Arial', 'B', 20);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetXY(4, 8);
$pdf->MultiCell(0, 0, n_sis(), 0, 'L', 0);
$pdf->SetFont('Arial', 'B', 16);
$pdf->SetTextColor(100, 100, 100);
$pdf->SetXY(4, 8);
$pdf->MultiCell(0, 0, $name_suc, 0, 'R', 0);





$pdf->Ln(4);

$pdf->SetFont('Arial', 'B', 15);
$pdf->SetTextColor(100, 100, 100);
$pdf->Cell(-1);
$pdf->Cell(131, 7, 'Documento de Transferencia (Destino)', 0, 0, 'L', 0);
$pdf->Cell(3);
$pdf->SetDrawColor(130, 130, 130);
$pdf->Cell(33, 7, '', 0, 0, 'C', 0);
$pdf->Cell(40, 7, cod_venta($rv4, '', $rv1), 1, 0, 'C', 0);





//TITULO
$pdf->Ln(9);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor($r, $g, $b);




//DETALLE VENTA PARTE SUPERIOR

$pdf->SetDrawColor(130, 130, 130);
$pdf->SetFillColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor(255, 255, 255);
$pdf->Cell(50, 4, 'REGISTRADO POR', 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 7);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(80, 4, $rv4, 1, 0, 'C', 0);
$pdf->Cell(3);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor(255, 255, 255);
$pdf->Cell(33, 4, 'FECHA DE REGISTRO', 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 7);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(40, 4, $rv7 . ' ' . $rv9, 1, 0, 'C', 0);
$pdf->Ln(4);
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetFillColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor(255, 255, 255);
$pdf->Cell(50, 4, 'AUTORIZADO POR', 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 7);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(80, 4, $prod_upd, 1, 0, 'C', 0);
$pdf->Cell(3);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor(255, 255, 255);
$pdf->Cell(33, 4, '', 0, 0, 'L', 0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(40, 4, '', '', 0, 'C', 0);







//TITULO
$pdf->Ln(5);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetTextColor($r, $g, $b);



//DETALLE MATERIALES
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor($r, $g, $b);
$pdf->SetFont('Arial', 'B', 7);
$pdf->Cell(-1);
$pdf->Cell(207, 4, 'DETALLE DE PRODUCTOS', 0, 0, 'L', 0);



$pdf->Ln(4);

//DETALLE MATERIALES
$pdf->SetDrawColor(130, 130, 130);
$pdf->SetTextColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetFillColor($r, $g, $b);
$pdf->Cell(5, 4, 'N*', 1, 0, 'C', 1);
$pdf->Cell(15, 4, 'CODIGO', 1, 0, 'C', 1);
$pdf->Cell(176, 4, 'PRODUCTO', 1, 0, 'C', 1);
$pdf->Cell(10, 4, 'C/UN', 1, 0, 'C', 1);


$pdf->Ln(4);
//DETALLE PRODUCTOS
$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);



$contador = 1;

$total_venta = 0;


$cant_prod = 0;

$detalle_registro = $dbc->query("SELECT * FROM cc_ipc_io_transfer_det_destino WHERE p_sucursal='$rv43' AND dr_cod='$r_cod' AND dr_ci='$r_ci' ORDER BY id ASC");
foreach ($detalle_registro as $r_dr) {
   $pdf->SetFont('Arial', '', 6);
   $pdf->Cell(5, 4, $contador, 1, '', 'C', 1);
   $pdf->Cell(15, 4, $r_dr['p_cod'], 1, '', 'L', 1);
   $fullName = iconv('UTF-8', 'windows-1252', $r_dr['p_descr1']);
   $pdf->Cell(176, 4, $fullName, 1, '', 'L', 1);
   $pdf->Cell(10, 4, $r_dr['cant_in'], 1, 0, 'C', 1);
   $cant_prod = $cant_prod + $r_dr['cant_in'];
   $pdf->Ln(4);
   $contador++;
}


$pdf->SetDrawColor(130, 130, 130);
$pdf->SetFont('Arial', 'B', 7);
$pdf->SetFillColor($r, $g, $b);
$pdf->Cell(5, 4, '', 0, 0, 'C', 0);
$pdf->Cell(15, 4, '', 0, 0, 'C', 0);
$pdf->Cell(176, 4, '', 0, 0, 'C', 0);
$pdf->Cell(10, 4, $cant_prod, 1, 0, 'C', 0);








$pdf->SetTextColor(0);
$pdf->SetFont('Arial', '', 7);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetDrawColor(130, 130, 130);






ob_end_clean();
$pdf->Output();
