<style>
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        text-decoration: none;
    }

    body {
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
        font-family: Segoe UI, Frutiger, Dejavu Sans, Helvetica Neue, Arial, sans-serif;
    }

    .form {
        z-index: 1;
        position: absolute;
        width: 320px;
        text-align: center;
    }

    .form i {
        z-index: 1;
        color: #ccc;
        font-size: 65px;
        margin-bottom: 30px;
    }

    .form .signup-form {
        display: none;
    }

    .form .user-input {
        width: 320px;
        height: 45px;
        margin-bottom: 10px;
        outline: none;
        border: none;
        background: #ffffff;
        color: #767676;
        font-size: 14px;
        text-align: center;
        border-radius: 0px;
        transition: 0.5s;
        transition-property: border-left, border-right, box-shadow;
    }

    .form .user-input:hover,
    .form .user-input:focus,
    .form .user-input:active {
        border-left: solid 8px <?php echo c_login();
                                ?>;
        border-right: solid 8px <?php echo c_login();
                                ?>;
        box-shadow: 0 0 10px <?php echo c_login();
                                ?>;
    }

    .form .options-01 {
        margin-bottom: 50px;
    }

    .form .options-01 input {
        width: 15px;
        height: 15px;
        margin-right: 5px;
    }

    .form .options-01 .remember-me {
        color: #bbb;
        font-size: 14px;
        display: flex;
        align-items: center;
        float: left;
        cursor: pointer;
    }

    .form .options-01 a {
        color: #888;
        font-size: 14px;
        font-style: italic;
        float: right;
    }

    .form .btn {
        outline: none;
        border: none;
        width: 320px;
        height: 45px;
        background: #29b3a6;
        color: #fff;
        font-size: 15px;
        letter-spacing: 1px;
        border-radius: 0px;
        cursor: pointer;
        transition: 0.5s;
        transition-property: border-left, border-right, box-shadow;
    }

    .form .btn:hover {
        border-left: solid 8px rgba(255, 255, 255, 0.5);
        border-right: solid 8px rgba(255, 255, 255, 0.5);
        box-shadow: 0 0 100px rgba(66, 133, 244, 0.8);
    }

    .form .options-02 {
        color: #767676;
        font-size: 14px;
        margin-top: 30px;
    }

    .form .options-02 a {
        color: #29b3a6;
    }

    /* Responsive CSS */

    @media screen and (max-width: 500px) {
        .form {
            width: 95%;
        }

        .form .user-input {
            width: 100%
        }

        .form .btn {
            width: 100%;
        }
    }
</style>

<style>
    body {
        background-image: url(icp.systems.design/img/loogin.jpg);
        background-position: center center;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
    }
</style>

<body style="<?php echo theme(); ?>;">
    <div class="loader"></div>
    <!--form area start-->
    <div class="form">
        <!--login form start-->
        <form class="login-form" action="" method="post">
            <div class="options-02" style="height: 36px">
                <div style="position: absolute; width: 17px; height: 55px; background-color: <?php echo c_login(); ?>">
                </div>
                <div style="position: absolute; width: 17px; height: 17px; background-color: <?php echo c_login(); ?>; margin-left: 20px">
                </div>
                <div style="position: absolute; width: 17px; height: 17px; background-color: #767676; margin-left: 20px; top: 68px">
                </div>
                <div style="position: absolute; width: 17px; height: 55px; background-color: #767676; margin-left: 40px">
                </div>
                <div style="position: absolute; width: 81%; height: 55px; background-color: transparent; margin-left: 55px; font-size: 30px; padding-top: 0px; color: #767676">
                    <b><?php echo n_sis(); ?></b>
                </div>
            </div>
            <div class="options-02">
                <input style="background-color: #74747433; color: #767676" class="user-input" type="text" pattern="[A-Za-z0-9_-]{1,15}" name="user" placeholder="Nombre de Usuario" autocomplete="off" required>
                <input style="background-color: #74747433; color: #767676" class="user-input" type="password" name="pass" placeholder="Clave o Password" autocomplete="off" required>
                <!-- <input style="background-color: #74747433; color: #767676" class="user-input" type="password" pattern="[A-Za-z0-9_-]{1,15}" name="pass" placeholder="Clave o Password" autocomplete="off" required> -->
                <input style="background-color: <?php echo c_login(); ?>; color: white" class="btn" type="submit" name="" value="Iniciar Sesion">
                <div class="options-02">
                    <p>Parisaca Systems, Innovando Tecnologia.</p>
                </div>
            </div>
            <!--<div class="options-02">
                <p>Not Registered? <a href="#">Create an Account</a></p>
            </div>-->
        </form>
        <!--login form end-->
        <!--signup form start-->
        <form class="signup-form" action="" method="post">
            <img class="mySlides w3-animate-fading" src="icp.systems.design/img/ipc1.png" width="60%"><br>.
            <input class="user-input" type="text" name="" placeholder="Username" required>
            <input class="user-input" type="email" name="" placeholder="Email Address" required>
            <input class="user-input" type="password" name="" placeholder="Password" required>
            <input class="btn" type="submit" name="" value="SIGN UP">
            <div class="options-02">
                <p>Already Registered? <a href="#">Sign In</a></p>
            </div>
        </form>
        <!--signup form end-->
    </div>
    <!--form area end-->

    <script type="text/javascript">
        $('.options-02 a').click(function() {
            $('form').animate({
                height: "toggle",
                opacity: "toggle"
            }, "slow");
        });
    </script>
    <script>
        $("input.user").bind('keypress', function(event) {
            var regex = new RegExp("^[a-zA-Z0-9 ]+$");
            var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
            if (!regex.test(key)) {
                event.preventDefault();
                return false;
            }
        });
        $("input.pass").bind('keypress', function(event) {
            var regex = new RegExp("^[a-zA-Z0-9 ]+$");
            var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
            if (!regex.test(key)) {
                event.preventDefault();
                return false;
            }
        });
    </script>

</body>