<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'mz_functions.php';

$line->start();
$line->top1($dbc, '', 5, 'MERCADO / ZONA (Nacional)', '');
?>
<div class="div col-lg-1">
   <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
      <?php
      $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
      foreach ($select_s as $ss) {
      ?>
         <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

      function search_sucursal() {
         suc = document.getElementById("suc").value;
         var formData = new FormData();
         formData.append('action', "search_sucursal");
         formData.append("suc", suc);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               form_add();
               lista();
               form_add1();
               lista1();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(2, 'NUEVO MERCADO', 'onclick="adicionar()"');
$line->top2(2, 'NUEVA ZONA', 'onclick="adicionar1()"');
$line->top2(1, 'ATRAS', 'list.php');
$line->content();
?>
<!-- MOSTRAR RESULTADO MERCADO -->
<div class="col-lg-6">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- MOSTRAR RESULTADO ZONA -->
<div class="col-lg-6">
   <div id="lista1"></div>
   <script type="text/javascript">
      function lista1() {
         fetch('<?php echo $file_functions; ?>?action=lista1')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista1').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista1();
   </script>
</div>
<!-- ADICIONAR MERCADO -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add"></div>
   <script type="text/javascript">
      function form_add() {
         fetch('<?php echo $file_functions; ?>?action=form_add')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add();
   </script>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;

      if (i1.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i1", i1);
         formData.append("i2", i2);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- ADICIONAR ZONA -->
<div id="nuevo1" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add1"></div>
   <script type="text/javascript">
      function form_add1() {
         fetch('<?php echo $file_functions; ?>?action=form_add1')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add1').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add1();
   </script>
</div>
<script type="text/javascript">
   function adicionar1() {
      document.getElementById("nuevo1").style.display = "grid";
   }

   function add1() {
      z1 = document.getElementById("z1").value;
      z2 = document.getElementById("z2").value;

      if (z1.length > 0) {
         var formData = new FormData();
         formData.append("action", "add1");
         formData.append("z1", z1);
         formData.append("z2", z2);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista1();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0, d19) {
      document.getElementById("d0").value = d0;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("d0", d0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ELIMINAR ZONA -->
<div id="eliminar1" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="dz0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del1()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar1(d0, d19) {
      document.getElementById("dz0").value = d0;
      document.getElementById("eliminar1").style.display = "grid";
   }

   function del1() {
      dz0 = document.getElementById("dz0").value;
      var formData = new FormData();
      formData.append("action", "del1");
      formData.append("dz0", dz0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista1();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<?php $line->end(); ?>