<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';
class functions
{
   public function search_sucursal()
   {
      $_SESSION['suc_actual'] = $_POST['suc'];
   }
   function cortarFrase($frase, $maxPalabras = 3, $noTerminales = ["de"])
   {
      $palabras = explode(" ", $frase);
      $numPalabras = count($palabras);
      if ($numPalabras > $maxPalabras) {
         $offset = $maxPalabras - 1;
         while (in_array($palabras[$offset], $noTerminales) && $offset < $numPalabras) {
            $offset++;
         }
         return implode(" ", array_slice($palabras, 0, $offset + 1));
      }
      return $frase;
   }
   function saber_dia($nombredia)
   {
      $dias = array('Domingo', 'Lunes', 'Martes', 'Miercoles', 'Jueves', 'Viernes', 'Sabado', 'Domingo');
      $fecha = $dias[date('N', strtotime($nombredia))];
      return strtoupper($fecha);
   }
   function dia_entrega($dbc, $cod_suc, $dia_semana)
   {
      if ($dia_semana == 0) {
         $dia_actual = c_m();
         $dia_actual_css = 'text-shadow: #2e2e2e -0.1em 0.1em 0.2em';
      } else {
         $dia_actual = 'default';
      }
?>
      <div class="col-lg-2">
         <div class="bg-<?php echo $dia_actual; ?>" style="text-align: center; font-size: 17px; font-weight: bold; <?php echo $dia_actual_css; ?>">
            <?php echo $this->saber_dia(date("Y-m-d", strtotime(date('Y-m-d') . "" . $dia_semana . " days"))); ?>
            <sup style="font-size: 9px"><?php echo $fecha1 = date("Y-m-d", strtotime(date('Y-m-d') . " " . $dia_semana . " days")); ?></sup>
         </div>
         <table style="color: #4a4040">
            <?php
            $q1 = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE prod_suc_in='$cod_suc' AND r_fe='$fecha1' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO')");
            foreach ($q1 as $f1) {
               $r_cod = $f1['r_cod'];
               $r_ci = $f1['r_ci'];

               if ($f1['estado'] == 'AUTORIZADO' and $f1['r_fe'] < date('Y-m-d')) {
                  $fecha_actual = date('Y-m-d');
                  $dbc->query("UPDATE cc_ipc_o_ven SET r_fe='$fecha_actual' WHERE r_cod='$r_cod' AND r_ci='$r_ci'");
               }
            ?>
               <tr>
                  <td style="width: 70px">
                     <b style="cursor: pointer" onclick="PopupCenter('../../icp.systems.tools/pdf/order_request.php?r_cod=<?php echo $f1['r_cod'] ?>&r_ci=<?php echo $f1['r_ci']; ?>&suc=<?php echo $f1['prod_suc_in']; ?>', 'xtf', '800', '800'); ">
                        <?php echo cod_venta($f1['r_user_name'], $f1['clie_mercado'], $f1['id']); ?><?php if ($f1['prod_prom'] > 0) { ?><i class="ion-star text-<?php echo c_m(); ?>"></i><?php } ?>
                     </b><br>
                     Cliente:<br>
                     Direccion:<br>
                     Vendedor: <br>
                     Obs:<br>
                     C/P:<br>
                     C/P/P:

                  </td>
                  <td colspan="2">
                     <div class="col-lg-12" style="display: flex; align-items: center;">
                        <div class="col-lg-8">
                           <b><?php echo $f1['estado']; ?></b>
                        </div>
                        <div class="col-lg-4 text-right">
                           <?php
                           if ($dia_semana == 0 or $dia_semana == '- 1') {
                              if ($f1['estado'] == 'AUTORIZADO') {
                                 $estado_icon = '';
                              }
                              if ($f1['estado'] == 'DESPACHADO') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-model-s"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              if ($f1['estado'] == 'PRE REBOTE PARCIAL') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-arrow-left-a"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              if ($f1['estado'] == 'REBOTE PARCIAL') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-arrow-left-a"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              if ($f1['estado'] == 'PRE REBOTE TOTAL') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-arrow-left-a"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              if ($f1['estado'] == 'REBOTE PARCIAL') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-arrow-left-a"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              if ($f1['estado'] == 'ENTREGADO') {
                                 $estado_icon = '<span style="cursor: pointer" class="label label-' . c_m() . '"><i class="ion-arrow-right-a"></i> ' . $f1['trans_placa'] . '</span>';
                              }
                              echo $estado_icon;
                           } ?>
                        </div>
                     </div>
                     <br>
                     <?php echo $f1['clie_n']; ?><br>
                     <b style="cursor: pointer; font-size: 8px" onclick="PopupCenter('http://maps.google.com/maps?&z=13&mrt=yp&t=k&q=<?php echo $f1['clie_lat']; ?>+<?php echo $f1['clie_lon']; ?>', 'xtf', '1100', '590');">
                        <?php echo $f1['clie_dir']; ?>
                     </b><br>
                     <?php echo $this->cortarFrase($f1['r_user_name']); ?><br>
                     <?php echo $f1['r_obs']; ?><br>
                     <?php echo $f1['prod_c']; ?><br>
                     <?php echo $f1['prod_prom']; ?>
                  </td>
               </tr>
            <?php } ?>
            <tr>
               <td colspan="3" class="bg-<?php echo $dia_actual; ?>">Cantidad de Productos</td>
            </tr>
            <?php
            $q11 = $dbc->query("SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det, cc_ipc_o_ven WHERE prod_suc_in='$cod_suc' AND r_fe='$fecha1' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC");
            foreach ($q11 as $f11) {
            ?>

               <tr>
                  <td style="cursor: pointer" title="<?php echo $f11['p_descr1']; ?>">
                     <?php echo $f11['p_cod']; ?>
                  </td>
                  <td style="cursor: pointer; font-size: 7px" title="<?php echo $f11['p_descr1']; ?>">
                     <?php echo $f11['p_descr1']; ?>
                  </td>
                  <td align="center">
                     <?php echo $f11['st_o_ven_t']; ?>
                  </td>
               </tr>
            <?php } ?>
            <tr>
               <td colspan="3" class="bg-<?php echo $dia_actual; ?>">Cantidad de Productos en Promocion</td>
            </tr>
            <?php
            $q12 = $dbc->query("SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det_prom, cc_ipc_o_ven WHERE prod_suc_in='$cod_suc' AND r_fe='$fecha1' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC");
            foreach ($q12 as $f12) {
            ?>
               <tr>
                  <td style="cursor: pointer" title="<?php echo $f12['p_descr1']; ?>">
                     <?php echo $f12['p_cod']; ?>
                  </td>
                  <td style="cursor: pointer; font-size: 7px" title="<?php echo $f12['p_descr1']; ?>">
                     <?php echo $f12['p_descr1']; ?>
                  </td>
                  <td align="center">
                     <?php echo $f12['st_o_ven_t']; ?>
                  </td>
               </tr>
            <?php } ?>
            <tr>
               <td colspan="3" class="bg-<?php echo $dia_actual; ?>">Cantidad Totales a Entregar (CONSOLIDADO)</td>
            </tr>
            <?php
            $q11 = $dbc->query("SELECT p_cod, p_descr1, SUM(st_o_ven_t) AS total FROM
            (
               SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det, cc_ipc_o_ven
               WHERE prod_suc_in='$cod_suc' AND r_fe='$fecha1' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
               UNION ALL
               SELECT p_cod, p_descr1, SUM(cant_out) AS st_o_ven_t FROM cc_ipc_o_ven_det_prom, cc_ipc_o_ven
               WHERE prod_suc_in='$cod_suc' AND r_fe='$fecha1' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND p_sucursal=prod_suc_in AND r_cod=dr_cod AND r_ci=dr_ci GROUP BY p_cod ASC
            )t
            GROUP BY p_cod ASC");
            foreach ($q11 as $f11) {
            ?>
               <tr>
                  <td style="cursor: pointer" title="<?php echo $f11['p_descr1']; ?>">
                     <?php echo $f11['p_cod']; ?>
                  </td>
                  <td style="cursor: pointer; font-size: 7px" title="<?php echo $f11['p_descr1']; ?>">
                     <?php echo $f11['p_descr1']; ?>
                  </td>
                  <td align="center">
                     <?php echo $f11['total']; ?>
                  </td>
               </tr>
            <?php }
            if ($dia_semana == 0 or $dia_semana == '+ 1') {
            ?>
               <tr>
                  <td colspan="3" class="bg-<?php echo $dia_actual; ?>">
                     <span style="cursor: pointer" class="btn btn-sm btn-block btn-<?php echo $dia_actual; ?>" onclick="PopupCenter('../../icp.systems.tools/pdf/consolidado_prod.php?suc=<?php echo $cod_suc; ?>&date=<?php echo $fecha1; ?>', 'xtf', '800', '800'); "><i class="ion-clipboard"></i> IMPRIMIR CONSOLIDADO</span>
                  </td>
               </tr>
            <?php } ?>
         </table>
      </div>
   <?php
   }

   public function lista($dbc, $suc)
   {
   ?>
      <div class="col-lg-12">
         <?php
         echo $this->dia_entrega($dbc, $suc, '- 1');
         echo $this->dia_entrega($dbc, $suc, 0);
         echo $this->dia_entrega($dbc, $suc, '+ 1');
         echo $this->dia_entrega($dbc, $suc, '+ 2');
         echo $this->dia_entrega($dbc, $suc, '+ 3');
         echo $this->dia_entrega($dbc, $suc, '+ 4');
         ?>
      </div>
      <div class="col-lg-12">
         <?php
         echo $this->dia_entrega($dbc, $suc, '+ 5');
         echo $this->dia_entrega($dbc, $suc, '+ 6');
         echo $this->dia_entrega($dbc, $suc, '+ 7');
         echo $this->dia_entrega($dbc, $suc, '+ 8');
         echo $this->dia_entrega($dbc, $suc, '+ 9');
         echo $this->dia_entrega($dbc, $suc, '+ 10');
         ?>
      </div>
<?php
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'search_sucursal':
      $action->search_sucursal();
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $_SESSION['suc_actual']);
      break;
   default:
      break;
}
