<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_planning_functions.php';

$line->start();
$line->top1($dbc, '', 7, 'PLANIFICACION, DESPACHO DE PEDIDOS (Regional)', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(2, 'LISTA DE PEDIDOS', 'l_delivery.php');
$line->top2(2, 'LOGISTICA Y DISTRIBUCION', 'l_pack_off.php');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- MODIFICAR OBSERVACION DE AUTORIZACION -->
<script>
   function mod_obs(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;
            var formData = new FormData();
            formData.append("action", "mod_observacion");
            formData.append("m0", id);
            formData.append("observacion", nuevoValor);
            fetch("<?php echo $file_functions; ?>", {
                  method: "POST",
                  body: formData
               })
               .then(function(response) {
                  return response.text();
               })
               .then(function(data) {
                  celda.innerHTML = nuevoValor;
                  lista();
               })
               .catch(function(error) {
                  celda.innerHTML = valorActual;
               });
         }
      });
   }
</script>
<!-- AUTORIZACION -->
<script>
   function autorizar(cod, ci) {
      var formData = new FormData();
      formData.append("action", "autorizar");
      formData.append("cod", cod);
      formData.append("ci", ci);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>