<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo_normal.php';
include '../../icp.systems.design/structure.php';

include '../../icp.systems.unitfun/unit_val_literal.php';

class functions
{
   public function fecha1()
   {
      $_SESSION['fecha1'] = $_POST['f1'];
   }
   public function fecha2()
   {
      $_SESSION['fecha2'] = $_POST['f2'];
   }
   public function lista($dbc, $ci, $fecha)
   {
?>
      <table>
         <thead style="<?php echo thead(); ?>">
            <tr class="bg-<?php echo c_m(); ?>">
               <td colspan="3" style="text-align: center; font-size: 19px; height: 31px; font-weight: bold; color: white; vertical-align: middle; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">ASIGNADO A: <?php echo $ci; ?></td>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="table">
            <?php
            if ($_SESSION['fecha1'] == true and $_SESSION['fecha2'] == true) {
               $mm1 = $_SESSION['fecha1'];
               $mm2 = $_SESSION['fecha2'];
            } else {
               $mm1 = date('Y-m-d');
               $mm2 = date('Y-m-d');
            }
            $cn = 1;
            $query = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE trans_placa='$ci' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('DESPACHADO', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'ENTREGADO')");
            foreach ($query as $c) {
            ?>
               <tr style="<?php echo row_color($cn); ?>">
                  <td style="padding: 0px !important">
                     <div style="width: 100%; display: flex; align-items: center;">
                        <div style="width: 60%; font-size: 11px">
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">Codigo</label>: <b><?php echo cod_venta($c['r_user_name'], $c['clie_mercado'], $c['id']); ?> <?php if ($c['prod_prom'] > 0) { ?><i class="ion-star text-<?php echo c_m(); ?>"></i><?php } ?></b><br>
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">Estado</label>: <?php echo $c['estado']; ?><br>
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">M. Pago</label>: <?php echo $c['metodo_pago']; ?><br>
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">Cliente</label>: <b><?php echo $c['clie_n']; ?></b><br>
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">Mercado</label>: <?php echo $c['clie_mercado']; ?><br>
                           <label style="padding-left: 4px; font-weight: bold; width: 50px">Direccion</label>: <?php echo $c['clie_dir']; ?><br>
                        </div>
                        <div style="width: 40%; text-align: center;">
                           <a onclick="visualizar('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>')">
                              <button class="btn btn-ls btn-block btn-default"><i class="ion-arrow-expand"></i> Visualizar</button>
                           </a>
                           <?php
                           if ($c['estado'] == 'DESPACHADO') {
                           ?>
                              <a onclick="visualizar_rebote_total('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>', '<?php echo $c['clie_n']; ?>')">
                                 <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?>"><i class="ion-arrow-left-a"></i> Pre Rebote Total</button>
                              </a>
                              <?php
                              if ($c['prod_prom'] == 0) {
                              ?>
                                 <a onclick="visualizar_rebote_parcial('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>', '<?php echo $c['clie_n']; ?>')">
                                    <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?>"><i class="ion-arrow-left-a"></i> Pre Rebote Parcial</button>
                                 </a>
                              <?php
                              } else {
                              ?>
                                 <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?> disabled"><i class="ion-arrow-left-a"></i> Pre Rebote Parcial</button>
                              <?php
                              }
                              ?>
                              <a onclick="visualizar_entregado('<?php echo $c['r_cod']; ?>', '<?php echo $c['r_ci']; ?>', '<?php echo $c['clie_n']; ?>')">
                                 <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?>"><i class="ion-arrow-right-a"></i> Entregado</button>
                              </a>
                           <?php
                           } else {
                           ?>
                              <a class="btn btn-ls btn-block btn-<?php echo c_m(); ?> disabled" style="margin: 0px"><i class="ion-arrow-left-a"></i> Pre Rebote Total</a>
                              <a class="btn btn-ls btn-block btn-<?php echo c_m(); ?> disabled" style="margin: 0px"><i class="ion-arrow-left-a"></i> Pre Rebote Parcial</a>
                              <a class="btn btn-ls btn-block btn-<?php echo c_m(); ?> disabled" style="margin: 0px"><i class="ion-arrow-right-a"></i> Entregado</a>
                           <?php
                           }
                           ?>
                        </div>
                     </div>
                  </td>
               </tr>
            <?php
               $cn++;
            }
            ?>
         </tbody>
      </table>
   <?php
   }

   public function visualizar_venta($dbc, $cod, $ci)
   {
      $registro = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE r_cod='$cod' AND r_ci='$ci' ORDER BY id ASC");
      foreach ($registro as $r_r) {
         $pdp = $r_r['bs_dp'];
         $pdt = $r_r['bs_dt'];
         $tn = $r_r['bs_n'];
         $tnd = $r_r['bs_tnd'];
         $des = $r_r['bs_d'];
         $i = $r_r['bs_i'];
         $tndi = $r_r['bs_tndi'];

         $r_est = $r_r['estado'];

         $desc_n = $r_r['bs_n'];
         $desc_f = $r_r['bs_f'];
         $desc_b = $r_r['bs_b'];
         $desc_c = $r_r['bs_c'];
         $desc_e = $r_r['bs_e'];



         $rep1 = $r_r['id'];
         $rep2 = $r_r['r_cod'];
         $rep3 = $r_r['r_user_name'];
         $rep4 = $r_r['r_phone'];
         $rep5 = $r_r['r_obs'];
         $rep6 = $r_r['r_fp'] . ' ' . $r_r['r_fp_time'];
         $rep7 = $r_r['r_fe'];
         $rep8 = $r_r['clie_id'];

         $rep9 = $r_r['prod_prom'];


         $rep24 = $r_r['clie_lat'];
         $rep25 = $r_r['clie_lon'];
      }
      $q_clie = $dbc->query("SELECT * FROM cc_ipc_rcv_clie WHERE id='$rep8'");
      foreach ($q_clie as $rc) {
         $c16 = $rc['clie_n'];
         $c17 = $rc['clie_cel'];
         $c18 = $rc['clie_ne'];
         $c19 = $rc['clie_ce'];
         $c21 = $rc['clie_mercado'];
         $c22 = $rc['clie_tip_neg'];
         $c23 = $rc['clie_ref'];
         $c24 = $rc['clie_lat'];
         $c25 = $rc['clie_lon'];
         $c26 = $rc['clie_zone'];
         $c27 = $rc['clie_dir'];
         $c28 = $rc['clie_fac_rs1'];
         $c29 = $rc['clie_fac_ci1'];
      }
   ?>
      <table style="color: #666666;">
         <thead>
            <tr style="border: 0px">
               <td style="border: 0px"><b>COD VENTA</b></td>
               <td colspan="5" style="border: 0px">: <b><?php echo cod_venta($rep3, $c21, $rep1); ?></b></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>VENDEDOR</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $rep3; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>CEL VEN</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $rep4; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>OBSERVACION</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $rep5; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>CLIENTE</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $c16; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>CEL CLIENTE</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $c17; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>DIRECCION</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $c27; ?></td>
            </tr>
            <tr style="border: 0px">
               <td style="border: 0px"><b>REFERENCIA</b></td>
               <td colspan="5" style="border: 0px">: <?php echo $c21; ?> / <?php echo $c23; ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="5" style="border: 0px; color: white">.</td>
            </tr>
            <tr style="border: 0px">
               <td colspan="6" align="left" style="border: 0px solid #b3afaf"><b>DETALLE DE PRODUCTOS</b></td>
            </tr>
         </thead>


         <tbody>
            <tr style="background-color: #e3e3e3; font-weight: bold">
               <td align="center">CODIGO</td>
               <td align="center">DESCRIPCION</td>
               <td align="center">UN</td>
               <td align="center">CANT</td>
               <td align="center">P/U</td>
               <td align="center">DESC</td>
               <td align="center">TOTAL</td>
            </tr>
            <?php
            $detalle_registron = 1;
            $d_f = 0;
            $d_b = 0;
            $d_c = 0;
            $d_e = 0;
            $d_p_put = 0;
            $d_p_pmt = 0;
            $d_p_ppdt = 0;

            //CANTIDADES Y TOTAL
            $cantidad = 0;
            $totalsub = 0;

            $detalle_registro = $dbc->query("SELECT * FROM cc_ipc_o_ven_det WHERE dr_cod='$cod' AND dr_ci='$ci' ORDER BY id ASC");
            foreach ($detalle_registro as $r_dr) {
               $d_f = $d_f + $r_dr['d_f'];
               $d_b = $d_b + $r_dr['d_b'];
               $d_c = $d_c + $r_dr['d_c'];
               $d_e = $d_e + $r_dr['d_e'];
               $d_p_put = $d_p_put + $r_dr['d_p_put'];
               $d_p_pmt = $d_p_pmt + $r_dr['d_p_pmt'];
               $d_p_ppdt = $d_p_ppdt + $r_dr['d_p_ppdt'];

               //CANTIDADES Y TOTAL
               $cantidad = $cantidad + $r_dr['cant_out'];
               $totalsub = $totalsub + $r_dr['d_p_put'];
            ?>

               <tr>
                  <td align="center"><?php echo $r_dr['p_cod']; ?></td>
                  <td align="left"><?php echo $r_dr['p_descr1']; ?></td>
                  <td align="center"><?php echo $r_dr['p_um']; ?></td>
                  <td align="center"><?php echo $r_dr['cant_out']; ?></td>
                  <td align="center"><?php echo $r_dr['p_pu']; ?></td>
                  <td align="right"><?php echo number_format($r_dr['d_f'] + $r_dr['d_b'] + $r_dr['d_c'] + $r_dr['d_e'], 2); ?></td>
                  <td align="right"><?php echo number_format($r_dr['d_p_put'], 2); ?></td>
               </tr>
            <?php $detalle_registron++;
            } ?>
            <tr style="border: 0px">
               <td style="border: 0px"></td>
               <td style="border: 0px"></td>
               <td style="border: 0px"></td>
               <td style="border: 0px"></td>
               <td colspan="2" align="center" style="background-color: #e3e3e3"><b>SUB TOTAL</b></td>
               <td align="right" style="background-color: #e3e3e3"><?php echo number_format($totalsub, 2); ?></td>
            </tr>
         </tbody>
         <?php if ($rep9 > 0) { ?>
            <thead>
               <tr style="border: 0px">
                  <td colspan="6" align="left" style="border: 0px solid #b3afaf"><b>DETALLE DE PRODUCTOS DE CICLO</b></td>
               </tr>
            </thead>
            <tbody>
               <tr style="background-color: #e3e3e3; font-weight: bold">
                  <td align="center">CODIGO</td>
                  <td align="center">DESCRIPCION</td>
                  <td align="center">UN</td>
                  <td align="center">CANTIDAD</td>
                  <td align="center">P/U</td>
                  <td align="center">DESC</td>
                  <td align="center">TOTAL</td>
               </tr>
               <?php
               $detalle_registronp = 1;
               $total_promocion = 0;
               $detalle_registro = $dbc->query("SELECT * FROM cc_ipc_o_ven_det_prom WHERE dr_cod='$cod' AND dr_ci='$ci' ORDER BY id ASC");
               foreach ($detalle_registro as $r_dr) {
                  $total_promocion = $total_promocion + $r_dr['d_p_put'];
               ?>
                  <tr>
                     <td align="center"><?php echo $r_dr['p_cod']; ?></td>
                     <td align="left"><?php echo $r_dr['p_descr1']; ?></td>
                     <td align="center"><?php echo $r_dr['p_um']; ?></td>
                     <td align="center"><?php echo $r_dr['cant_out']; ?></td>
                     <td align="right"><?php echo number_format($r_dr['p_pu'], 2); ?></td>
                     <td align="right"><?php echo number_format($r_dr['d_f'] + $r_dr['d_b'] + $r_dr['d_c'] + $r_dr['d_e'], 2); ?></td>
                     <td align="right"><?php echo number_format($r_dr['d_p_put'], 2); ?></td>
                  </tr>
               <?php $detalle_registronp++;
               } ?>
               <tr style="border: 0px">
                  <td style="border: 0px"></td>
                  <td style="border: 0px"></td>
                  <td style="border: 0px"></td>
                  <td colspan="3" align="center" style="background-color: #e3e3e3"><b>SUB TOTAL CICLO</b></td>
                  <td align="right" style="background-color: #e3e3e3"><?php echo number_format($total_promocion, 2); ?></td>
               </tr>
            </tbody>
         <?php } ?>
         <tbody>
            <tr style="border: 0px">
               <td colspan="5" style="border: 0px; color: white">.</td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="" style="background-color: #e3e3e3"><b>TOTAL NETO</b></td>
               <td align="right" style="background-color: #e3e3e3"><?php echo number_format($desc_n, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="">DESC FINAN</td>
               <td align="right"><?php echo number_format($desc_f, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="">DESC BASE</td>
               <td align="right"><?php echo number_format($desc_b, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="">DESC CANAL</td>
               <td align="right"><?php echo number_format($desc_c, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="">DESC COM</td>
               <td align="right"><?php echo number_format($desc_e, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="" style="background-color: #e3e3e3"><b>TOTAL DESC</b></td>
               <td align="right" style="background-color: #e3e3e3"><?php echo number_format($pdt, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="4" style="border: 0px"></td>
               <td colspan="2" align="" style="background-color: #e3e3e3"><b>TOTAL MONTO</b></td>
               <td align="right" style="background-color: #e3e3e3"><?php echo number_format($tndi, 2); ?></td>
            </tr>
            <tr style="border: 0px">
               <td colspan="6" style="border: 0px; color: white">.</td>
            </tr>
            <tr style="border: 0px;">
               <td colspan="7" align="" style="border: 0px; border-top: 1px solid #b3afaf"><b>SON: <?php echo strtoupper(convertir($tndi)); ?></b></td>
            </tr>
         </tbody>
      </table>
<?php
   }

   public function pre_rebote_total($dbc, $cod, $ci, $detalle)
   {
      $val64 = date('Y-m-d');
      $val65 = date('H:i:s a');
      $val66 = $detalle;
      $val67 = $_SESSION['vsu7'] . ' ' . date('Y-m-d') . ' ' . date('H:i:s a');

      $dbc->query("UPDATE cc_ipc_o_ven SET trans_fe='$val64', trans_fe_time='$val65', trans_obs='$val66', trans_upd='$val67', estado='PRE REBOTE TOTAL' WHERE r_cod='$cod' AND r_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='PRE REBOTE TOTAL' WHERE dr_cod='$cod' AND dr_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='PRE REBOTE TOTAL' WHERE dr_cod='$cod' AND dr_ci='$ci'");
   }

   public function pre_rebote_parcial($dbc, $cod, $ci, $detalle)
   {
      $val64 = date('Y-m-d');
      $val65 = date('H:i:s a');
      $val66 = $detalle;
      $val67 = $_SESSION['vsu7'] . ' ' . date('Y-m-d') . ' ' . date('H:i:s a');

      $dbc->query("UPDATE cc_ipc_o_ven SET trans_fe='$val64', trans_fe_time='$val65', trans_obs='$val66', trans_upd='$val67', estado='PRE REBOTE PARCIAL' WHERE r_cod='$cod' AND r_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='PRE REBOTE PARCIAL' WHERE dr_cod='$cod' AND dr_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='PRE REBOTE PARCIAL' WHERE dr_cod='$cod' AND dr_ci='$ci'");
   }
   public function entregado($dbc, $cod, $ci)
   {
      $val64 = date('Y-m-d');
      $val65 = date('H:i:s a');
      $val66 = 'Entregado Exitosamente';
      $val67 = $_SESSION['vsu7'] . ' ' . date('Y-m-d') . ' ' . date('H:i:s a');

      $dbc->query("UPDATE cc_ipc_o_ven SET trans_fe='$val64', trans_fe_time='$val65', trans_obs='$val66', trans_upd='$val67', estado='ENTREGADO' WHERE r_cod='$cod' AND r_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='ENTREGADO' WHERE dr_cod='$cod' AND dr_ci='$ci'");
      $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='ENTREGADO' WHERE dr_cod='$cod' AND dr_ci='$ci'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'inicio':
      $action->fecha1();
      break;
   case 'fin':
      $action->fecha2();
      break;
   case 'pre_rebote_total':
      $action->pre_rebote_total($dbc, $_POST['rt_cod'], $_POST['rt_ci'], $_POST['rt_detalle']);
      break;
   case 'pre_rebote_parcial':
      $action->pre_rebote_parcial($dbc, $_POST['rp_cod'], $_POST['rp_ci'], $_POST['rp_detalle']);
      break;
   case 'entregado':
      $action->entregado($dbc, $_POST['e_cod'], $_POST['e_ci']);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $_SESSION['vsu7'], date('Y-m-d'));
      break;
   case 'select_users':
      $action->select_users($dbc);
      break;
   case 'visualizar_venta':
      $action->visualizar_venta($dbc, $_GET['cod'], $_GET['ci']);
      break;
   default:
      break;
}
