<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc, $line, $suc, $ci)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th colspan="8" align="center">CLIENTE</th>
               <th rowspan="2" align="center">OPCIONES</th>
            </tr>
            <tr>
               <th align="center">NRO</th>
               <th align="center">CLIENTE</th>
               <th align="center">CELULAR</th>
               <th align="center">MERCADO</th>
               <th align="center">NEGOCIO</th>
               <th align="center">DIRECCION</th>
               <th align="center">RAZON SOCIAL</th>
               <th align="center">NIT / CI</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            $queryu = $dbc->query("SELECT * FROM ipc_users WHERE ci='$ci' AND id_agency='$suc'");
            foreach ($queryu as $ru) {
               $codigo_ci = $ru['ci'];
               $n = 1;
               $query = $dbc->query("SELECT * FROM cc_ipc_rcv_clie WHERE clie_asigned_us='$codigo_ci' ORDER BY clie_mercado, clie_tip_neg, id ASC");
               if ($query->num_rows > 0) {
                  foreach ($query as $r) {
            ?>
                     <tr style="<?php echo row_color($n); ?>">
                        <td align="center" data-label="ITEM: ">
                           <?php echo $n; ?>
                        </td>
                        <td align="left" data-label="NOMBRE: ">
                           <?php echo $r['clie_n']; ?>
                        </td>
                        <td align="left" data-label="ENCARGADO: ">
                           <?php echo $r['clie_cel']; ?>
                        </td>
                        <td align="left" data-label="MERCADO: ">
                           <?php echo $r['clie_mercado']; ?>
                        </td>
                        <td align="left" data-label="TIPO NEGOCIO: ">
                           <?php echo ($r['clie_tip_neg']) ? $r['clie_tip_neg'] : 0; ?>
                        </td>
                        <td align="left" data-label="DIRECCION: ">
                           <?php echo ($r['clie_dir']) ? $r['clie_dir'] : 0; ?>
                        </td>
                        <td align="left" data-label="RAZON SOCIAL: ">
                           <?php echo ($r['clie_fac_rs1']) ? $r['clie_fac_rs1'] : 0; ?>
                        </td>
                        <td align="left" data-label="FACTURA: ">
                           <?php echo ($r['clie_fac_ci1']) ? $r['clie_fac_ci1'] : 0; ?>
                        </td>
                        <td align="center" data-label="OPCIONES: ">
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="visualizar('<?php echo $r['clie_n']; ?>', '<?php echo $r['clie_mercado']; ?>', '<?php echo $r['clie_lat']; ?>', '<?php echo $r['clie_lon']; ?>', '<?php echo $r['clie_dir']; ?>', '<?php echo $r['clie_img']; ?>', '<?php echo $r['dat_add']; ?>', '<?php echo $r['dat_upd']; ?>')"><i class="ion-clipboard"></i> Ver</button>
                           <?php if ($r['clie_est'] == 1) { ?>
                              <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="modificar('<?php echo $r['id']; ?>', '<?php echo $r['clie_ci']; ?>', '<?php echo $r['clie_n']; ?>', '<?php echo $r['clie_cel']; ?>', '<?php echo $r['clie_ne']; ?>', '<?php echo $r['clie_ce']; ?>', '<?php echo $r['clie_parentesco']; ?>', '<?php echo $r['clie_mercado']; ?>', '<?php echo $r['clie_tip_neg']; ?>', '<?php echo $r['clie_ref']; ?>', '<?php echo $r['clie_lat']; ?>', '<?php echo $r['clie_lon']; ?>', '<?php echo $r['clie_zone']; ?>', '<?php echo $r['clie_dir']; ?>', '<?php echo $r['clie_fac_rs1']; ?>', '<?php echo $r['clie_fac_ci1']; ?>', '<?php echo $r['clie_fac_email']; ?>', '<?php echo $r['clie_img']; ?>')"><i class="ion-compose"></i> Modificar</button>
                           <?php } else { ?>
                              <button class="btn btn-xs btn-default"><i class="ion-compose"></i> Modificar</button>
                           <?php } ?>
                        </td>
                     </tr>
            <?php
                     $n++;
                  }
               } else {
                  $line->list_empty(11);
               }
            }
            ?>
         </tbody>
      </table>
   <?php
   }

   public function form_add($dbc, $suc, $ci)
   {
   ?>
      <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="markCurrentLocation()"><i class="ion-radio-waves"></i> Posicionar Mi Ubicacion *</button>
      <div id="map" style="width: 100%; height: 170px; margin: 1px;"></div>
      <form autocomplete="off" enctype="multipart/form-data" id="file_add">
         <div class="row bg-default titulo">NUEVO CLIENTE <span style="font-size: 9px; font-weight: normal">DE: <?php echo name_users($dbc, $ci); ?><span> </div>
         <label style="width: 130px; text-align: left"><b>Cliente <span style="color: red">*</span> : </b></label><input style="width: 100px" type="text" id="i2" placeholder="Nombre"><input style="width: 100px" type="text" id="i3" placeholder="Celular" oninput="this.value = this.value.replace(/[^0-9]/g, '');"><br>
         <label style="width: 130px; text-align: left"><b>C.I. / EMAIL: </b></label><input style="width: 100px" type="text" id="i1" placeholder="CI"><input style="width: 100px" type="text" id="i16" placeholder="Correo Electronico"><br>
         <label style="width: 130px; text-align: left"><b>Encargado: </b></label><input style="width: 100px" type="text" id="i4" placeholder="Nombre"><input style="width: 100px" type="text" id="i5" placeholder="Celular"><br>
         <label style="width: 130px; text-align: left"><b>Parentesco: </b></label><select style="width: 200px" id="i6">
            <option value=""></option>
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_par");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Datos Factura: </b></label><input style="width: 100px" type="text" id="i14" placeholder="Razon Social"><input style="width: 100px" type="text" id="i15" placeholder="NIT o CI"><br>
         <div class="row bg-default titulo">REFERENCIA DEL LUGAR</div>
         <label style="width: 130px; text-align: left"><b>Mercado <span style="color: red">*</span> : </b></label><select style="width: 200px" id="i7">
            <option value=""></option>
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_mer WHERE sucursal='$suc'");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Tipo de Negocio <span style="color: red">*</span> : </b></label><select style="width: 200px" id="i8">
            <option value=""></option>
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_neg");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Zona <span style="color: red">*</span> : </b></label><select style="width: 200px" id="i12">
            <option value=""></option>
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_zon WHERE sucursal='$suc'");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <input type="hidden" id="lat" readonly>
         <input type="hidden" id="lon" readonly>
         <input type="hidden" id="i17" value="<?php echo $ci; ?>" readonly>
         <label style="width: 130px; text-align: left"><b>Direccion <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i13" placeholder="Direccion del Lugar"><br>
         <label style="width: 130px; text-align: left"><b>Descripcion <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i9" placeholder="Descripcion del Lugar">
         <label style="text-align: left; display: flex; padding-top: 2px !important"><b style="width: 126px">Imagen <span style="color: red">*</span> : </b><input style="width: 200px" type="file" name="file"></label>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="add()"><i class="ion-checkmark"></i> Guardar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar(); limpiar(this.form); form_add()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   <?php
   }

   public function form_mod($dbc, $suc)
   {
   ?>
      <button class="btn btn-ls btn-block btn-<?php echo c_m(); ?>" type="button" onclick="markCurrentLocation2()"><i class="ion-radio-waves"></i> Posicionar Mi Ubicacion *</button>
      <div id="map2" style="width: 100%; height: 170px; margin: 1px;"></div>
      <form autocomplete="off" enctype="multipart/form-data" id="file_mod">
         <input type="hidden" id="m0">
         <input type="hidden" id="m10">
         <input type="hidden" id="m11">
         <input type="hidden" id="m19">
         <div class="bg-default titulo">MODIFICAR CLIENTE</div>
         <label style="width: 130px; text-align: left"><b>Cliente <span style="color: red">*</span> : </b></label><input style="width: 100px" type="text" id="m2" placeholder="Nombre"><input style="width: 100px" type="text" id="m3" placeholder="Celular"><br>
         <label style="width: 130px; text-align: left"><b>C.I. / EMAIL: </b></label><input style="width: 100px" type="text" id="m1" placeholder="CI"><input style="width: 100px" type="text" id="m16" placeholder="Correo Electronico"><br>
         <label style="width: 130px; text-align: left"><b>Encargado: </b></label><input style="width: 100px" type="text" id="m4" placeholder="Nombre"><input style="width: 100px" type="text" id="m5" placeholder="Celular"><br>
         <label style="width: 130px; text-align: left"><b>Parentesco: </b></label><select style="width: 200px" id="m6">
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_par");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <div class="row bg-default titulo">DATOS FACTURA</div>
         <label style="width: 130px; text-align: left"><b>Datos: </b></label><input style="width: 100px" type="text" id="m14" placeholder="Razon Social"><input style="width: 100px" type="text" id="m15" placeholder="NIT o CI"><br>
         <div class="row bg-default titulo">REFERENCIA DEL LUGAR</div>
         <label style="width: 130px; text-align: left"><b>Mercado <span style="color: red">*</span> : </b></label><select style="width: 200px" id="m7">
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_mer WHERE sucursal='$suc'");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Tipo de Negocio <span style="color: red">*</span> : </b></label><select style="width: 200px" id="m8">
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_neg");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Zona <span style="color: red">*</span> : </b></label><select style="width: 200px" id="m12">
            <?php
            $q_um = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_zon WHERE sucursal='$suc'");
            foreach ($q_um as $r_um) {
            ?>
               <option value="<?php echo $r_um['name']; ?>"><?php echo $r_um['name']; ?></option>
            <?php } ?>
         </select><br>
         <label style="width: 130px; text-align: left"><b>Direccion: </b></label><input style="width: 200px" type="text" id="m13" placeholder="Direccion del Lugar"><br>
         <label style="width: 130px; text-align: left"><b>Descripcion: </b></label><input style="width: 200px" type="text" id="m9" placeholder="Descripcion del Lugar">
         <label style="text-align: left; display: flex; padding-top: 2px !important"><b style="width: 126px">Imagen: </b><input style="width: 200px" type="file" name="file" id="file"></label>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="mod()"><i class="ion-checkmark"></i> Guardar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
<?php
   }

   public function add($dbc)
   {
      $ruta = $_POST['ruta'];
      $i1 = $_POST['i1'];
      $i2 = $_POST['i2'];
      $i3 = $_POST['i3'];
      $i4 = $_POST['i4'];
      $i5 = $_POST['i5'];
      $i6 = $_POST['i6'];
      $i7 = $_POST['i7'];
      $i8 = $_POST['i8'];
      $i9 = $_POST['i9'];
      $i10 = $_POST['i10'];
      $i11 = $_POST['i11'];
      $i12 = $_POST['i12'];
      $i13 = $_POST['i13'];
      $i14 = $_POST['i14'];
      $i15 = $_POST['i15'];
      $i16 = $_POST['i16'];
      $i17 = $_POST['i17'];
      $i18 = 1;
      $i19 = date('YmdHis') . '.' . substr($_FILES["file"]["type"], 6);
      $i20 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      $i21 = '';
      if (($_FILES["file"]["size"] < 800000000)) {
         if ($_FILES["file"]["error"] > 0) {
            $i19 = '';
            $dbc->query("INSERT INTO cc_ipc_rcv_clie (id, clie_ci, clie_n, clie_cel, clie_ne, clie_ce, clie_parentesco, clie_mercado, clie_tip_neg, clie_ref, clie_lat, clie_lon, clie_zone, clie_dir, clie_fac_rs1, clie_fac_ci1, clie_fac_email, clie_asigned_us, clie_est, clie_img, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', '$i6', '$i7', '$i8', '$i9', '$i10', '$i11', '$i12', '$i13', '$i14', '$i15', '$i16', '$i17', $i18, '$i19', '$i20', '$i21')");
         } else {
            if (!file_exists($ruta . $i19)) {
               upload_image($ruta,  $i19);
               $dbc->query("INSERT INTO cc_ipc_rcv_clie (id, clie_ci, clie_n, clie_cel, clie_ne, clie_ce, clie_parentesco, clie_mercado, clie_tip_neg, clie_ref, clie_lat, clie_lon, clie_zone, clie_dir, clie_fac_rs1, clie_fac_ci1, clie_fac_email, clie_asigned_us, clie_est, clie_img, dat_add, dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', '$i6', '$i7', '$i8', '$i9', '$i10', '$i11', '$i12', '$i13', '$i14', '$i15', '$i16', '$i17', $i18, '$i19', '$i20', '$i21')");
            }
         }
      }
   }

   public function mod($dbc)
   {
      $ruta = $_POST['ruta'];
      $m0 = $_POST['m0'];
      $m1 = $_POST['m1'];
      $m2 = $_POST['m2'];
      $m3 = $_POST['m3'];
      $m4 = $_POST['m4'];
      $m5 = $_POST['m5'];
      $m6 = $_POST['m6'];
      $m7 = $_POST['m7'];
      $m8 = $_POST['m8'];
      $m9 = $_POST['m9'];
      $m10 = $_POST['m10'];
      $m11 = $_POST['m11'];
      $m12 = $_POST['m12'];
      $m13 = $_POST['m13'];
      $m14 = $_POST['m14'];
      $m15 = $_POST['m15'];
      $m16 = $_POST['m16'];
      $m17 = '';
      $m18 = '';
      $m19 = $_POST['m19'];
      $m20 = '';
      $m21 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      if (($_FILES["file"]["size"] < 800000000)) {
         if ($_FILES["file"]["error"] > 0) {
            $dbc->query("UPDATE cc_ipc_rcv_clie SET clie_ci='$m1', clie_n='$m2', clie_cel='$m3', clie_ne='$m4', clie_ce='$m5', clie_parentesco='$m6', clie_mercado='$m7', clie_tip_neg='$m8', clie_ref='$m9', clie_lat='$m10', clie_lon='$m11', clie_zone='$m12', clie_dir='$m13', clie_fac_rs1='$m14', clie_fac_ci1='$m15', clie_fac_email='$m16', dat_upd='$m21' WHERE id='$m0'");
         } else {
            if ($m19 == true) {
               $m191 = $m19;
            } else {
               $m191 = date('YmdHis') . '.' . substr($_FILES["file"]["type"], 6);
            }
            upload_image($ruta,  $m191);
            $dbc->query("UPDATE cc_ipc_rcv_clie SET clie_ci='$m1', clie_n='$m2', clie_cel='$m3', clie_ne='$m4', clie_ce='$m5', clie_parentesco='$m6', clie_mercado='$m7', clie_tip_neg='$m8', clie_ref='$m9', clie_lat='$m10', clie_lon='$m11', clie_zone='$m12', clie_dir='$m13', clie_fac_rs1='$m14', clie_fac_ci1='$m15', clie_fac_email='$m16', clie_img='$m191', dat_upd='$m21' WHERE id='$m0'");
         }
      }
   }

   public function mod_cliente($dbc)
   {
      $m_0 = $_POST['m_0'];
      $ci_user = $_POST['ci_user'];
      $d21 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      $dbc->query("UPDATE cc_ipc_rcv_clie SET clie_asigned_us='$ci_user', dat_upd='$d21' WHERE id='$m_0'");
   }

   public function del($dbc)
   {
      $ruta = $_POST['ruta'];
      $d0 = $_POST['d0'];
      $d19 = $_POST['d19'];
      $dbc->query("DELETE FROM cc_ipc_rcv_clie WHERE id='$d0'");
      $name_img = substr($d19, 0, strpos($d19, ".") + 1);
      unlink($ruta . '/' . $name_img . 'jpg');
      unlink($ruta . '/' . $name_img . 'jpeg');
      unlink($ruta . '/' . $name_img . 'png');
      unlink($ruta . '/' . $name_img . 'webp');
      unlink($ruta . '/' . $name_img . 'gif');
   }
   public function estado($dbc)
   {
      $e0 = $_POST['e0'];
      $est = $_POST['est'];
      $e21 = $_SESSION['vsu7'] . ' ' . date("Y-m-d H:i:s a");
      $dbc->query("UPDATE cc_ipc_rcv_clie SET clie_est='$est', dat_upd='$e21' WHERE id='$e0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'search_user':
      $action->search_user();
      break;
   case 'add':
      $action->add($dbc);
      break;
   case 'mod':
      $action->mod($dbc);
      break;
   case 'mod_cliente':
      $action->mod_cliente($dbc);
      break;
   case 'del':
      $action->del($dbc);
      break;
   case 'estado':
      $action->estado($dbc);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $line, $_SESSION['vsu10'], $_SESSION['vsu1']);
      break;
   case 'form_add':
      $action->form_add($dbc, $_SESSION['vsu10'], $_SESSION['vsu1']);
      break;
   case 'form_mod':
      $action->form_mod($dbc, $_SESSION['vsu10']);
      break;
   default:
      break;
}
