<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'r_maps_functions.php';
$ruta = '../../icp.systems.module_sd/client/image/';

$line->start();
$line->top1($dbc, '', 11, 'PUNTEO DE CLIENTES', '');
$line->top2(1, 'LISTA', 'l_clie_list.php');
$line->content();
?>
<style>
   label {
      padding-top: 0px !important;
   }
</style>
<div class="bg-<?php echo c_m(); ?> titulo"><?php echo name_users($dbc, $_SESSION['vsu1']) ?></div>
<div class="div col-lg-12">
   <div id="map" style="width: 100%; height: 89%;"></div>
   <script>
      var locations = [
         <?php
         $usuario_actual = $_SESSION['vsu1'];
         $prueba1 = $dbc->query("SELECT * FROM cc_ipc_rcv_clie WHERE clie_asigned_us='$usuario_actual' AND clie_est=1 GROUP BY clie_lat, clie_lon");
         foreach ($prueba1 as $row1) {
         ?> {
               lat: <?php echo $row1['clie_lat']; ?>,
               lng: <?php echo $row1['clie_lon']; ?>,
               name: '<?php echo ucwords(strtolower($row1['clie_n'])); ?>',
               image: '<?php echo $ruta . $row1['clie_img']; ?>',
               celular: '<?php echo $row1['clie_cel']; ?>',
               mercado: '<?php echo $row1['clie_mercado']; ?>',
               tipo: '<?php echo $row1['clie_tip_neg']; ?>',
               vendedor: '<?php echo $row1['clie_asigned_us']; ?>'
            },
         <?php } ?>
      ];

      if (locations.length === 1) {
         //UN SOLO REGISTRO
         var lat = locations[0].lat;
         var lng = locations[0].lng;
         var map = L.map('map', {
            zoomControl: false
         }).setView([lat, lng], 13);

         var markerIcon = L.divIcon({
            className: 'custom-marker',
            html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
         });

         var marker = L.marker([locations[0].lat, locations[0].lng], {
            icon: markerIcon
         }).addTo(map);


         var popupContent = '<div><img src="' + locations[0].image + '" width="150px"></div>';
         marker.bindPopup(popupContent);

         var marcador = L.marker([locations[0].lat, locations[0].lng], {
            icon: L.divIcon({
               className: 'label-text',
               html: (locations[0].name).toString(),
               iconSize: [-5, -10]
            })
         }).addTo(map);


         L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 20,
            detectRetina: true
         }).addTo(map);
      } else {
         //VARIOS REGISTROS
         var map = L.map('map', {
            zoomControl: false
         });
         L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 30,
            detectRetina: true
         }).addTo(map);

         var markers = []; //ARRAY PARA ORDENAR TODOS LOS MARKERS

         for (var i = 0; i < locations.length; i++) {
            var markerIcon = L.divIcon({
               className: 'custom-marker',
               html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
            });
            var marker = L.marker([locations[i].lat, locations[i].lng], {
               icon: markerIcon
            }).addTo(map);

            var popupContent = '<div><img src="' + locations[i].image + '" width="150px"><br><label>Nombre: ' + locations[i].name + '</label><br><label>Celular: ' + locations[i].celular + '</label><br><label>Mercado: ' + locations[i].mercado + '</label><br><label>Tipo: ' + locations[i].tipo + '</label><br><label>Vendedor: ' + locations[i].vendedor + '</label></div>';
            marker.bindPopup(popupContent);

            var marcador = L.marker([locations[i].lat, locations[i].lng], {
               icon: L.divIcon({
                  className: 'label-text',
                  html: (locations[i].name).toString(),
                  iconSize: [-5, -10]
               })
            }).addTo(map);

            markers.push(marker);
         }

         var markerGroup = L.featureGroup(markers).addTo(map);
         map.fitBounds(markerGroup.getBounds());
      }
   </script>
</div>
<?php $line->end(); ?>