<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_kardex_prod_functions.php';

$line->start();
$line->top1($dbc, '', 5, 'KARDEX DE INVENTARIO POR PRODUCTO (Nacional)', '');
?>
<div class="div col-lg-1">
    <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
        <?php
        $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
        foreach ($select_s as $ss) {
        ?>
            <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
        <?php } ?>
    </select>
    <script type="text/javascript">
        document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

        function search_sucursal() {
            suc = document.getElementById("suc").value;
            var formData = new FormData();
            formData.append('action', "search_sucursal");
            formData.append("suc", suc);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                    select_product();
                })
                .catch(error => console.log('Error:', error));
        }
    </script>
</div>
<div class="div col-lg-3">
    <div id="select_product"></div>
    <script type="text/javascript">
        function select_product() {
            fetch('<?php echo $file_functions; ?>?action=select_product')
                .then(response => response.text())
                .then(data => {
                    document.getElementById("select_product").innerHTML = data;
                })
                .catch(error => console.log('Error:', error));
        }
        select_product();
    </script>
    <script type="text/javascript">
        document.getElementById("product").value = "<?php echo $_SESSION['product_actual']; ?>";

        function search_product() {
            product = document.getElementById("product").value;
            var formData = new FormData();
            formData.append('action', "search_product");
            formData.append("product", product);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
        }
    </script>
</div>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha1" value="<?php echo $_SESSION['fecha1'] ?>" onchange="fecha1()">
</div>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha2" value="<?php echo $_SESSION['fecha2'] ?>" onchange="fecha2()">
</div>
<script>
    function fecha1() {
        f1 = document.getElementById("fecha1").value;
        var formData = new FormData();
        formData.append("action", "inicio");
        formData.append("f1", f1);
        fetch("<?php echo $file_functions; ?>", {
                method: "POST",
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                lista();
            })
            .catch(error => console.log('Error:', error));
    }

    function fecha2() {
        f2 = document.getElementById("fecha2").value;
        var formData = new FormData();
        formData.append("action", "fin");
        formData.append("f2", f2);
        fetch("<?php echo $file_functions; ?>", {
                method: "POST",
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                lista();
            })
            .catch(error => console.log('Error:', error));
    }
</script>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
//$line->top2(1, 'IMPRIMIR', '');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
    <div id="lista"></div>
    <script type="text/javascript">
        function lista() {
            fetch('<?php echo $file_functions; ?>?action=lista')
                .then(response => response.text())
                .then(html => {
                    document.getElementById('lista').innerHTML = html;
                })
                .catch(error => console.log('Error:', error));
        }
        lista();
    </script>
</div>
<?php $line->end(); ?>