<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
    public function search_sucursal()
    {
        $_SESSION['suc_actual'] = $_POST['suc'];
    }
    public function search_categoria()
    {
        $_SESSION['cat_actual'] = $_POST['cat'];
    }
    public function lista($dbc, $suc, $cat)
    {
?>
        <table>
            <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
                <tr>
                    <th colspan="5" align="center">PRODUCTO</th>
                    <th colspan="3" align="center">ENTRADAS</th>
                    <th colspan="2" align="center">SALIDAS</th>
                    <th rowspan="2" align="center">STOCK</th>
                    <th colspan="2" align="center">VALORIZACION</th>
                </tr>
                <tr>
                    <th align="center">SUCURSAL</th>
                    <th align="center">CATEGORIA</th>
                    <th align="center">NRO</th>
                    <th align="center">CODIGO</th>
                    <th align="center" style="width: 300px">DESCRIPCIONES</th>
                    <th align="center">INICIAL / ELABORACION / COMPRA</th>
                    <th align="center">DEVOLUCION</th>
                    <th align="center">TRANSFERENCIA</th>
                    <th align="center">TRANSFERENCIA</th>
                    <th align="center">VENTA</th>
                    <th align="center">P/U</th>
                    <th align="center">COSTO</th>
                </tr>
            </thead>
            <tbody style="<?php echo tbody(); ?>" id="searchdata">
                <?php
                if ($cat == 'TODOS') {
                    $cat1 = '';
                } else {
                    $cat1 = ' AND s1="' . $cat . '" ';
                }
                $n = 1;
                $query = $dbc->query("SELECT s0, s1, s2, s3, SUM(s4) AS s_4, SUM(s5) AS s_5, SUM(s6) AS s_6, SUM(s7) AS s_7, SUM(s8) AS s_8, ((SUM(s4)+SUM(s5)+SUM(s6))-(SUM(s7)+SUM(s8))) AS t, SUM(s9) AS s_9, (((SUM(s4)+SUM(s5)+SUM(s6))-(SUM(s7)+SUM(s8))))*(SUM(s9)) AS tv FROM
                (
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, 0 AS s5, 0 AS s6, 0 AS s7, 0 AS s8, p_pu as s9 FROM cc_ipc_prod_stock
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, SUM(cant_in) AS s4, 0 AS s5, 0 AS s6, 0 AS s7, 0 AS s8, 0 as s9 FROM cc_ipc_i_com_det
                        WHERE dr_est='INGRESADO' GROUP BY p_sucursal, p_cod
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, SUM(cant_in) AS s5, 0 AS s6, 0 AS s7, 0 AS s8, 0 as s9 FROM cc_ipc_i_dev_det
                        WHERE dr_est='INGRESADO' GROUP BY p_sucursal, p_cod
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, 0 AS s5, SUM(cant_in) AS s6, 0 AS s7, 0 AS s8, 0 as s9 FROM cc_ipc_io_transfer_det_destino
                        WHERE dr_est='INGRESADO' GROUP BY p_sucursal, p_cod
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, 0 AS s5, 0 AS s6, SUM(cant_in) AS s7, 0 AS s8, 0 as s9 FROM cc_ipc_io_transfer_det_origen
                        WHERE dr_est='ENTREGADO' GROUP BY p_sucursal, p_cod
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, 0 AS s5, 0 AS s6, 0 AS s7, SUM(cant_out) AS s8, 0 as s9 FROM cc_ipc_o_ven_det
                        WHERE dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') GROUP BY p_sucursal, p_cod
                        UNION ALL
                        SELECT p_sucursal AS s0, p_category AS s1, p_cod AS s2, p_descr1 AS s3, 0 AS s4, 0 AS s5, 0 AS s6, 0 AS s7, SUM(cant_out) AS s8, 0 as s9 FROM cc_ipc_o_ven_det_prom
                        WHERE dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') GROUP BY p_sucursal, p_cod
                ) s
                WHERE s0='$suc'" . $cat1 . "
                GROUP BY s1, s2 ORDER BY s1, s2 ASC");
                if ($query->num_rows > 0) {
                    foreach ($query as $r) {
                ?>
                        <tr style="<?php echo row_color($n); ?>">
                            <td align="left" data-label="SUCURSAL: " class="bg-<?php echo c_m(); ?>">
                                <?php echo name_suc($dbc, $suc); ?>
                            </td>
                            <td align="left" data-label="CATEGORIA: " class="bg-default">
                                <?php echo name_cat($dbc, $r['s1']); ?>
                            </td>
                            <td align="center" data-label="ITEM: ">
                                <?php echo $n; ?>
                            </td>
                            <td align="left" data-label=": ">
                                <?php echo $r['s2']; ?>
                            </td>
                            <td align="left" data-label=": ">
                                <?php echo $r['s3']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s_4']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s_5']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s_6']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s_7']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <?php echo $r['s_8']; ?>
                            </td>
                            <td align="center" data-label=": ">
                                <b><?php echo $r['t']; ?></b>
                            </td>
                            <td align="right" data-label=": ">
                                <?php echo number_format($r['s_9'], 2); ?>
                            </td>
                            <td align="right" data-label=": ">
                                <?php echo number_format($r['tv'], 2); ?>
                            </td>
                        </tr>
                <?php
                        $n++;
                    }
                }
                ?>
            </tbody>
        </table>
<?php
    }
}

$action = new functions();
switch ($_POST['action']) {
    case 'search_sucursal':
        $action->search_sucursal();
        break;
    case 'search_categoria':
        $action->search_categoria();
        break;
    default:
        break;
}

switch ($_GET['action']) {
    case 'lista':
        $action->lista($dbc, $_SESSION['suc_actual'], $_SESSION['cat_actual']);
        break;
    default:
        break;
}
