<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_clie_list_functions.php';
$ruta = '../../icp.systems.module_sd/client/image/';

$line->start();
$line->top1($dbc, '', 9, 'LISTA DE CLIENTES TIENDA', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'NUEVO CLIENTE', 'onclick="adicionar()"');
$line->top2(1, 'MARKER MAPS', 'l_clie_maps.php');
$line->content();
?>
<!-- MOSTRAR LISTA -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add"></div>
   <script type="text/javascript">
      function form_add() {
         fetch('<?php echo $file_functions; ?>?action=form_add')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add();
   </script>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById('nuevo').style.display = "grid";
      initializeMap();
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;
      i4 = document.getElementById("i4").value;
      i5 = document.getElementById("i5").value;
      i6 = document.getElementById("i6").value;
      i7 = document.getElementById("i7").value;
      i8 = document.getElementById("i8").value;
      i9 = document.getElementById("i9").value;
      i10 = document.getElementById("lat").value;
      i11 = document.getElementById("lon").value;
      i12 = document.getElementById("i12").value;
      i13 = document.getElementById("i13").value;
      i14 = document.getElementById("i14").value;
      i15 = document.getElementById("i15").value;
      i16 = document.getElementById("i16").value;
      i17 = document.getElementById("i17").value;

      if (i2.length > 0 && i3.length > 0 && i7.length > 0 && i8.length > 0 && i10.length > 0 && i11.length > 0 && i12.length > 0) {
         var form = document.getElementById("file_add");
         var formData = new FormData(form);
         formData.append('action', "add");
         formData.append("ruta", "<?php echo $ruta; ?>");
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         formData.append("i4", i4);
         formData.append("i5", i5);
         formData.append("i6", i6);
         formData.append("i7", i7);
         formData.append("i8", i8);
         formData.append("i9", i9);
         formData.append("i10", i10);
         formData.append("i11", i11);
         formData.append("i12", i12);
         formData.append("i13", i13);
         formData.append("i14", i14);
         formData.append("i15", i15);
         formData.append("i16", i16);
         formData.append("i17", i17);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               form_add();
               lista();
            })
            .catch(error => console.log('Error:', error));
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<script type="text/javascript">
   var map;
   var marker;

   function initializeMap() {

      map = L.map('map', {
         zoomControl: false
      }).setView([-16.9240266, -64.082653], 5);

      L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
         maxZoom: 20,
         detectRetina: true
      }).addTo(map);

      map.on('click', function(e) {
         markNewLocation(e.latlng);
      });
   }

   function markNewLocation(latLng) {
      // Remover cualquier marcador previo
      if (marker) {
         map.removeLayer(marker);
      }


      var markerIcon = L.divIcon({
         className: 'custom-marker',
         html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
      });
      marker = L.marker([latLng.lat, latLng.lng], {
         icon: markerIcon
      }).addTo(map);


      document.getElementById('lat').value = latLng.lat;
      document.getElementById('lon').value = latLng.lng;


   }


   function markCurrentLocation() {
      if (navigator.geolocation) {
         navigator.geolocation.getCurrentPosition(function(position) {
            var latLng = {
               lat: position.coords.latitude,
               lng: position.coords.longitude
            };
            markNewLocation(latLng);
            map.setView(latLng, 13);
         }, function(error) {
            console.error('Error al obtener la ubicación actual:', error);
         });
      } else {
         console.error('Geolocalización no es soportada por el navegador.');
      }
   }
</script>
<!-- VISUALIZAR -->
<div id="visualizar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="contenedorte">
         <div class="te">
            <label style="width: 60px; text-align: left"><b>Cliente</b></label>: <label style="width: 190px; text-align: left" id="v2"></label><br>
            <label style="width: 60px; text-align: left"><b>Direccion</b></label>: <label style="width: 190px; text-align: left" id="v13"></label><br>
         </div>
         <img id="imagen" width="300"><i class="ion-images" id="icono" style="font-size: 250px"></i>
         <div id="mapa_view" style="width: 100%; height: 150px"></div>
         <div class="div_buttons">
            <div style="margin: 0 1px;">
               <label style="width: 100px; text-align: left"><b>Mercado</b></label>: <label style="width: 190px; text-align: left" id="v7"></label><br>
            </div>
         </div>
         <div style="text-align: left; font-size: 8px; padding: 4px;">
            <b>Add</b></label>: <label style="text-align: left; padding: 0px !important; font-size: 8px" id="v20"></label>
            <b>Upd</b></label>: <label style="text-align: left; padding: 0px !important; font-size: 8px" id="v21"></label>
         </div>
         <button class="btn btn-block btn-xs btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()">Cerrar Vista</button>
      </div>
   </div>
</div>
<script type="text/javascript">
   function visualizar(v2, v7, v10, v11, v13, v19, v20, v21) {
      document.getElementById("v2").innerText = v2;
      document.getElementById("v7").innerText = v7;
      document.getElementById("v13").innerText = v13;
      if (v19) {
         document.getElementById('imagen').src = '<?php echo $ruta; ?>' + v19;
         const urlImagen = document.getElementById('imagen').src;
         const timestamp = new Date().getTime();
         const nuevaURL = urlImagen + '?' + timestamp;
         document.getElementById('imagen').src = nuevaURL;
         document.getElementById("imagen").style.display = "block";
         document.getElementById("icono").style.display = "none";
      } else {
         document.getElementById("imagen").style.display = "none";
         document.getElementById("icono").style.display = "block";
      }
      document.getElementById("v20").innerText = v20;
      document.getElementById("v21").innerText = v21;
      document.getElementById("visualizar").style.display = "grid";
      visualizar_mapa(v10, v11);
   }

   var map;

   function visualizar_mapa(latitud, longitud) {
      if (map) {
         map.remove();
      }
      map = L.map('mapa_view', {
         zoomControl: false
      }).setView([latitud, longitud], 14);
      L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
         maxZoom: 20,
         detectRetina: true
      }).addTo(map);

      var markerIcon = L.divIcon({
         className: 'custom-marker',
         html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
      });
      L.marker([latitud, longitud], {
         icon: markerIcon
      }).addTo(map);
   }
</script>
<!-- MODIFICAR -->
<div id="modificar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_mod"></div>
   <script type="text/javascript">
      function form_mod() {
         fetch('<?php echo $file_functions; ?>?action=form_mod')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_mod').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_mod();
   </script>
</div>
<script type="text/javascript">
   function modificar(m0, m1, m2, m3, m4, m5, m6, m7, m8, m9, m10, m11, m12, m13, m14, m15, m16, m19) {
      document.getElementById("m0").value = m0;
      document.getElementById("m1").value = m1;
      document.getElementById("m2").value = m2;
      document.getElementById("m3").value = m3;
      document.getElementById("m4").value = m4;
      document.getElementById("m5").value = m5;
      document.getElementById("m6").value = m6;
      document.getElementById("m7").value = m7;
      document.getElementById("m8").value = m8;
      document.getElementById("m9").value = m9;
      document.getElementById("m10").value = m10;
      document.getElementById("m11").value = m11;
      document.getElementById("m12").value = m12;
      document.getElementById("m13").value = m13;
      document.getElementById("m14").value = m14;
      document.getElementById("m15").value = m15;
      document.getElementById("m16").value = m16;
      document.getElementById("m19").value = m19;
      document.getElementById("file").value = "";
      document.getElementById("modificar").style.display = "grid";
      initializeMap2(m10, m11);
   }

   function mod() {
      m0 = document.getElementById("m0").value;
      m1 = document.getElementById("m1").value;
      m2 = document.getElementById("m2").value;
      m3 = document.getElementById("m3").value;
      m4 = document.getElementById("m4").value;
      m5 = document.getElementById("m5").value;
      m6 = document.getElementById("m6").value;
      m7 = document.getElementById("m7").value;
      m8 = document.getElementById("m8").value;
      m9 = document.getElementById("m9").value;
      m10 = document.getElementById("m10").value;
      m11 = document.getElementById("m11").value;
      m12 = document.getElementById("m12").value;
      m13 = document.getElementById("m13").value;
      m14 = document.getElementById("m14").value;
      m15 = document.getElementById("m15").value;
      m16 = document.getElementById("m16").value;
      m19 = document.getElementById("m19").value;

      if (m2.length > 0 && m3.length > 0 && m7.length > 0 && m8.length > 0 && m12.length > 0) {
         var form = document.getElementById("file_mod");
         var formData = new FormData(form);
         formData.append('action', "mod");
         formData.append("ruta", "<?php echo $ruta; ?>");
         formData.append("m0", m0);
         formData.append("m1", m1);
         formData.append("m2", m2);
         formData.append("m3", m3);
         formData.append("m4", m4);
         formData.append("m5", m5);
         formData.append("m6", m6);
         formData.append("m7", m7);
         formData.append("m8", m8);
         formData.append("m9", m9);
         formData.append("m10", m10);
         formData.append("m11", m11);
         formData.append("m12", m12);
         formData.append("m13", m13);
         formData.append("m14", m14);
         formData.append("m15", m15);
         formData.append("m16", m16);
         formData.append("m19", m19);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<script type="text/javascript">
   var map2;
   var marker2;

   function initializeMap2(lat, lon) {
      if (map2) {
         map2.remove();
      }

      map2 = L.map('map2', {
         zoomControl: false
      }).setView([lat, lon], 15);

      L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
         maxZoom: 20,
         detectRetina: true
      }).addTo(map2);


      var markerIcon = L.divIcon({
         className: 'custom-marker',
         html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
      });
      marker2 = L.marker([lat, lon], {
         icon: markerIcon
      }).addTo(map2);



      map2.on('click', function(e) {
         markNewLocation2(e.latlng);
      });
   }

   function markNewLocation2(latLng) {
      // Remover cualquier marcador previo
      if (marker2) {
         map2.removeLayer(marker2);
      }


      var markerIcon = L.divIcon({
         className: 'custom-marker',
         html: '<i class="ion-location" style="font-size: 30px; -webkit-text-stroke: 1px #383333; ' + '<?php echo c_marker(); ?>' + '"></i>'
      });
      marker2 = L.marker([latLng.lat, latLng.lng], {
         icon: markerIcon
      }).addTo(map2);


      document.getElementById('m10').value = latLng.lat;
      document.getElementById('m11').value = latLng.lng;


   }


   function markCurrentLocation2() {
      if (navigator.geolocation) {
         navigator.geolocation.getCurrentPosition(function(position) {
            var latLng = {
               lat: position.coords.latitude,
               lng: position.coords.longitude
            };
            markNewLocation2(latLng);
            map2.setView(latLng, 13);
         }, function(error) {
            console.error('Error al obtener la ubicación actual:', error);
         });
      } else {
         console.error('Geolocalización no es soportada por el navegador.');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <input type="hidden" id="d19">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0, d19) {
      document.getElementById("d0").value = d0;
      document.getElementById("d19").value = d19;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      d19 = document.getElementById("d19").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("ruta", "<?php echo $ruta; ?>");
      formData.append("d0", d0);
      formData.append("d19", d19);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ESTADO -->
<script type="text/javascript">
   function estado(e0, est) {
      var formData = new FormData();
      formData.append("action", "estado");
      formData.append("e0", e0);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>