<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_sale_functions.php';

$line->start();
$line->top1($dbc, '', 5, 'LISTA DE VENTAS TIENDA', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha1" value="<?php echo $_SESSION['fecha1'] ?>" onchange="fecha1()">
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%; text-align: center;" type="date" id="fecha2" value="<?php echo $_SESSION['fecha2'] ?>" onchange="fecha2()">
</div>
<script>
   function fecha1() {
      f1 = document.getElementById("fecha1").value;
      var formData = new FormData();
      formData.append("action", "inicio");
      formData.append("f1", f1);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }

   function fecha2() {
      f2 = document.getElementById("fecha2").value;
      var formData = new FormData();
      formData.append("action", "fin");
      formData.append("f2", f2);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php
$line->top2(2, 'NUEVA VENTA [ IA ]', 'l_sale_ia.php');
$line->top2(2, 'NUEVA VENTA [ NORMAL ]', 'l_sale_n.php');
$line->content();
?>
<!-- MOSTRAR LISTA -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ENVIO DE VENTA -->
<div id="enviar_venta" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>ENVIAR <br>esta Venta?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="e1">
         <input type="hidden" id="e2">
         <input type="hidden" id="e69">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="convertir_venta()"><i class="ion-checkmark"></i> Enviar Venta</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function enviar_venta(r_cod, r_ci, tip_v) {
      document.getElementById("e1").value = r_cod;
      document.getElementById("e2").value = r_ci;
      document.getElementById("e69").value = tip_v;
      document.getElementById("enviar_venta").style.display = "grid";
   }

   function convertir_venta() {
      e1 = document.getElementById("e1").value;
      e2 = document.getElementById("e2").value;
      e69 = document.getElementById("e69").value;
      var formData = new FormData();
      formData.append("action", "convertir_venta");
      formData.append("e1", e1);
      formData.append("e2", e2);
      formData.append("e69", e69);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<?php $line->end(); ?>