<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function fecha1()
   {
      $_SESSION['fecha1'] = $_POST['f1'];
   }
   public function fecha2()
   {
      $_SESSION['fecha2'] = $_POST['f2'];
   }
   public function lista($dbc, $suc, $ci)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th colspan="3">ESTADOS</th>
               <th colspan="7">INFORMACION DE VENTA</th>
               <th colspan="3">INFORMACION CONTABLE</th>
               <th rowspan="2">ESTADO</th>
               <th rowspan="2">DOCUMENTOS</th>
               <th rowspan="2">OPCIONES</th>
            </tr>
            <tr>
               <th>MET. PAGO</th>
               <th>CICLO</th>
               <th>VENTA</th>
               <th colspan="2">CODIGO</th>
               <th>CLIENTE</th>
               <th>RAZON SOCIAL</th>
               <th>NIT / CI</th>
               <th>F. PEDIDO</th>
               <th>F. ENTREGA</th>
               <th>DEPOSITO</th>
               <th>AMORTIZADO</th>
               <th>SALDO</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            if ($_SESSION['fecha1'] == true and $_SESSION['fecha2'] == true) {
               $mm1 = $_SESSION['fecha1'];
               $mm2 = $_SESSION['fecha2'];
            } else {
               $mm1 = date('Y-m-d');
               $mm2 = date('Y-m-d');
            }
            $cn = 1;
            $total_deposito = 0;
            $total_amortizado = 0;
            $total_saldo = 0;
            $conectado = $dbc->query("SELECT * FROM cc_ipc_o_ven WHERE r_ci='$ci' AND prod_suc_in='$suc' AND r_fp>='$mm1' AND r_fp<='$mm2'");
            foreach ($conectado as $c) {
            ?>
               <tr style="<?php echo row_color($cn); ?>">
                  <td align="center" data-label="METODO DE PAGO:" class="bg-<?php echo c_m(); ?>">
                     <?php echo $c['metodo_pago']; ?>
                  </td>
                  <td align="center" data-label="METODO DE PAGO:" class="bg-default">
                     <?php echo $c['prod_prom'] ? 'CON CICLO' : 'SIN CICLO'; ?>
                  </td>
                  <td align="center" data-label="METODO DE PAGO:" class="bg-default">
                     <?php echo $c['tipo_venta']; ?>
                  </td>
                  <td align="center" data-label="COD:">
                     <b><?php echo cod_venta($c['r_user_name'], $c['clie_mercado'], $c['id']); ?></b>
                  </td>
                  <td align="center" data-label="COD:">
                     <?php echo $c['r_cod']; ?>
                  </td>
                  <td align="left" data-label="CLIENTE:">
                     <?php echo ($c['clie_n'] == true) ? $c['clie_n'] : '<b style="color: transparent">.</b>'; ?>
                  </td>
                  <td align="left" data-label="RAZON SOCIAL:">
                     <?php echo ($c['clie_fac_rs2'] == true) ? $c['clie_fac_rs2'] : '<b style="color: transparent">.</b>'; ?>
                  </td>
                  <td align="left" data-label="CLIENTE:">
                     <?php echo ($c['clie_fac_ci2'] == true) ? $c['clie_fac_ci2'] : '<b style="color: transparent">.</b>'; ?>
                  </td>
                  <td align="center" data-label="NIT / CI:">
                     <?php echo $c['r_fp']; ?> <?php echo $c['r_fp_time']; ?>
                  </td>
                  <td align="center" data-label="FECHA ENTREGA:">
                     <?php echo $c['r_fe']; ?> <?php echo $c['trans_fe_time']; ?>
                  </td>
                  <td align="right" data-label="DEPOSITO:">
                     <?php if ($c['metodo_pago'] == 'CREDITO') { ?>
                        <b><?php echo number_format($c['bs_tndi'], 2); ?></b>
                     <?php } else {
                        echo number_format($c['bs_tndi'], 2);
                     }
                     $total_deposito = $total_deposito + $c['bs_tndi'];
                     ?>
                  </td>
                  <td align="right" data-label="AMORTIZADO:">
                     <?php
                     echo number_format($c['bs_a'], 2);
                     $total_amortizado = $total_amortizado + $c['bs_a'];
                     ?>
                  </td>
                  <td align="right" data-label="SALDO:">
                     <?php
                     echo number_format($c['bs_s'], 2);
                     $total_saldo = $total_saldo + $c['bs_s'];
                     ?>
                  </td>
                  <td align="center" data-label="ESTADO DE VENTA:">
                     <b><?php echo $c['estado']; ?></b>
                  </td>
                  <td align="center" data-label="DOCUMENTOS:">
                     <?php $c_prom  = ($c['prod_prom'] > 0) ? '<i class="ion-star"></i>' : '<i class="ion-clipboard"></i>'; ?>
                     <?php $_iam = ($c['tipo_venta'] === 'IA') ? '<i class="ion-social-rss"></i>' : '<i class="ion-compose"></i>'; ?>
                     <button style="width: 67px" class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="PopupCenter('../../icp.systems.tools/pdf/order_request.php?r_cod=<?php echo $c['r_cod'] ?>&r_ci=<?php echo $c['r_ci']; ?>&suc=<?php echo $c['prod_suc_in']; ?>', 'xtf', '800', '800');">
                        <?php echo $c_prom . ' ' . $_iam; ?> <span> Solicitud </span>
                     </button>
                  </td>
                  <td align="center" data-label="DOCUMENTOS:">
                     <?php $e_fac = ($c['bs_fac_est'] === 'FACTURADO') ? c_m() : 'default'; ?>
                     <button style="width: 67px" class="btn btn-xs btn-<?php echo $e_fac; ?>" onclick="PopupCenter('../../icp.systems.tools/pdf/order_request.php?r_cod=<?php echo $c['r_cod'] ?>&r_ci=<?php echo $c['r_ci']; ?>&suc=<?php echo $c['prod_suc_in']; ?>', 'xtf', '800', '800');">
                        <i class="ion-clipboard"></i> <span> Factura </span>
                     </button>
                  </td>
               </tr>
            <?php
               $cn++;
            } ?>
            <tr style="background-color: #d3d3d3; font-weight: bold">
               <td align="center" colspan="10">TOTALES</td>
               <td align="right" data-label="DEPOSITO"><?php echo number_format($total_deposito, 2); ?></td>
               <td align="right" data-label="AMORTIZADO"><?php echo number_format($total_amortizado, 2); ?></td>
               <td align="right" data-label="SALDO"><?php echo number_format($total_saldo, 2); ?></td>
               <td colspan="3"></td>
            </tr>
         </tbody>
      </table>
      <div class="alert alert-<?php echo c_m(); ?>" style="margin: 2px;">
         <strong>Notificacion: </strong>
         Los ventas se almacenan en esta seccion, solo debe de *GUARDARLOS CORRECTAMENTE* y los datos del cliente son la *RAZON SOCIAL* y el *NIT / CI*, que sera registrado al momento de la *VENTA* solo si el *CLIENTE* le proporciona los datos.
      </div>
<?php
   }

   public function convertir_venta($dbc, $r_cod, $r_ci, $m_ia)
   {
      //PRIMERA FECHA DE ENTREGA POR DEUDA
      $qfecha = $dbc->query("SELECT r_fe FROM cc_ipc_o_ven WHERE r_ci='$r_ci' AND estado='ENTREGADO' AND bs_s!=0 ORDER BY id ASC LIMIT 1");
      foreach ($qfecha as $rf) {
         $fecha_venta = $rf['r_fe'];
      }

      //LAPSO DE TIEMPO DE EMVIOS A ENTREGA
      $qbloqueo = $dbc->query("SELECT val FROM ipc_config WHERE cod='BLOQUEO VENTA'");
      foreach ($qbloqueo as $rb) {
         $dias = $rb['val'];
      }

      $fecha_limite = date("Y-m-d", strtotime($fecha_venta . " + " . $dias . " days"));

      //VERIFICA VENTA IA O MANUAL
      if ($m_ia == 'IA') {
         if (date('Y-m-d') <= $fecha_limite) {
            $dat_upd = 'Sistema ' . date('Y-m-d') . ' ' . date('H:i:s a');
            $dbc->query("UPDATE cc_ipc_o_ven SET estado='AUTORIZADO', aut_porc='0', aut_obs='AUTORIZADO AUTOMATICO (Sin deuda)', aut_upd='$dat_upd' WHERE r_cod='$r_cod' AND r_ci='$r_ci'");
            $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='AUTORIZADO' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
            $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='AUTORIZADO' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
         } else {
            $dbc->query("UPDATE cc_ipc_o_ven SET estado='VENTA' WHERE r_cod='$r_cod' AND r_ci='$r_ci'");
            $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='VENTA' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
            $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='VENTA' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
         }
      } else {
         $dbc->query("UPDATE cc_ipc_o_ven SET estado='VENTA' WHERE r_cod='$r_cod' AND r_ci='$r_ci'");
         $dbc->query("UPDATE cc_ipc_o_ven_det SET dr_est='VENTA' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
         $dbc->query("UPDATE cc_ipc_o_ven_det_prom SET dr_est='VENTA' WHERE dr_cod='$r_cod' AND dr_ci='$r_ci'");
      }
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'inicio':
      $action->fecha1();
      break;
   case 'fin':
      $action->fecha2();
      break;
   case 'convertir_venta':
      $action->convertir_venta($dbc, $_POST['e1'], $_POST['e2'], $_POST['e69']);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $_SESSION['vsu10'], $_SESSION['vsu1']);
      break;
   default:
      break;
}
