<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

include '../../icp.systems.tools/vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;

if (isset($_POST["importar"])) {
   $namearchivo = $_FILES["archivo"]["name"];

   if ($namearchivo == 'productos_inicia_erp.xlsx') {
      $namearchivo = $_FILES["archivo"]["name"];
      $archivo_subido = $_FILES["archivo"]["tmp_name"];

      $rutadesctino = '../../icp.systems.tools/office/' . $namearchivo;

      move_uploaded_file($archivo_subido, $rutadesctino);

      $documento = IOFactory::load($rutadesctino);
      $hoja_actual = $documento->getSheet(0);
      $num_filas = $hoja_actual->getHighestDataRow();
      $dbc->query("TRUNCATE TABLE cc_ipc_prod_stock");
      $suc = $dbc->query("SELECT * FROM ipc_sucursal");
      foreach ($suc as $s) {
         $sucursal = $s['cod_suc'];
         for ($ind_fila = 1; $ind_fila <= $num_filas; $ind_fila++) {
            $p1 = 'IMPORT';
            $p2 = date('Y-m-d');
            $p3 = date('H:i:s a');
            $p4 = $sucursal; //SUCURSAL A GENERAR CON EL SISTEMA A TODAS LAS SUCURSALES EXISTENTES
            $cat_convert = $hoja_actual->getCellByColumnAndRow(1, $ind_fila); //CATEGORIAS INGRESADOS MEDIANTE EXCEL
            $cat = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE cat='$cat_convert'");
            if ($cat->num_rows > 0) {
               foreach ($cat as $c) {
                  $categoria = $c['cod_cat'];
               }
               $p5 = $categoria;
               $p6 = $hoja_actual->getCellByColumnAndRow(2, $ind_fila);
               $p7 = $hoja_actual->getCellByColumnAndRow(3, $ind_fila);
               $p8 = $hoja_actual->getCellByColumnAndRow(4, $ind_fila);
               $p9 = $hoja_actual->getCellByColumnAndRow(5, $ind_fila);
               $p10 = $hoja_actual->getCellByColumnAndRow(6, $ind_fila);
               $p11 = $hoja_actual->getCellByColumnAndRow(7, $ind_fila);
               $p12 = $hoja_actual->getCellByColumnAndRow(8, $ind_fila);
               $p13 = $hoja_actual->getCellByColumnAndRow(9, $ind_fila);
               $p14 = $hoja_actual->getCellByColumnAndRow(10, $ind_fila);
               $p15 = $hoja_actual->getCellByColumnAndRow(11, $ind_fila);
               $p16 = $hoja_actual->getCellByColumnAndRow(12, $ind_fila);
               $p17 = ''; //RUTA IMAGEN
               $p18 = 1;
               $p19 = 0;
               $p20 = 0;
               $cat = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='$sucursal' AND p_cod='$p7'");
               if ($cat->num_rows == 0) {
                  $dbc->query("INSERT INTO cc_ipc_prod_stock (id, p_u_create, p_f_reg, p_time, p_sucursal, p_category, p_cod, p_descr1, p_descr2, p_pu, p_pm, p_ppd, p_um, p_w, p_ml, p_a, p_v, p_img, p_est, p_est_prom, p_est_prom_desc)
                  VALUES (null, '$p1', '$p2', '$p3', '$p4', '$p5', '$p6', '$p7', '$p8', '$p9', '$p10', '$p11', '$p12', '$p13', '$p14', '$p15', '$p16', '$p17', '$p18', '$p19', '$p20')");
               }
            }
         }
      }
      echo  "<script>window.location.replace('list.php');</script>";
   } else {
      $error_import = '
   <div class="alert alert-dark">
      <strong>Alerta: </strong>Documento no Compatible, el documento debe de ser <b>productos_inicia_erp.xlsx</b>
   </div>';
   }
}


$line->start();
$line->top1($dbc, 'cc_ipc_prod_stock', 11, 'PRODUCTOS', 'IMPORTAR');
$line->top2(1, 'LISTA', 'g_list.php');
$line->content();
?>
<div class="div col-lg-3"></div>
<div class="div col-lg-6">
   <div class="alert alert-dark">
      <strong>Alerta: </strong>Verifique correctamente los datos del archivo EXCEL ya que debe de estar guardado si tubo alguna modificacion, tenga en cuenta que se actualizaran toda la lista de sus PRODUCTOS y seran
      asignados actumaticamente a todas las SUCURSALES.
   </div><?php echo $error_import; ?>
   <form action="" method="POST" enctype="multipart/form-data">
      <div class="div col-lg-6">
         <input type="file" name="archivo" required disabled>
      </div>
      <div class="div col-lg-6">
         <input type="submit" name="importar" class="btn btn-sm btn-block btn-default" value="IMPORTACION DE PRODUCTOS" disabled>
      </div>
   </form>
</div>
<div class="div col-lg-3"></div>
<?php $line->end(); ?>