<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_functions.php';
$ruta = '../../icp.systems.module_sd/product/image/';

$line->start();
$line->top1($dbc, '', 8, 'PRODUCTOS (Regional)', '');
?>
<div class="div col-lg-2">
    <select class="form-control" style="width: 100%; text-align: left" id="cat" onchange="search_categoria()">
        <?php
        $query = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE act_cat=1 ORDER BY n0, n1, n2 ASC");
        foreach ($query as $r) {
        ?>
            <option value="<?php echo $r['cod_cat']; ?>"><?php echo name_cat($dbc, $r['cod_cat']); ?> </option>
        <?php }
        ?>
    </select>
    <script type="text/javascript">
        document.getElementById("cat").value = "<?php echo $_SESSION['cat_actual']; ?>";

        function search_categoria() {
            cat = document.getElementById("cat").value;
            var formData = new FormData();
            formData.append('action', "search_categoria");
            formData.append("cat", cat);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
        }
    </script>
</div>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'NUEVO', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
    <div id="lista"></div>
    <script type="text/javascript">
        function lista() {
            fetch('<?php echo $file_functions; ?>?action=lista')
                .then(response => response.text())
                .then(html => {
                    document.getElementById('lista').innerHTML = html;
                })
                .catch(error => console.log('Error:', error));
        }
        lista();
    </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
    <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
        <div class="alert alert-<?php echo c_m(); ?>">
            <div class="div_buttons">
                <label style="margin: 0 1px; padding-top: 0px !important"><b>Notificacion:</b></label>
                <label style="margin: 0 1px; padding-top: 0px !important">Verifique cuidadosamente la *SUCURSAL* y la *CATEGORIA* <br>donde esta por adicionar el *PRODUCTO*</label>
            </div>
        </div>
        <form autocomplete="off" enctype="multipart/form-data" id="file_add">
            <div class="row bg-default titulo">NUEVO PRODUCTO</div>
            <label style="width: 130px; text-align: left"><b>Cod producto <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i3"><br>
            <label style="width: 130px; text-align: left"><b>Descripcion 1 <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i4"><br>
            <label style="width: 130px; text-align: left"><b>Descripcion 2 : </b></label><input style="width: 200px" type="text" id="i5">
            <div class="row bg-default titulo">PRECIO DE VENTA</div>
            <label style="width: 130px; text-align: left"><b>Precio por Unidad <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i6"><br>
            <label style="width: 130px; text-align: left"><b>Precio por Mayor: </b></label><input style="width: 200px" type="text" id="i7" value="0" disabled><br>
            <label style="width: 130px; text-align: left"><b>Precio por Descuento: </b></label><input style="width: 200px" type="text" id="i8" value="0" disabled>
            <div class="row bg-default titulo">DATOS TECNICOS</div>
            <label style="width: 130px; text-align: left"><b>Unidad de Medida <span style="color: red">*</span> : </b></label><select style="width: 200px" id="i9">
                <?php
                $q_um = $dbc->query("SELECT * FROM cc_ipc_prod_um");
                foreach ($q_um as $r_um) {
                ?>
                    <option value="<?php echo $r_um['um']; ?>"><?php echo $r_um['um'] . ' - ' . $r_um['desc_um']; ?></option>
                <?php } ?>
            </select><br>
            <label style="width: 130px; text-align: left"><b>Peso [ Kg ] / Litro [ Lt ]: </b></label><input style="width: 200px" type="text" id="i10" value="0" disabled><br>
            <label style="width: 130px; text-align: left"><b>Metro Lineal [ cm ]: </b></label><input style="width: 200px" type="text" id="i11" value="0" disabled><br>
            <label style="width: 130px; text-align: left"><b>Area [ cm ]: </b></label><input style="width: 200px" type="text" id="i12" value="0" disabled><br>
            <label style="width: 130px; text-align: left"><b>Volumen [ cm ]: </b></label><input style="width: 200px" type="text" id="i13" value="0" disabled>
            <div class="row bg-default titulo">PORTADA</div>
            <label style="text-align: left; display: flex; padding-top: 2px !important"><b style="width: 126px">Imagen: </b><input style="width: 200px" type="file" name="file"></label>
            <div class="div_buttons">
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="add()"><i class="ion-checkmark"></i> Guardar</button>
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar(); limpiar(this.form)"><i class="ion-close"></i> Cancelar</button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    function adicionar() {
        document.getElementById("nuevo").style.display = "grid";
    }

    function add() {
        i3 = document.getElementById("i3").value;
        i4 = document.getElementById("i4").value;
        i5 = document.getElementById("i5").value;
        i6 = document.getElementById("i6").value;
        i7 = document.getElementById("i7").value;
        i8 = document.getElementById("i8").value;
        i9 = document.getElementById("i9").value;
        i10 = document.getElementById("i10").value;
        i11 = document.getElementById("i11").value;
        i12 = document.getElementById("i12").value;
        i13 = document.getElementById("i13").value;

        if (i3.length > 0 && i4.length > 0 && i6.length > 0) {
            var form = document.getElementById("file_add");
            var formData = new FormData(form);
            formData.append("action", "add");
            formData.append("ruta", "<?php echo $ruta; ?>");
            formData.append("i3", i3);
            formData.append("i4", i4);
            formData.append("i5", i5);
            formData.append("i6", i6);
            formData.append("i7", i7);
            formData.append("i8", i8);
            formData.append("i9", i9);
            formData.append("i10", i10);
            formData.append("i11", i11);
            formData.append("i12", i12);
            formData.append("i13", i13);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
            cerrar();
        } else {
            alerta('Complete los Datos obligatorio (*)');
        }
    }
</script>
<!-- VISUALIZAR -->
<div id="visualizar" class="modal">
    <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
        <div class="contenedorte">
            <div class="te">
                <label style="width: 60px; text-align: left"><b>Codigo</b></label>: <label style="width: 190px; text-align: left" id="v3"></label><br>
                <label style="width: 60px; text-align: left"><b>Descripcion</b></label>: <label style="width: 190px; text-align: left" id="v4"></label><br>
            </div>
            <img id="imagen" width="360"><i class="ion-bag" id="icono" style="font-size: 300px"></i>
            <div class="div_buttons">
                <div style="margin: 0 1px;">
                    <label style="width: 110px; text-align: left"><b>Precio por Unidad</b></label>: <label style="width: 60px; text-align: left" id="v6"></label><br>
                    <label style="width: 110px; text-align: left"><b>Precio Por Mayor</b></label>: <label style="width: 60px; text-align: left" id="v7"></label><br>
                    <label style="width: 110px; text-align: left"><b>Precio por Descuento</b></label>: <label style="width: 60px; text-align: left" id="v8"></label><br>
                    <label style="width: 110px; text-align: left"><b>Unidad de Medida</b></label>: <label style="width: 60px; text-align: left" id="v9"></label>
                </div>
                <div style="margin: 0 1px;">
                    <label style="width: 110px; text-align: left"><b>Peso [ Kg ] / Litro [ Lt ]:</b></label>: <label style="width: 60px; text-align: left" id="v10"></label><br>
                    <label style="width: 110px; text-align: left"><b>Metro Lineal [ cm ]:</b></label>: <label style="width: 60px; text-align: left" id="v11"></label><br>
                    <label style="width: 110px; text-align: left"><b>Area [ cm ]:</b></label>: <label style="width: 60px; text-align: left" id="v12"></label><br>
                    <label style="width: 110px; text-align: left"><b>Volumen [ cm ]:</b></label>: <label style="width: 60px; text-align: left" id="v13"></label>
                </div>
            </div>
            <div style="text-align: left; font-size: 8px; padding: 4px;">
                <b>Add</b></label>: <label style="text-align: left; padding: 0px !important; font-size: 8px" id="v18"></label>
                <b>Upd</b></label>: <label style="text-align: left; padding: 0px !important; font-size: 8px" id="v19"></label>
            </div>
            <button class="btn btn-block btn-xs btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()">Cerrar Vista</button>
        </div>
    </div>
</div>
<script type="text/javascript">
    function visualizar(v3, v4, v6, v7, v8, v9, v10, v11, v12, v13, v14, v18, v19) {
        document.getElementById("v3").innerText = v3;
        document.getElementById("v4").innerText = v4;
        document.getElementById("v6").innerText = v6;
        document.getElementById("v7").innerText = v7;
        document.getElementById("v8").innerText = v8;
        document.getElementById("v9").innerText = v9;
        document.getElementById("v10").innerText = v10;
        document.getElementById("v11").innerText = v11;
        document.getElementById("v12").innerText = v12;
        document.getElementById("v13").innerText = v13;
        if (v14) {
            document.getElementById('imagen').src = '<?php echo $ruta; ?>' + v14;
            const urlImagen = document.getElementById('imagen').src;
            const timestamp = new Date().getTime();
            const nuevaURL = urlImagen + '?' + timestamp;
            document.getElementById('imagen').src = nuevaURL;
            document.getElementById("imagen").style.display = "block";
            document.getElementById("icono").style.display = "none";
        } else {
            document.getElementById("imagen").style.display = "none";
            document.getElementById("icono").style.display = "block";
        }
        document.getElementById("v18").innerText = v18;
        document.getElementById("v19").innerText = v19;
        document.getElementById("visualizar").style.display = "grid";
    }
</script>
<!-- MODIFICAR -->
<div id="modificar" class="modal">
    <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
        <form autocomplete="off" enctype="multipart/form-data" id="file_mod">
            <input type="hidden" id="m0">
            <input type="hidden" id="m14">
            <div class="bg-default titulo">MODIFICAR PRODUCTO</div>
            <label style="width: 130px; text-align: left"><b>Cod producto <span style="color: red">*</span> : </b></label><input style="width: 200px; border: 0px; background-color: transparent" type="text" id="m3" disabled><br>
            <label style="width: 130px; text-align: left"><b>Descripcion 1 <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="m4"><br>
            <label style="width: 130px; text-align: left"><b>Descripcion 2 : </b></label><input style="width: 200px" type="text" id="m5">
            <div class="row bg-default titulo">PRECIO DE VENTA</div>
            <label style="width: 130px; text-align: left"><b>Precio por Unidad <span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="m6"><br>
            <label style="width: 130px; text-align: left"><b>Precio por Bonificacion: </b></label><input style="width: 200px" type="text" id="m7"><br>
            <label style="width: 130px; text-align: left"><b>Precio por Descuento: </b></label><input style="width: 200px" type="text" id="m8" disabled>
            <div class="row bg-default titulo">DATOS TECNICOS</div>
            <label style="width: 130px; text-align: left"><b>Unidad de Medida <span style="color: red">*</span> : </b></label><select style="width: 200px" id="m9">
                <?php
                $q_um = $dbc->query("SELECT * FROM cc_ipc_prod_um");
                foreach ($q_um as $r_um) {
                ?>
                    <option value="<?php echo $r_um['um']; ?>"><?php echo $r_um['um'] . ' - ' . $r_um['desc_um']; ?></option>
                <?php } ?>
            </select><br>
            <label style="width: 130px; text-align: left"><b>Peso [ Kg ] / Litro [ Lt ]: </b></label><input style="width: 200px" type="text" id="m10" disabled><br>
            <label style="width: 130px; text-align: left"><b>Metro Lineal [ cm ]: </b></label><input style="width: 200px" type="text" id="m11" disabled><br>
            <label style="width: 130px; text-align: left"><b>Area [ cm ]: </b></label><input style="width: 200px" type="text" id="m12" disabled><br>
            <label style="width: 130px; text-align: left"><b>Volumen [ cm ]: </b></label><input style="width: 200px" type="text" id="m13" disabled>
            <div class="row bg-default titulo">PORTADA</div>
            <label style="text-align: left; display: flex; padding-top: 2px !important"><b style="width: 126px">Imagen: </b><input style="width: 200px" type="file" name="file" id="file"></label>
            <div class="div_buttons">
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="mod()"><i class="ion-checkmark"></i> Guardar</button>
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    function modificar(m0, m3, m4, m5, m6, m7, m8, m9, m10, m11, m12, m13, m14) {
        document.getElementById("m0").value = m0;
        document.getElementById("m3").value = m3;
        document.getElementById("m4").value = m4;
        document.getElementById("m5").value = m5;
        document.getElementById("m6").value = m6;
        document.getElementById("m7").value = m7;
        document.getElementById("m8").value = m8;
        document.getElementById("m9").value = m9;
        document.getElementById("m10").value = m10;
        document.getElementById("m11").value = m11;
        document.getElementById("m12").value = m12;
        document.getElementById("m13").value = m13;
        document.getElementById("m14").value = m14;
        document.getElementById("file").value = "";
        document.getElementById("modificar").style.display = "grid";
    }

    function mod() {
        m0 = document.getElementById("m0").value;
        m3 = document.getElementById("m3").value;
        m4 = document.getElementById("m4").value;
        m5 = document.getElementById("m5").value;
        m6 = document.getElementById("m6").value;
        m7 = document.getElementById("m7").value;
        m8 = document.getElementById("m8").value;
        m9 = document.getElementById("m9").value;
        m10 = document.getElementById("m10").value;
        m11 = document.getElementById("m11").value;
        m12 = document.getElementById("m12").value;
        m13 = document.getElementById("m13").value;
        m14 = document.getElementById("m14").value;

        if (m0.length > 0 && m3.length > 0 && m4.length > 0 && m6.length > 0) {
            var form = document.getElementById("file_mod");
            var formData = new FormData(form);
            formData.append("action", "mod");
            formData.append("ruta", "<?php echo $ruta; ?>");
            formData.append("m0", m0);
            formData.append("m3", m3);
            formData.append("m4", m4);
            formData.append("m5", m5);
            formData.append("m6", m6);
            formData.append("m7", m7);
            formData.append("m8", m8);
            formData.append("m9", m9);
            formData.append("m10", m10);
            formData.append("m11", m11);
            formData.append("m12", m12);
            formData.append("m13", m13);
            formData.append("m14", m14);
            fetch("<?php echo $file_functions; ?>", {
                    method: "POST",
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    lista();
                })
                .catch(error => console.log('Error:', error));
            cerrar();
        } else {
            alerta('Complete los Datos obligatorio (*)');
        }
    }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
    <div class="div col-lg-12" style="color: white">
        <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
        <form autocomplete="off">
            <input type="hidden" id="d0">
            <input type="hidden" id="d14">
            <div class="div_buttons">
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
                <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    function eliminar(d0, d14) {
        document.getElementById("d0").value = d0;
        document.getElementById("d14").value = d14;
        document.getElementById("eliminar").style.display = "grid";
    }

    function del() {
        d0 = document.getElementById("d0").value;
        d14 = document.getElementById("d14").value;
        var formData = new FormData();
        formData.append("action", "del");
        formData.append("ruta", "<?php echo $ruta; ?>");
        formData.append("d0", d0);
        formData.append("d14", d14);
        fetch("<?php echo $file_functions; ?>", {
                method: "POST",
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                lista();
            })
            .catch(error => console.log('Error:', error));
        cerrar();
    }
</script>
<!-- ESTADO -->
<script type="text/javascript">
    function estado(e0, est) {
        var formData = new FormData();
        formData.append("action", "estado");
        formData.append("e0", e0);
        formData.append("est", est);
        fetch("<?php echo $file_functions; ?>", {
                method: "POST",
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                lista();
            })
            .catch(error => console.log('Error:', error));
    }
</script>
<?php $line->end(); ?>