<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'precios_pu_functions.php';

$line->start();
$line->top1($dbc, '', 9, 'PRECIOS POR UNIDAD (Nacional)', '');
?>
<div class="div col-lg-2">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'LISTA', 'g_list.php');
$line->content();
?>
<div class="col-lg-12">
   <!-- MOSTRAR RESULTADO -->
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- MODIFICAR CELDA -->
<script>
   function mod_pu(id, celda) {
      var valorActual = celda.innerHTML;

      var input = document.createElement("input");
      input.type = "text";
      input.value = valorActual;

      input.style.border = "2px solid <?php echo c_login(); ?>";
      input.style.width = "100px";
      input.style.textAlign = "center";
      input.style.fontSize = "20px";

      celda.innerHTML = "";
      celda.appendChild(input);

      input.focus();
      input.select();

      input.addEventListener("keypress", function() {
         if (event.keyCode === 13) {
            var nuevoValor = input.value;

            if (/^\d+(\.\d+)?$/.test(nuevoValor)) {
               var formData = new FormData();
               formData.append("action", "mod_celda");
               formData.append("m0", id);
               formData.append("pu", nuevoValor);
               fetch("<?php echo $file_functions; ?>", {
                     method: "POST",
                     body: formData
                  })
                  .then(function(response) {
                     return response.text();
                  })
                  .then(function(data) {
                     celda.innerHTML = nuevoValor;
                     lista();
                  })
                  .catch(function(error) {
                     celda.innerHTML = valorActual;
                  });
            } else {
               alerta("Debe de ser Un Valor numerico / Decimal");
            }
         }
      });
   }
</script>
<?php
$line->end();
?>