<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_periodo_functions.php';

$line->start();
$line->top1($dbc, '', 11, 'PERIODO DE PROMOCION DE CICLO (Nacional)', '');
$line->top2(1, 'NUEVA FECHA', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="alert alert-<?php echo c_m(); ?>">
         <div class="div_buttons">
            <label style="margin: 0 1px; padding-top: 0px !important"><b>Notificacion:</b></label>
            <label style="margin: 0 1px; padding-top: 0px !important">La fecha que ingresara validara el tiempo de descuentos <br>en todas las ventas que realicen en ese tiempo.</label>
         </div>
      </div>
      <form autocomplete="off">
         <div class="row bg-default titulo">NUEVA FECHA DE PROMOCION</div>
         <label style="width: 130px; text-align: left"><b>Fecha Inicio <span style="color: red">*</span> : </b></label><input style="width: 200px" type="date" id="i1"><br>
         <label style="width: 130px; text-align: left"><b>Fecha Finalizacion <span style="color: red">*</span> : </b></label><input style="width: 200px" type="date" id="i2"><br>
         <label style="width: 130px; text-align: left"><b>Motivo de la Promocion<span style="color: red">*</span> : </b></label><input style="width: 200px" type="text" id="i3">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="add()"><i class="ion-checkmark"></i> Guardar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar(); limpiar(this.form)"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;

      if (i1.length > 0 && i2.length > 0 && i3.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorio (*)');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0) {
      document.getElementById("d0").value = d0;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      var formData = new FormData();
      formData.append('action', "del");
      formData.append("d0", d0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => {
            console.error("Error:", error);
         });
      cerrar();
   }
</script>
<?php $line->end(); ?>