<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'l_list_ciclo_functions.php';

$line->start();
$line->top1($dbc, '', 8, 'LISTA PRODUCTOS DE PROMOCION CICLO (Regional)', '');
?>
<div class="div col-lg-2">
   <select class="form-control" style="width: 100%; text-align: left" id="cat" onchange="search_categoria()">
      <?php
      $select_c = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE act_cat=1 ORDER BY n0, n1, n2 ASC");
      foreach ($select_c as $sc) {
      ?>
         <option value="<?php echo $sc['cod_cat']; ?>"><?php echo name_cat($dbc, $sc['cod_cat']); ?> </option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("cat").value = "<?php echo $_SESSION['cat_actual']; ?>";

      function search_categoria() {
         cat = document.getElementById("cat").value;
         var formData = new FormData();
         formData.append('action', "search_categoria");
         formData.append("cat", cat);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-2">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()" autocomplete="off">
</div>
<?php
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- PROMOCION POR CANAL -->
<script type="text/javascript">
   function prom_ciclo(p0, est) {
      var formData = new FormData();
      formData.append('action', "prom_ciclo");
      formData.append("p0", p0);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => {
            console.error("Error:", error);
         });
   }
</script>
<?php $line->end(); ?>