<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
$sucursales = array();
foreach ($select_s as $ss) {
    $sucursales[] = "'" . $ss['cod_suc'] . "'";
}
$sucursal = implode(', ', $sucursales);
$estados = "'PREVENTA', 'VENTA', 'AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO', 'ANULADO'";
$_SESSION['ff1'] = $_GET['f1'];
$_SESSION['ff2'] = $_GET['f2'];
$fecha1 = $_GET['f1'];
$fecha2 = $_GET['f2'];

$n = 1;

$fila_repetida = '';
$query = $dbc->query("SELECT metodo_pago, r_cod, r_ci, prod_suc_in, estado, p_category, p_cod, p_descr1, SUM(cant_out) AS cant_out, 
d_p_pu, d_p_put, id, r_user_name, r_fe, SUM(cant_in) AS cant_in, SUM(bonif) AS bonif, (d_p_put - SUM(bonif)) AS sv, 
trans_placa, propietario, clie_dir, clie_mercado, clie_id, clie_n, SUM(bs_a1) AS pd_rp, (bs_a - SUM(bs_a1)) AS bs_a, bs_s
FROM (
    SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
        dv.d_p_pu, dv.d_p_put, v.id, v.r_user_name, v.r_fe, dv.cant_in, 0 AS bonif, 
        v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, 0 AS bs_a1, v.bs_a, v.bs_s
    FROM cc_ipc_o_ven v
    LEFT JOIN cc_ipc_o_ven_det dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
    LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
    WHERE v.prod_suc_in IN ($sucursal)
    AND v.estado IN ($estados)
    AND v.r_fe BETWEEN '$fecha1' AND '$fecha2'
    AND dv.p_cod IS NOT NULL

    UNION ALL

    SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
        dv.d_p_pu, dv.d_p_put, v.id, v.r_user_name, v.r_fe, dv.cant_in, dv.d_p_put AS bonif, 
        v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, dv.d_p_put AS bs_a1, 0 AS bs_a, 0 AS bs_s
    FROM cc_ipc_o_ven v
    LEFT JOIN cc_ipc_i_dev_det dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
    LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
    WHERE v.prod_suc_in IN ($sucursal)
    AND v.estado IN ($estados)
    AND v.r_fe BETWEEN '$fecha1' AND '$fecha2'
    AND dv.p_cod IS NOT NULL

    UNION ALL

    SELECT v.metodo_pago, v.r_cod, v.r_ci, v.prod_suc_in, v.estado, dv.p_category, dv.p_cod, dv.p_descr1, dv.cant_out, 
            (dv.d_p_put/dv.cant_out) AS d_p_pu, dv.d_p_put, v.id, CONCAT(v.r_user_name, '-BONIF') AS r_user_name, v.r_fe, dv.cant_in, 0 AS bonif,
            v.trans_placa, t.propietario, v.clie_dir, v.clie_mercado, v.clie_id, v.clie_n, 0 AS bs_a1, dv.d_p_put AS bs_a, 0 AS bs_s
    FROM cc_ipc_o_ven v
    LEFT JOIN cc_ipc_o_ven_det_prom dv ON v.r_cod = dv.dr_cod AND v.r_ci = dv.dr_ci
    LEFT JOIN cc_ipc_trans t ON v.trans_placa = t.id_transporte
    WHERE v.prod_suc_in IN ($sucursal)
        AND v.estado IN ($estados) 
        AND v.r_fe BETWEEN '$fecha1' AND '$fecha2' 
        AND dv.p_cod IS NOT NULL
) a
GROUP BY metodo_pago, r_cod, r_ci, prod_suc_in, estado, p_category, p_cod, id, r_user_name, r_fe, trans_placa, propietario, clie_dir, clie_mercado, clie_id, clie_n
ORDER BY id, r_user_name ASC");


$dbc->query("ALTER TABLE cc_ipc_x_report AUTO_INCREMENT = 1");
$dbc->query("TRUNCATE TABLE cc_ipc_x_report");

$dbc->begin_transaction();

$stmt = $dbc->prepare("INSERT INTO cc_ipc_x_report (id, r1, r2, r3, r4, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14, r15, r16, r17, r18, r19, r20, r21, r22, r23, r24, r25, r26) VALUES (null, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");



while ($r = $query->fetch_assoc()) {

    $d1 = $r['metodo_pago'];
    $d2 = $r['r_cod'];
    $d3 = $r['r_ci'];
    $d4 = $r['prod_suc_in'];
    $d5 = $r['estado'];
    $d6 = $r['p_category'];
    $d7 = $r['p_cod'];
    $d8 = ($r['p_descr1']) ? $r['p_descr1'] : '';
    $d9 = ($r['cant_out']) ? $r['cant_out'] : 0;
    $d10 = ($r['d_p_pu']) ? $r['d_p_pu'] : 0;
    $d11 = ($r['d_p_put']) ? $r['d_p_put'] : 0;
    $d12 = $r['id'];
    $d13 = $r['r_user_name'];
    $d14 = $r['r_fe'];
    $d15 = ($r['cant_in']) ? $r['cant_in'] : 0;
    $d16 = ($r['bonif']) ? $r['bonif'] : 0;
    $d17 = ($r['sv']) ? $r['sv'] : 0;
    $d18 = $r['trans_placa'];
    $d19 = ($r['propietario']) ? $r['propietario'] : '';
    $d20 = $r['clie_dir'];
    $d21 = $r['clie_mercado'];
    $d22 = ($r['clie_id']) ? $r['clie_id'] : '';
    $d23 = $r['clie_n'];
    $d24 = ($r['pd_rp']) ? $r['pd_rp'] : 0;
    if ($fila_repetida != $r['id']) {
        $_amortizado = $r['bs_a'] + $r['pd_rp'];
    } else {
        if (strpos($r['r_user_name'], "BONIF") !== false) {
            $_amortizado = $r['sv'];
        } else {
            $_amortizado = 0;
        }
    }
    $d25 = ($_amortizado) ? $_amortizado : 0;
    $d26 = ($fila_repetida != $r['id']) ? $r['bs_s'] : 0;
    $fila_repetida = $r['id'];

    $stmt->bind_param("ssssssssssssssssssssssssss", $d1, $d2, $d3, $d4, $d5, $d6, $d7, $d8, $d9, $d10, $d11, $d12, $d13, $d14, $d15, $d16, $d17, $d18, $d19, $d20, $d21, $d22, $d23, $d24, $d25, $d26);
    $stmt->execute();
}
$dbc->commit();
$stmt->close();

echo  "<script>window.location.replace('g_data_science.php');</script>";
