<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo_normal.php';
include '../../icp.systems.design/structure.php';

include 'g_data_science_function.php';


// error_reporting(E_ALL);

//SUCURSALES
if (isset($_POST['sucursales'])) {
   $sucursalesConComillas = array_map(function ($sucursal) {
      return "'$sucursal'";
   }, $_POST['sucursales']);
   $_s = implode(", ", $sucursalesConComillas);
} else {
   $_s = '';
}
//ESTADOS
if (isset($_POST['opciones'])) {
   $opcionesConComillas = array_map(function ($opcion) {
      return "'$opcion'";
   }, $_POST['opciones']);
   $_e = implode(", ", $opcionesConComillas);
} else {
   $_e = '';
}
//VENDEDORES
if (isset($_POST['vendedores'])) {
   $vendedoresConComillas = array_map(function ($vendedor) {
      return "$vendedor";
   }, $_POST['vendedores']);
   $_v = implode(", ", $vendedoresConComillas);
} else {
   $_v = '';
}
//TIPO DE PRODUCTOS
if (isset($_POST['t_productos'])) {
   $t_productosConComillas = array_map(function ($t_producto) {
      return "$t_producto";
   }, $_POST['t_productos']);
   $_t = implode(", ", $t_productosConComillas);
} else {
   $_t = '';
}
//MERCADOS
if (isset($_POST['mercados'])) {
   $mercadosConComillas = array_map(function ($producto) {
      return "'$producto'";
   }, $_POST['mercados']);
   $_m = implode(", ", $mercadosConComillas);
} else {
   $_m = '';
}
//CLIENTES
if (isset($_POST['clientes'])) {
   $clientesConComillas = array_map(function ($cliente) {
      return "$cliente";
   }, $_POST['clientes']);
   $_c = implode(", ", $clientesConComillas);
} else {
   $_c = '';
}







$res = $report->totales($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$prod = $report->prod_limpieza($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$prod_p = $report->prod_limpieza_p($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$ven_bs = $report->por_vendedor($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$mer_bs = $report->por_mercado($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$clie_bs = $report->por_cliente_sb($dbc, $_s, $_e, $_v, $_t, $_m, $_c);
$clie_bs_b = $report->por_cliente_b($dbc, $_s, $_e, $_v, $_t, $_m, $_c);







$line->start();
$line->top1($dbc, '', 8, 'DASHBOARD', '(GLOBAL)');
?>
<form method="GET" action="dat_json_filtros_listasql.php">
   <div class="div col-lg-1">
      <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $_SESSION['ff1']; ?>">
   </div>
   <div class="div col-lg-1">
      <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $_SESSION['ff2']; ?>">
   </div>
   <div class="div col-lg-2">
      <input class="form-control btn btn-xs btn-<?php echo c_m(); ?>" style=" width: 100%; text-align: center;" type="submit" value="PROCESAR REGISTROS">
   </div>
</form>
<?php
$line->content();
?>
<style>
   .titulo1 {
      color: #747474;
      font-size: 11px;
      font-weight: bold
   }
</style>
<div class="col-lg-9">
   <div class="div col-lg-12">
      <div class="col-lg-5" style="background-color: #d9d9d9; height: 64px; border-top: 1px solid #b3afaf; border-bottom: 1px solid #b3afaf; border-left: 1px solid #b3afaf">
         <div class="titulo" style="color: #747474; text-align: left"><?php echo n_sis(); ?></div>
         <div class="titulo" style="color: #747474; text-align: left; font-size: 11px"><?php echo obtenerFechaEnEspanol('2023-12-26'); ?></div>
         <div class="titulo" style="color: #747474; text-align: left; font-size: 11px">SUCURSAL</div>
      </div>
      <div class="col-lg-7">
         <table>
            <tr>
               <td>
                  <div class="titulo1">VENTAS</div>
               </td>
               <td align="right" style="background-color: #ffe7c8">
                  <div class="titulo1"><?php echo ($res['total_suc']) ? $res['total_suc'] : 0; ?></div>
               </td>
               <td style="background-color: #d9d9d9">
                  <div class="titulo1" style="text-align: center">CONTADO</div>
               </td>
               <td align="center">
                  <div class="titulo1"><?php echo ($res['credito']) ? $res['credito'] : 0; ?></div>
               </td>
               <td style="background-color: #d9d9d9">
                  <div class="titulo1" style="text-align: center">CREDITO</div>
               </td>
               <td align="center">
                  <div class="titulo1"><?php echo ($res['contado']) ? $res['contado'] : 0; ?></div>
               </td>
            </tr>
            <tr>
               <td>
                  <div class="titulo1">PARTICIPACION</div>
               </td>
               <td align="right" style="background-color: #ffcd8e">
                  <div class="titulo1"><?php echo ($res['por_t']) ? $res['por_t'] : 0; ?> %</div>
               </td>
               <td style="background-color: #e57f00">
                  <div class="titulo1" style="color: white; text-align: center">PORCENTAGE</div>
               </td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($res['por_cr']) ? $res['por_cr'] : 0; ?> %</div>
               </td>
               <td style="background-color: #e57f00"></td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($res['por_c']) ? $res['por_c'] : 0; ?> %</div>
               </td>
            </tr>
            <tr>
               <td>
                  <div class="titulo1">PROMEDIO MENSUAL</div>
               </td>
               <td align="right">
                  <div class="titulo1"><?php echo ($res['total_suc']) ? round(($res['total_suc'] / 29) * 30, 2) : 0; ?></div>
               </td>
               <td align="center">
                  <div class="titulo1">BABYGUMM PAÑAL</div>
               </td>
               <td align="center">
                  <div class="titulo1">CONFIDENT</div>
               </td>
               <td align="center">
                  <div class="titulo1">TOALLITAS 50x24 | 100x12</div>
               </td>
               <td align="center">
                  <div class="titulo1">OTROS</div>
               </td>
            </tr>
            <tr>
               <td>
                  <div class="titulo1">PARETO 80% / V</div>
               </td>
               <td align="right">
                  <div class="titulo1"><?php echo ($res['total_suc']) ? round((($res['total_suc'] / 29) * 30) * 0.8, 2) : 0; ?></div>
               </td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($prod_p['prod_baby']) ? $prod_p['prod_baby'] : 0; ?> %</div>
               </td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($prod_p['prod_conf']) ? $prod_p['prod_conf'] : 0; ?> %</div>
               </td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($prod_p['prod_50']) ? $prod_p['prod_50'] : 0; ?> % - <?php echo ($prod_p['prod_100']) ? $prod_p['prod_100'] : 0; ?> %</div>
               </td>
               <td align="center" style="background-color: #e57f00">
                  <div class="titulo1" style="color: white"><?php echo ($prod_p['prod_otros']) ? $prod_p['prod_otros'] : 0; ?> %</div>
               </td>
            </tr>
         </table>
      </div>
   </div>

   <div class="div col-lg-12">
      <div class="col-lg-6">
         <div id="torta" style="display: flex; flex-wrap: wrap; gap: 20px;"></div>
         <script>
            var names = [<?php echo ($ven_bs['ven_names']) ? $ven_bs['ven_names'] : ''; ?>];

            var values = [<?php echo ($ven_bs['ven_bs']) ? $ven_bs['ven_bs'] : ''; ?>];

            var datost = [];

            for (var i = 0; i < names.length; i++) {
               datost.push({
                  name: names[i],
                  y: values[i]
               });
            }

            Highcharts.chart('torta', {
               chart: {
                  type: 'pie'
               },
               title: {
                  text: 'POR VENDEDOR'
               },
               series: [{
                  name: 'Porcentaje',
                  data: datost
               }],
               colors: ['#FFD700', '#FFA500', '#919191']
            });
         </script>
      </div>
      <div class="col-lg-6">
         <div id="barra1" style="display: flex; flex-wrap: wrap; gap: 20px;"></div>
         <script>
            document.addEventListener('DOMContentLoaded', function() {
               var categories = ['BABYGUMM PAÑAL', 'CONFIDENT', 'TOALLITAS HUMEDAS BABYGUMM 50UN.X24', 'TOALLITAS HUMEDAS BABYGUMM 100UN.X12', 'OTROS PRODUCTOS'];
               var data = [<?php echo ($prod['prod_baby']) ? $prod['prod_baby'] : 0; ?>, <?php echo ($prod['prod_conf']) ? $prod['prod_conf'] : 0; ?>, <?php echo ($prod['prod_50']) ? $prod['prod_50'] : 0; ?>, <?php echo ($prod['prod_100']) ? $prod['prod_100'] : 0; ?>, <?php echo ($prod['prod_otros']) ? $prod['prod_otros'] : 0; ?>];

               Highcharts.chart('barra1', {
                  chart: {
                     type: 'bar'
                  },
                  title: {
                     text: 'POR PRODUCTO'
                  },
                  xAxis: {
                     categories: categories
                  },
                  yAxis: {
                     title: {
                        text: 'Valor'
                     }
                  },
                  series: [{
                     name: 'Total Bs',
                     data: data,
                     colorByPoint: true,
                     colors: ['#FFD700', '#FFA500', '#919191']
                  }]
               });
            });
         </script>
      </div>
   </div>
   <div class="div col-lg-12">
      <div class="col-lg-6">
         <div id="barra2" style="display: flex; flex-wrap: wrap; gap: 20px;"></div>
         <script>
            document.addEventListener('DOMContentLoaded', function() {
               var categories = [<?php echo ($mer_bs['mer_names']) ? ucfirst(strtolower($mer_bs['mer_names'])) : ''; ?>];
               var data = [<?php echo ($mer_bs['mer_bs']) ? $mer_bs['mer_bs'] : ''; ?>];

               var alturaDinamica = Math.max(400, data.length * 30);

               Highcharts.chart('barra2', {
                  chart: {
                     type: 'bar',
                     height: alturaDinamica
                  },
                  title: {
                     text: 'POR MERCADO'
                  },
                  xAxis: {
                     categories: categories
                  },
                  yAxis: {
                     title: {
                        text: 'Valor'
                     }
                  },
                  series: [{
                     name: 'Total Bs',
                     data: data,
                     colorByPoint: true,
                     colors: ['#FFD700', '#FFA500', '#919191']
                  }]
               });
            });
         </script>
      </div>
      <div class="col-lg-6">
         <div id="barra3" style="display: flex; flex-wrap: wrap; gap: 20px;"></div>
         <script>
            document.addEventListener('DOMContentLoaded', function() {
               var categories = [<?php echo ($clie_bs['clie_names']) ? ucfirst(strtolower($clie_bs['clie_names'])) : ''; ?>];
               var data = [<?php echo ($clie_bs['clie_bs']) ? $clie_bs['clie_bs'] : ''; ?>];

               var alturaDinamica = Math.max(400, data.length * 30);

               Highcharts.chart('barra3', {
                  chart: {
                     type: 'bar',
                     height: alturaDinamica
                  },
                  title: {
                     text: 'POR CLIENTE'
                  },
                  xAxis: {
                     categories: categories
                  },
                  yAxis: {
                     title: {
                        text: 'Valor'
                     }
                  },
                  series: [{
                     name: 'Total Bs',
                     data: data,
                     colorByPoint: true,
                     colors: ['#FFD700', '#FFA500', '#919191']
                  }]
               });
            });
         </script>
      </div>
   </div>
   <div class="div col-lg-12">
      <div class="col-lg-6">
         <div id="barra4" style="display: flex; flex-wrap: wrap; gap: 20px;"></div>
         <script>
            document.addEventListener('DOMContentLoaded', function() {
               var categories = [<?php echo ($clie_bs_b['clie_names_b']) ? ucfirst(strtolower($clie_bs_b['clie_names_b'])) : ''; ?>];
               var data = [<?php echo ($clie_bs_b['clie_bs_b']) ? $clie_bs_b['clie_bs_b'] : ''; ?>];

               var alturaDinamica = Math.max(400, data.length * 30);

               Highcharts.chart('barra4', {
                  chart: {
                     type: 'bar',
                     height: alturaDinamica
                  },
                  title: {
                     text: 'POR CLIENTE BONIFICACION TOTAL BS. <?php echo $clie_bs['clie_bonift']; ?>'
                  },
                  xAxis: {
                     categories: categories
                  },
                  yAxis: {
                     title: {
                        text: 'Valor'
                     }
                  },
                  series: [{
                     name: 'Total Bs',
                     data: data,
                     colorByPoint: true,
                     colors: ['#FFD700', '#FFA500', '#919191']
                  }]
               });
            });
         </script>
      </div>
   </div>
</div>
<div class="div col-lg-3">









   <table style="background-color: #ffffff">
      <tbody style="<?php echo tbody(); ?>">
         <form id="miFormulario" action="" method="post">
            <!-- ESTADO VENTA -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Estado de venta</div>
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">PREVENTA</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="PREVENTA">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">VENTA</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="VENTA">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">AUTORIZADO</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="AUTORIZADO">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">DESPACHADO</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="DESPACHADO">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">PRE REBOTE TOTAL</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="PRE REBOTE TOTAL">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">REBOTE TOTAL</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="REBOTE TOTAL">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">PRE REBOTE PARCIAL</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="PRE REBOTE PARCIAL">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">REBOTE PARCIAL</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="REBOTE PARCIAL">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">ENTREGADO</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="ENTREGADO">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">ANULADO</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="opciones[]" value="ANULADO">
               </td>
            </tr>
            <!-- SUCURSAL -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Sucursales</div>
               </td>
            </tr>
            <?php
            $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
            foreach ($select_s as $ss) {
            ?>
               <tr>
                  <td>
                     <label style="font-size: 8px; font-weight: bold"><?php echo name_suc($dbc, $ss['cod_suc']); ?></label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="checkbox" name="sucursales[]" value="<?php echo $ss['cod_suc']; ?>">
                  </td>
               </tr>
            <?php } ?>
            <!-- VENDEDORES -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Vendedores</div>
               </td>
            </tr>
            <?php
            if ($_s == true) {
               $suc_u = "AND id_agency IN ($_s)";
            } else {
               $suc_u = '';
            }
            $select_u = $dbc->query("SELECT * FROM ipc_users WHERE seller=1 AND nickname!='parisacasystems' " . $suc_u . " ORDER BY names ASC");
            foreach ($select_u as $u) {
            ?>
               <tr>
                  <td>
                     <label style="font-size: 8px; font-weight: bold"><?php echo $u['names'] . ' ' . $u['surnames']; ?></label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="checkbox" name="vendedores[]" value="<?php echo $u['ci']; ?>">
                  </td>
               </tr>
            <?php } ?>
            <!-- TIPO DE PRODUCTO -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Tipo de Producto</div>
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">BABYGUMM PAÑAL</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="t_productos[]" value="1">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">CONFIDENT</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="t_productos[]" value="2">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">TOALLITAS HUMEDAS BABYGUMM 50UN.X24</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="t_productos[]" value="3">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">TOALLITAS HUMEDAS BABYGUMM 100UN.X12</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="t_productos[]" value="4">
               </td>
            </tr>
            <tr>
               <td>
                  <label for="opcion1" style="font-size: 8px; font-weight: bold">OTROS PRODUCTOS</label>
               </td>
               <td style="width: 50px; text-align: center">
                  <input type="checkbox" name="t_productos[]" value="5">
               </td>
            </tr>
            <!-- MERCADOS -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Mercados</div>
               </td>
            </tr>
            <?php
            if ($_s == true) {
               $suc_m = "WHERE sucursal IN ($_s)";
            } else {
               $suc_m = '';
            }
            $select_m = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_mer " . $suc_m . " ORDER BY name ASC");
            foreach ($select_m as $m) {
            ?>
               <tr>
                  <td>
                     <label style="font-size: 8px; font-weight: bold"><?php echo $m['name']; ?></label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="checkbox" name="mercados[]" value="<?php echo $m['name']; ?>">
                  </td>
               </tr>
            <?php } ?>
            <!-- CLIENTES -->
            <tr>
               <td colspan="2">
                  <div class="titulo" style="color: #747474; text-align: center">Clientes</div>
               </td>
            </tr>
            <?php
            $select_c = $dbc->query("SELECT * FROM cc_ipc_rcv_clie ORDER BY clie_n ASC");
            foreach ($select_c as $c) {
            ?>
               <tr>
                  <td>
                     <label style="font-size: 8px; font-weight: bold"><?php echo '[ ' . $c['id'] . ' ] ' . $c['clie_n']; ?></label>
                  </td>
                  <td style="width: 50px; text-align: center">
                     <input type="checkbox" name="clientes[]" value="<?php echo $c['id']; ?>">
                  </td>
               </tr>
            <?php } ?>
         </form>
      </tbody>
   </table>
   <script>
      // Escuchar cambios en los checkboxes y enviar el formulario automáticamente
      var checkboxes = document.querySelectorAll('input[type="checkbox"]');
      checkboxes.forEach(function(checkbox) {
         checkbox.addEventListener('change', function() {
            document.getElementById('miFormulario').submit();
         });
      });

      // Marcar las opciones seleccionadas
      document.addEventListener('DOMContentLoaded', function() {
         <?php
         if (isset($_POST['opciones'])) {
            foreach ($_POST['opciones'] as $opcion) {
               echo "document.querySelector('input[value=\"$opcion\"]').checked = true;";
            }
         }
         ?>
         <?php
         if (isset($_POST['sucursales'])) {
            foreach ($_POST['sucursales'] as $sucursal) {
               echo "document.querySelector('input[value=\"$sucursal\"]').checked = true;";
            }
         }
         ?>
         <?php
         if (isset($_POST['vendedores'])) {
            foreach ($_POST['vendedores'] as $vendedor) {
               echo "document.querySelector('input[value=\"$vendedor\"]').checked = true;";
            }
         }
         ?>
         <?php
         if (isset($_POST['t_productos'])) {
            foreach ($_POST['t_productos'] as $t_producto) {
               echo "document.querySelector('input[value=\"$t_producto\"]').checked = true;";
            }
         }
         ?>
         <?php
         if (isset($_POST['mercados'])) {
            foreach ($_POST['mercados'] as $mercado) {
               echo "document.querySelector('input[value=\"$mercado\"]').checked = true;";
            }
         }
         ?>
         <?php
         if (isset($_POST['clientes'])) {
            foreach ($_POST['clientes'] as $cliente) {
               echo "document.querySelector('input[value=\"$cliente\"]').checked = true;";
            }
         }
         ?>
      });
   </script>







   <script>
      // Almacena la posición del desplazamiento cuando se recarga la página
      window.addEventListener('beforeunload', function() {
         sessionStorage.setItem('scrollPosition', window.scrollY);
      });

      // Restaura la posición del desplazamiento después de que la página se ha vuelto a cargar
      window.addEventListener('load', function() {
         var scrollPosition = sessionStorage.getItem('scrollPosition');
         if (scrollPosition !== null) {
            window.scrollTo(0, parseInt(scrollPosition));
            sessionStorage.removeItem('scrollPosition');
         }
      });
   </script>





</div>
<?php
function report($name, $link)
{
?>
   <a href="<?php echo $link; ?>">
      <div class="col-lg-12" style="padding: 1px">
         <div class="col-lg-12 " style="background-color: #ffffff; border: 1px solid #afafaf; padding: 3px; display: flex; align-items: center;">
            <label style="width: 28%; text-align: left">
               <i class="ion-ios-copy" style="font-size: 35px; color: #747474; text-shadow: #2e2e2e 0em 0em 0em;"></i>
            </label>
            <label style="text-align: right; width: 70%; color: #747474; font-weight: bold; text-shadow: #2e2e2e 0em 0em 0em;">
               <?php echo $name; ?>
            </label>
         </div>
      </div>
   </a>
<?php
}
function obtenerFechaEnEspanol($fecha)
{
   // Convierte la fecha a un objeto DateTime
   $fechaObjeto = new DateTime($fecha);

   // Obtiene el nombre del mes en español
   $mesEnIngles = $fechaObjeto->format('F');
   $mesEnEspanol = traducirMes($mesEnIngles);

   // Obtiene el año
   $anio = $fechaObjeto->format('Y');

   return $mesEnEspanol . ' de ' . $anio;
}

function traducirMes($mesEnIngles)
{
   $mesesTraducidos = [
      'January'   => 'Enero',
      'February'  => 'Febrero',
      'March'     => 'Marzo',
      'April'     => 'Abril',
      'May'       => 'Mayo',
      'June'      => 'Junio',
      'July'      => 'Julio',
      'August'    => 'Agosto',
      'September' => 'Septiembre',
      'October'   => 'Octubre',
      'November'  => 'Noviembre',
      'December'  => 'Diciembre',
   ];

   return $mesesTraducidos[$mesEnIngles];
}
$line->end0(); ?>