<?php
class report
{
    public function totales($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($tipo == true) {
            $_p1 = (strpos($tipo, 1) !== false) ? "'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064'" : "";
            $_p2 = (strpos($tipo, 2) !== false) ? "'R012669503', 'R012669504'" : "";
            $_p3 = (strpos($tipo, 3) !== false) ? "'R010T90000'" : "";
            $_p4 = (strpos($tipo, 4) !== false) ? "'R010T90001'" : "";
            $_p5 = (strpos($tipo, 5) !== false) ? " OR r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" : "";
            $group_p = implode(', ', array_filter(array($_p1, $_p2, $_p3, $_p4)));
            if ($_p5 == false) {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)";
                } else {
                    $k_4 = "";
                }
            } else {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)" . $_p5;
                } else {
                    $k_4 = " AND r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')";
                }
            }
            $k4 = $k_4;
        } else {
            $k4 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        $q1 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6);
        $q2 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6);
        $q3 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CONTADO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6);
        $q4 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')");

        //TOTAL POR SUCURSAL
        foreach ($q1 as $r) {
            $total_suc = $r['r11'];
        }
        //TOTAL SUCURSALES - CREDITO
        foreach ($q2 as $r) {
            $credito = $r['r11'];
        }
        //TOTAL SUCURSALES - CONTADO
        foreach ($q3 as $r) {
            $contado = $r['r11'];
        }
        //TOTAL SUCURSALES (TODO)
        foreach ($q4 as $r) {
            $total = $r['r11'];
        }

        $_por_t = ($total != 0) ? ($total_suc / $total * 100) : 0;
        $_por_cr = ($total_suc != 0) ? ($credito / $total_suc * 100) : 0;
        $_por_c = ($total_suc != 0) ? ($contado / $total_suc * 100) : 0;

        return ['total_suc' => $total_suc, 'credito' => $credito, 'contado' => $contado, 'por_t' => round($_por_t, 2), 'por_cr' => round($_por_cr, 2), 'por_c' => round($_por_c, 2)];
    }

    public function prod_limpieza($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        if ($tipo == true) {
            $q1 = (strpos($tipo, 1) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q2 = (strpos($tipo, 2) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R012669503', 'R012669504')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q3 = (strpos($tipo, 3) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90000')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q4 = (strpos($tipo, 4) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q5 = (strpos($tipo, 5) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
        } else {
            $q1 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q2 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R012669503', 'R012669504')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q3 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90000')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q4 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q5 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6);
        }



        //TOTAL POR SUCURSAL - babaygumm
        foreach ($q1 as $r) {
            $total_baby = $r['r11'];
        }
        //TOTAL POR SUCURSAL - confident
        foreach ($q2 as $r) {
            $total_conf = $r['r11'];
        }
        //TOTAL POR SUCURSAL - TOALLITAS HUMEDAS BABYGUMM 50UN.X24
        foreach ($q3 as $r) {
            $total_50 = $r['r11'];
        }
        //TOTAL POR SUCURSAL - TOALLITAS HUMEDAS BABYGUMM 100UN.X12
        foreach ($q4 as $r) {
            $total_100 = $r['r11'];
        }
        //TOTAL POR SUCURSAL - otros productos
        foreach ($q5 as $r) {
            $total_otros = $r['r11'];
        }

        return ['prod_baby' => $total_baby, 'prod_conf' => $total_conf, 'prod_50' => $total_50, 'prod_100' => $total_100, 'prod_otros' => $total_otros];
    }

    public function prod_limpieza_p($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }


        $q1 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')");
        if ($tipo == true) {
            $q2 = (strpos($tipo, 1) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q3 = (strpos($tipo, 2) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R012669503', 'R012669504')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q4 = (strpos($tipo, 3) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90000')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q5 = (strpos($tipo, 4) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
            $q6 = (strpos($tipo, 5) !== false) ? $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6) : 0;
        } else {
            $q2 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q3 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R012669503', 'R012669504')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q4 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90000')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q5 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 IN ('R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6);
            $q6 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" . $k1 . $k2 . $k3 . $k5 . $k6);
        }


        foreach ($q1 as $r) {
            $total_suc = $r['r11'];
        }
        //TOTAL POR SUCURSAL - babaygumm
        foreach ($q2 as $r) {
            $total_baby = $r['r11'];
        }
        //TOTAL POR SUCURSAL - confident
        foreach ($q3 as $r) {
            $total_conf = $r['r11'];
        }
        //TOTAL POR SUCURSAL - TOALLITAS HUMEDAS BABYGUMM 50UN.X24
        foreach ($q4 as $r) {
            $total_50 = $r['r11'];
        }
        //TOTAL POR SUCURSAL - TOALLITAS HUMEDAS BABYGUMM 100UN.X12
        foreach ($q5 as $r) {
            $total_100 = $r['r11'];
        }
        //TOTAL POR SUCURSAL - otros productos
        foreach ($q6 as $r) {
            $total_otros = $r['r11'];
        }

        $total_baby_p = ($total_suc != 0) ? $total_baby / $total_suc * 100 : 0;
        $total_conf_p = ($total_suc != 0) ? $total_conf / $total_suc * 100 : 0;
        $total_50_p = ($total_suc != 0) ? $total_50 / $total_suc * 100 : 0;
        $total_100_p = ($total_suc != 0) ? $total_100 / $total_suc * 100 : 0;
        $total_otros_p = ($total_suc != 0) ? $total_otros / $total_suc * 100 : 0;

        return ['prod_baby' => round($total_baby_p, 2), 'prod_conf' => round($total_conf_p, 2), 'prod_50' => round($total_50_p, 2), 'prod_100' => round($total_100_p, 2), 'prod_otros' => round($total_otros_p, 2)];
    }

    public function por_vendedor($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($tipo == true) {
            $_p1 = (strpos($tipo, 1) !== false) ? "'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064'" : "";
            $_p2 = (strpos($tipo, 2) !== false) ? "'R012669503', 'R012669504'" : "";
            $_p3 = (strpos($tipo, 3) !== false) ? "'R010T90000'" : "";
            $_p4 = (strpos($tipo, 4) !== false) ? "'R010T90001'" : "";
            $_p5 = (strpos($tipo, 5) !== false) ? " OR r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" : "";
            $group_p = implode(', ', array_filter(array($_p1, $_p2, $_p3, $_p4)));
            if ($_p5 == false) {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)";
                } else {
                    $k_4 = "";
                }
            } else {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)" . $_p5;
                } else {
                    $k_4 = " AND r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')";
                }
            }
            $k4 = $k_4;
        } else {
            $k4 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        $q1 = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6);
        $q2 = $dbc->query("SELECT r13, SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6 . " GROUP BY r3");

        //TOTAL
        foreach ($q1 as $r) {
            $total_suc = $r['r11'];
        }
        //NOMBRES Y VALORES
        $nombres = [];
        $bs = [];
        foreach ($q2 as $r) {
            $nombres[] = "'" . $r['r13'] . '<br>Por: ' . round(($r['r11'] / $total_suc) * 100, 2) . ' % <br>Bs. ' . round($r['r11'], 2) . "'";
            $bs[] = round(($r['r11'] / $total_suc) * 100, 2);
        }
        $cadenaNombres = implode(', ', $nombres);
        $cadenaBs = implode(', ', $bs);
        return [
            'ven_names' => $cadenaNombres,
            'ven_bs' => $cadenaBs
        ];
    }

    public function por_mercado($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($tipo == true) {
            $_p1 = (strpos($tipo, 1) !== false) ? "'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064'" : "";
            $_p2 = (strpos($tipo, 2) !== false) ? "'R012669503', 'R012669504'" : "";
            $_p3 = (strpos($tipo, 3) !== false) ? "'R010T90000'" : "";
            $_p4 = (strpos($tipo, 4) !== false) ? "'R010T90001'" : "";
            $_p5 = (strpos($tipo, 5) !== false) ? " OR r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" : "";
            $group_p = implode(', ', array_filter(array($_p1, $_p2, $_p3, $_p4)));
            if ($_p5 == false) {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)";
                } else {
                    $k_4 = "";
                }
            } else {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)" . $_p5;
                } else {
                    $k_4 = " AND r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')";
                }
            }
            $k4 = $k_4;
        } else {
            $k4 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        $q2 = $dbc->query("SELECT CASE WHEN r21 = '' THEN 'TIENDA' ELSE r21 END AS merc, SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO')" . $k1 . $k2 . $k3 . $k4 . $k5 . $k6 . " GROUP BY r21");

        //NOMBRES Y VALORES
        $nombres = [];
        $bs = [];
        foreach ($q2 as $r) {
            $nombres[] = "'" . $r['merc'] . "'";
            $bs[] = round($r['r11'], 2);
        }
        $cadenaNombres = implode(', ', $nombres);
        $cadenaBs = implode(', ', $bs);
        return [
            'mer_names' => $cadenaNombres,
            'mer_bs' => $cadenaBs
        ];
    }

    public function por_cliente_sb($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($tipo == true) {
            $_p1 = (strpos($tipo, 1) !== false) ? "'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064'" : "";
            $_p2 = (strpos($tipo, 2) !== false) ? "'R012669503', 'R012669504'" : "";
            $_p3 = (strpos($tipo, 3) !== false) ? "'R010T90000'" : "";
            $_p4 = (strpos($tipo, 4) !== false) ? "'R010T90001'" : "";
            $_p5 = (strpos($tipo, 5) !== false) ? " OR r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" : "";
            $group_p = implode(', ', array_filter(array($_p1, $_p2, $_p3, $_p4)));
            if ($_p5 == false) {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)";
                } else {
                    $k_4 = "";
                }
            } else {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)" . $_p5;
                } else {
                    $k_4 = " AND r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')";
                }
            }
            $k4 = $k_4;
        } else {
            $k4 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        //consulta donde esta la suma total de bonificaciones
        $t_bonif = $dbc->query("SELECT SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO') AND r13 LIKE '%BONIF%' " . $k1 . $k2 . $k3 . $k4 . $k5);
        foreach ($t_bonif as $_bnf) {
            if ($_bnf['r11'] == true) {
                $total_bonif = $_bnf['r11'];
            } else {
                $total_bonif = 0;
            }
        }



        $q2 = $dbc->query("SELECT r22, CASE WHEN r23 = '' THEN 'TIENDA' ELSE r23 END AS cliente, CASE WHEN r23 = 'Marketing' THEN SUM(r11) + $total_bonif ELSE SUM(r11) END AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO') AND r13 NOT LIKE '%BONIF%' " . $k1 . $k2 . $k3 . $k4 . $k5 . $k6 . " GROUP BY r23");


        //$q2 = $dbc->query("SELECT r22, CASE WHEN r23 = '' THEN 'TIENDA' ELSE r23 END AS cliente, SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO') AND r13 NOT LIKE '%BONIF%' " . $k1 . $k2 . $k3 . $k4 . $k5 . $k6 . " GROUP BY r23");


        //NOMBRES Y VALORES
        $nombres = [];
        $bs = [];
        foreach ($q2 as $r) {
            $nombres[] = "'" . $r['cliente'] . "'";
            $bs[] = round($r['r11'], 2);
        }
        $cadenaNombres = implode(', ', $nombres);
        $cadenaBs = implode(', ', $bs);

        //total bonificacion

        return [
            'clie_names' => $cadenaNombres,
            'clie_bs' => $cadenaBs,
            'clie_bonift' => $total_bonif
        ];
    }

    public function por_cliente_b($dbc, $sucursal, $estado, $vendedor, $tipo, $mercado, $cliente)
    {
        if ($sucursal == true) {
            $k1 = " AND r4 IN ($sucursal)";
        } else {
            $k1 = "";
        }
        if ($estado == true) {
            $k2 = " AND r5 IN ($estado)";
        } else {
            $k2 = "";
        }
        if ($vendedor == true) {
            $k3 = " AND r3 IN ($vendedor)";
        } else {
            $k3 = "";
        }
        if ($tipo == true) {
            $_p1 = (strpos($tipo, 1) !== false) ? "'R01P845061', 'R01P845062', 'R01P845063', 'R01P845064'" : "";
            $_p2 = (strpos($tipo, 2) !== false) ? "'R012669503', 'R012669504'" : "";
            $_p3 = (strpos($tipo, 3) !== false) ? "'R010T90000'" : "";
            $_p4 = (strpos($tipo, 4) !== false) ? "'R010T90001'" : "";
            $_p5 = (strpos($tipo, 5) !== false) ? " OR r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')" : "";
            $group_p = implode(', ', array_filter(array($_p1, $_p2, $_p3, $_p4)));
            if ($_p5 == false) {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)";
                } else {
                    $k_4 = "";
                }
            } else {
                if ($_p1 == true || $_p2 == true || $_p3 == true || $_p4 == true) {
                    $k_4 = " AND r7 IN ($group_p)" . $_p5;
                } else {
                    $k_4 = " AND r7 NOT IN ('R01P845061', 'R01P845062', 'R01P845063', 'R01P845064', 'R012669503', 'R012669504', 'R010T90000', 'R010T90001')";
                }
            }
            $k4 = $k_4;
        } else {
            $k4 = "";
        }
        if ($mercado == true) {
            $k5 = " AND r21 IN ($mercado)";
        } else {
            $k5 = "";
        }
        if ($cliente == true) {
            $k6 = " AND r22 IN ($cliente)";
        } else {
            $k6 = "";
        }

        $q2 = $dbc->query("SELECT r22, CASE WHEN r23 = '' THEN 'TIENDA' ELSE r23 END AS cliente, SUM(r11) AS r11 FROM cc_ipc_x_report WHERE r1 IN ('CREDITO', 'CONTADO') AND r13 LIKE '%BONIF%' " . $k1 . $k2 . $k3 . $k4 . $k5 . $k6 . " GROUP BY r23");

        //NOMBRES Y VALORES
        $nombres = [];
        $bs = [];
        foreach ($q2 as $r) {
            $nombres[] = "'" . $r['cliente'] . "'";
            $bs[] = round($r['r11'], 2);
        }
        $cadenaNombres = implode(', ', $nombres);
        $cadenaBs = implode(', ', $bs);
        return [
            'clie_names_b' => $cadenaNombres,
            'clie_bs_b' => $cadenaBs
        ];
    }
}
$report = new report();
