<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

if ($_POST['suc'] == true) {
    $_SESSION['suc_report'] = $_POST['suc'];
    $suc = $_SESSION['suc_report'];
} else {
    $suc = $_SESSION['suc_report'];
}

if ($_POST['f1'] == true) {
    $_SESSION['mm1'] = $_POST['f1'];
}

if ($_POST['f2'] == true) {
    $_SESSION['mm2'] = $_POST['f2'];
}

$line->start();
$line->top1($dbc, '', 6, 'CREDITOS POR COBRAR A EJECUTIVO DE VENTA', '');
?>
<form method="POST" name="agency">
    <div class="div col-lg-1">
        <select name="suc" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
            <option value=""></option>
            <?php
            $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
            foreach ($select_s as $ss) {
                $selected = ($ss["cod_suc"] == $_SESSION['suc_report']) ? 'selected' : '';
            ?>
                <option value="<?php echo $ss['cod_suc']; ?>" <?php echo $selected; ?>><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
            <?php } ?>
        </select>
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $_SESSION['mm1'] ?>" onchange="document.forms['agency'].submit()">
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $_SESSION['mm2'] ?>" onchange="document.forms['agency'].submit()">
    </div>
</form>
<div class="div col-lg-2">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'ATRAS', 'g_data_science.php');
$line->content();
?>

<table>
    <thead class="bg-default" style="<?php echo thead(); ?>">
        <tr class="bg-<?php echo c_m(); ?>">
            <th colspan="2" style="font-size: 15px; text-align: center; padding-left: 5px">EJECUTIVO DE VENTA</th>
            <th colspan="3" style="font-size: 15px; text-align: center; padding-left: 5px">MONTOS REAL</th>
            <th colspan="3" style="font-size: 15px; text-align: center; padding-left: 5px">MONTOS DEUDA REAL</th>
            <th colspan="3" style="font-size: 15px; text-align: center; padding-left: 5px">MONTOS</th>
        </tr>
        <tr>
            <th>SUCURSAL</th>
            <th>NOMBRE</th>
            <th>REBOTE TOTAL</th>
            <th>REBOTE PARCIAL</th>
            <th>ENTREGADO</th>
            <th class="bg-<?php echo c_m(); ?>">TOTAL RT/RP/E</th>
            <th class="bg-<?php echo c_m(); ?>">AMORTIZADO RT/RP/E</th>
            <th class="bg-<?php echo c_m(); ?>">SALDO RT/RP/E</th>
            <th>TOTAL A/PRT/RT/PRP/RP/E</th>
            <th>AMORTIZADO A/PRT/RT/PRP/RP/E</th>
            <th>SALDO A/PRT/RT/PRP/RP/E</th>
        </tr>
    </thead>
    <tbody style="<?php echo tbody(); ?>" id="searchdata">
        <?php
        if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
            $mm1 = $_SESSION['mm1'];
            $mm2 = $_SESSION['mm2'];
        } else {
            $mm1 = date('Y-m-d');
            $mm2 = date('Y-m-d');
        }

        $rn = 1;
        $report = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
        (
            SELECT id_agency AS s, ci AS ci, concat(names, '',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
            UNION ALL
            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
            UNION ALL
            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
            UNION ALL
            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
            UNION ALL
            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
        ) d
        WHERE s='$suc'
        GROUP BY ci ASC
        ORDER BY s, n ASC");
        foreach ($report as $r) {
        ?>
            <tr style="<?php echo row_color($rn); ?>">
                <td align="left" data-label="SUCURSAL: " class="bg-<?php echo c_m(); ?>">
                    <?php echo name_suc($dbc, $r['s']); ?>
                </td>
                <td align="left" data-label=": ">
                    <b><?php echo $r['n']; ?></b>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['rt']; ?>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['rp']; ?>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['e']; ?>
                </td>
                <td align="right" data-label=":">
                    <b><?php echo $r['v3']; ?></b>
                </td>
                <td align="right" data-label=":">
                    <b><?php echo $r['v4']; ?></b>
                </td>
                <td align="right" data-label=":">
                    <b><?php echo $r['v5']; ?></b>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['v6']; ?>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['v7']; ?>
                </td>
                <td align="right" data-label=":">
                    <?php echo $r['v8']; ?>
                </td>
            </tr>
        <?php
            $rn++;
        } ?>
    </tbody>
</table>
<?php $rgbColor = r_g_b(); ?>
<div class="col-lg-12" style="padding: 7px">
    <canvas id="grafica3" height="90"></canvas>
    <script>
        const $grafica3 = document.querySelector("#grafica3");
        const names = [
            <?php
            $q_n = $dbc->query("SELECT s, ci, n FROM
            (
            SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1 ) d
            WHERE s='$suc'
            GROUP BY ci ASC
            ORDER BY s, n ASC");
            foreach ($q_n as $qn) {
                echo '"' . ucwords(strtolower($qn['n'])) . '", ';
            }
            ?>
        ]
        const total = {
            label: "TOTAL BS",
            data: [
                <?php
                $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
                (
                    SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                ) d
                WHERE s='$suc'
                GROUP BY ci ASC
                ORDER BY s, n ASC");
                foreach ($q_n as $qn) {
                    echo '"' . $qn['v3'] . '", ';
                }
                ?>
            ],
            backgroundColor: 'rgba(130,130,130,0.2)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
        };
        const amortizado = {
            label: "AMORTIZADO BS",
            data: [
                <?php
                $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
                (
                    SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                ) d
                WHERE s='$suc'
                GROUP BY ci ASC
                ORDER BY s, n ASC");
                foreach ($q_n as $qn) {
                    echo '"' . $qn['v4'] . '", ';
                }
                ?>
            ],
            backgroundColor: 'rgba(130,130,130,0.2)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
        };
        const saldo = {
            label: "SALDO BS",
            data: [
                <?php
                $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS rt, SUM(v2) AS rp, (SUM(v3)-SUM(v1)-SUM(v2)) AS e, SUM(v3) AS v3, SUM(v4) AS v4, SUM(v5) AS v5, SUM(v6) AS v6, SUM(v7) AS v7, SUM(v8) AS v8 FROM
                (
                    SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado='REBOTE TOTAL' AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3, 0 AS v4, 0 AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_i_dev WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('INGRESADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3, SUM(bs_a) AS v4, SUM(bs_s) AS v5, 0 AS v6, 0 AS v7, 0 AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    UNION ALL
                    SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, 0 AS v3, 0 AS v4, 0 AS v5, SUM(bs_tndi) AS v6, SUM(bs_a) AS v7, SUM(bs_s) AS v8 FROM cc_ipc_o_ven WHERE r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('AUTORIZADO', 'DESPACHADO', 'PRE REBOTE PARCIAL', 'REBOTE PARCIAL', 'PRE REBOTE TOTAL', 'REBOTE TOTAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                ) d
                WHERE s='$suc'
                GROUP BY ci ASC
                ORDER BY s, n ASC");
                foreach ($q_n as $qn) {
                    echo '"' . $qn['v5'] . '", ';
                }
                ?>
            ],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
            borderWidth: 1,
        };

        new Chart($grafica3, {
            type: 'bar',
            data: {
                labels: names,
                datasets: [
                    total,
                    amortizado,
                    saldo,
                ]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }],
                },
            }
        });
    </script>
</div>


<?php $line->end(); ?>