<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';


if ($_POST['suc'] == true) {
    $_SESSION['suc_report'] = $_POST['suc'];
    $suc = $_SESSION['suc_report'];
} else {
    $suc = $_SESSION['suc_report'];
}

if ($_POST['f1'] == true) {
    $_SESSION['mm1'] = $_POST['f1'];
}

if ($_POST['f2'] == true) {
    $_SESSION['mm2'] = $_POST['f2'];
}

$line->start();
$line->top1($dbc, '', 7, 'CUADRO DE VENTAS POR CANAL CREDITO / CONTADO', '');
?>
<form method="POST" name="agency">
    <div class="div col-lg-1">
        <select name="suc" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
            <option value=""></option>
            <?php
            $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
            foreach ($select_s as $ss) {
                $selected = ($ss["cod_suc"] == $suc) ? 'selected' : '';
            ?>
                <option value="<?php echo $ss['cod_suc']; ?>" <?php echo $selected; ?>><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
            <?php } ?>
        </select>
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $_SESSION['mm1'] ?>" onchange="document.forms['agency'].submit()">
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $_SESSION['mm2'] ?>" onchange="document.forms['agency'].submit()">
    </div>
</form>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'ATRAS', 'g_data_science.php');
$line->content();
?>
<?php
$num_neg = 1;
$q_neg = $dbc->query("SELECT * FROM cc_ipc_rcv_clie_neg");
foreach ($q_neg as $qneg) {
    $_canal  = $qneg['name'];
?>
    <div class="col-lg-12">
        <div class="row bg-<?php echo c_m(); ?> titulo"><?php echo $_canal; ?></div>
        <div class="col-lg-3">
            <table>
                <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
                    <tr class="bg-default">
                        <th colspan="1" style="font-size: 15px; text-align: center; padding-left: 5px">NOMBRES</th>
                        <th colspan="3" style="font-size: 15px; text-align: center; padding-left: 5px">MONTOS</th>
                    </tr>
                    <tr>
                        <th>EJECUTIVOS</th>
                        <th>CONTADO</th>
                        <th>CREDITO</th>
                        <th>TOTAL</th>
                    </tr>
                </thead>
                <tbody style="<?php echo tbody(); ?>" id="searchdata">
                    <?php
                    if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
                        $mm1 = $_SESSION['mm1'];
                        $mm2 = $_SESSION['mm2'];
                    } else {
                        $mm1 = date('Y-m-d');
                        $mm2 = date('Y-m-d');
                    }

                    $rn = 1;
                    $report = $dbc->query("SELECT s, ci, n, SUM(v1) AS contado, SUM(v2) AS credito, SUM(v3) AS total FROM
                    (
                        SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                        UNION ALL
                        SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CONTADO') GROUP BY r_ci
                        UNION ALL
                        SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO') GROUP BY r_ci
                        UNION ALL
                        SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                    ) d
                    WHERE s='$suc'
                    GROUP BY ci ASC
                    ORDER BY s, n ASC");
                    foreach ($report as $r) {
                    ?>
                        <tr style="<?php echo row_color($rn); ?>">
                            <td align="left" data-label=": ">
                                <b><?php echo ucwords(strtolower($r['n'])); ?></b>
                            </td>
                            <td align="right" data-label=":">
                                <?php echo $r['contado']; ?>
                            </td>
                            <td align="right" data-label=":">
                                <?php echo $r['credito']; ?>
                            </td>
                            <td align="right" data-label=":">
                                <?php echo $r['total']; ?>
                            </td>
                        </tr>
                    <?php
                        $rn++;
                    } ?>
                </tbody>
            </table>
        </div>
        <div class="col-lg-9">
            <?php $rgbColor = r_g_b(); ?>
            <canvas id="grafica<?php echo $num_neg; ?>" height="70"></canvas>
            <script>
                Chart.defaults.global.defaultFontSize = 9;
                const grafica<?php echo $num_neg; ?> = document.querySelector("#grafica<?php echo $num_neg; ?>");
                const names<?php echo $num_neg; ?> = [
                    <?php
                    $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS contado, SUM(v2) AS credito, SUM(v3) AS total FROM
                    (
                        SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                    ) d
                    WHERE s='$suc'
                    GROUP BY ci ASC
                    ORDER BY s, n ASC");
                    foreach ($q_n as $qn) {
                        echo '"' . ucwords(strtolower($qn['n'])) . '", ';
                    }
                    ?>
                ]
                const total<?php echo $num_neg; ?> = {
                    label: "CONTADO BS",
                    data: [
                        <?php
                        $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS contado, SUM(v2) AS credito, SUM(v3) AS total FROM
                        (
                            SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CONTADO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                        ) d
                        WHERE s='$suc'
                        GROUP BY ci ASC
                        ORDER BY s, n ASC");
                        foreach ($q_n as $qn) {
                            echo '"' . $qn['contado'] . '", ';
                        }
                        ?>
                    ],
                    backgroundColor: 'rgba(130,130,130,0.2)',
                    borderColor: 'rgba(130,130,130,1)',
                    borderWidth: 1,
                };
                const amortizado<?php echo $num_neg; ?> = {
                    label: "CREDITO BS",
                    data: [
                        <?php
                        $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS contado, SUM(v2) AS credito, SUM(v3) AS total FROM
                        (
                            SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CONTADO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                        ) d
                        WHERE s='$suc'
                        GROUP BY ci ASC
                        ORDER BY s, n ASC");
                        foreach ($q_n as $qn) {
                            echo '"' . $qn['credito'] . '", ';
                        }
                        ?>
                    ],
                    backgroundColor: 'rgba(130,130,130,0.2)',
                    borderColor: 'rgba(130,130,130,1)',
                    borderWidth: 1,
                };
                const saldo<?php echo $num_neg; ?> = {
                    label: "TOTAL BS",
                    data: [
                        <?php
                        $q_n = $dbc->query("SELECT s, ci, n, SUM(v1) AS contado, SUM(v2) AS credito, SUM(v3) AS total FROM
                        (
                            SELECT id_agency AS s, ci AS ci, concat(names,' ',surnames) AS n, 0 AS v1, 0 AS v2, 0 AS v3 FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, SUM(bs_tndi) AS v1, 0 AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CONTADO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, SUM(bs_tndi) AS v2, 0 AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO') GROUP BY r_ci
                            UNION ALL
                            SELECT prod_suc_in AS s, r_ci AS ci, '' AS n, 0 AS v1, 0 AS v2, SUM(bs_tndi) AS v3 FROM cc_ipc_o_ven WHERE clie_tip_neg='$_canal' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO') AND tipo_venta IN ('IA','NORMAL') AND metodo_pago IN ('CREDITO', 'CONTADO') GROUP BY r_ci
                        ) d
                        WHERE s='$suc'
                        GROUP BY ci ASC
                        ORDER BY s, n ASC");
                        foreach ($q_n as $qn) {
                            echo '"' . $qn['total'] . '", ';
                        }
                        ?>
                    ],
                    backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
                    borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
                    borderWidth: 1,
                };

                new Chart(grafica<?php echo $num_neg; ?>, {
                    type: 'bar',
                    data: {
                        labels: names<?php echo $num_neg; ?>,
                        datasets: [
                            total<?php echo $num_neg; ?>,
                            amortizado<?php echo $num_neg; ?>,
                            saldo<?php echo $num_neg; ?>,
                        ]
                    },
                    options: {
                        scales: {
                            x: { // Configurar el eje X
                                ticks: {
                                    maxRotation: 0, // No rotar las etiquetas
                                    autoSkip: false, // Mostrar todas las etiquetas
                                    padding: 10, // Ajustar el espacio entre las etiquetas
                                }
                            },
                            y: {
                                ticks: {
                                    beginAtZero: true
                                }
                            }
                        }
                    }
                });
            </script>
        </div>
    </div>
<?php $num_neg++;
} ?>
<?php $line->end(); ?>