<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';


if ($_POST['suc'] == true) {
    $_SESSION['suc_report'] = $_POST['suc'];
    $suc = $_SESSION['suc_report'];
} else {
    $suc = $_SESSION['suc_report'];
}

if ($_POST['ci'] == true) {
    $_SESSION['ci_report'] = $_POST['ci'];
    $_ci = $_SESSION['ci_report'];
} else {
    $_ci = $_SESSION['ci_report'];
}

if ($_POST['f1'] == true) {
    $_SESSION['mm1'] = $_POST['f1'];
}

if ($_POST['f2'] == true) {
    $_SESSION['mm2'] = $_POST['f2'];
}

$line->start();
$line->top1($dbc, '', 5, 'DETALLE DE DEUDAS POR VENDEDOR', '');
?>
<form method="POST" name="agency">
    <div class="div col-lg-1">
        <select name="suc" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
            <option value=""></option>
            <?php
            $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
            foreach ($select_s as $ss) {
                $selected = ($ss["cod_suc"] == $suc) ? 'selected' : '';
            ?>
                <option value="<?php echo $ss['cod_suc']; ?>" <?php echo $selected; ?>><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
            <?php } ?>
        </select>
    </div>
    <div class="div col-lg-2">
        <select name="ci" class="form-control" style="width: 100%; text-align: left" onchange="document.forms['agency'].submit()">
            <option value=""></option>
            <?php
            $select_u = $dbc->query("SELECT * FROM ipc_users WHERE id_profile!='PARISACA SYSTEMS' AND seller=1 AND active=1 AND id_agency='$suc'");
            if ($select_u->num_rows > 0) {
                foreach ($select_u as $row) {
                    $selected = ($row["ci"] == $_ci) ? 'selected' : '';
            ?>
                    <option value="<?php echo $row["ci"]; ?>" <?php echo $selected; ?>><?php echo $row["names"] . ' ' . $row["surnames"]; ?></option>
            <?php }
            }
            ?>
        </select>
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f1" value="<?php echo $_SESSION['mm1'] ?>" onchange="document.forms['agency'].submit()">
    </div>
    <div class="div col-lg-1">
        <input class="form-control" style=" width: 100%; text-align: center;" type="date" name="f2" value="<?php echo $_SESSION['mm2'] ?>" onchange="document.forms['agency'].submit()">
    </div>
</form>
<div class="div col-lg-1">
    <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'ATRAS', 'g_data_science.php');
$line->content();
?>
<div class="col-lg-12">
    <table>
        <thead class="bg-default" style="<?php echo thead(); ?>">
            <tr class="bg-<?php echo c_m(); ?>">
                <th colspan="6" style="font-size: 15px; text-align: center; padding-left: 5px">INFORMACION CLIENTE</th>
                <th colspan="7" style="font-size: 15px; text-align: center; padding-left: 5px">INFORMACION DE DEUDAS Y MONTOS</th>
            </tr>
        </thead>
        <thead class="bg-default">
            <tr>
                <th align="center">F. ENTREGA</th>
                <th align="center">ALERTA</th>
                <th align="center">CLIENTE</th>
                <th align="center">TIPO MERCADO</th>
                <th align="center">DIRECCION</th>
                <th align="center">CELULAR</th>
                <th align="center">ESTADO</th>
                <th align="center">TOTAL</th>
                <th align="center">AMORTIZADO</th>
                <th align="center">SALDO</th>
                <th align="center" colspan="3">INFORMACION</th>
            </tr>
        </thead>
        <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            if ($_SESSION['mm1'] == true and $_SESSION['mm2'] == true) {
                $mm1 = $_SESSION['mm1'];
                $mm2 = $_SESSION['mm2'];
            } else {
                $mm1 = date('Y-m-d');
                $mm2 = date('Y-m-d');
            }

            $rn = 1;
            $report = $dbc->query("SELECT prod_suc_in, r_cod, r_ci, r_user_name, r_fe, clie_n, clie_tip_neg, id, clie_dir, clie_cel, bs_tndi, bs_a, bs_s, estado
            FROM cc_ipc_o_ven
            WHERE prod_suc_in='$suc' AND r_ci='$_ci' AND r_fe>='$mm1' AND r_fe<='$mm2' AND estado IN ('REBOTE TOTAL', 'REBOTE PARCIAL', 'ENTREGADO');");
            foreach ($report as $r) {
            ?>
                <tr style="<?php echo row_color($rn); ?>; font-weight: bold !important">
                    <td align="center" data-label=":">
                        <?php echo $r['r_fe']; ?>
                    </td>
                    <?php
                    if ($r['r_fe'] == date('Y-m-d') or  $r['bs_s'] > 0) {
                        $fechaProporcionada = $r['r_fe']; // Formato: Año-Mes-Día

                        // Obtener la fecha actual
                        $fechaActual = date("Y-m-d");

                        // Convertir las fechas a objetos DateTime para calcular la diferencia
                        $fechaProporcionadaObj = new DateTime($fechaProporcionada);
                        $fechaActualObj = new DateTime($fechaActual);

                        // Calcular la diferencia en días
                        $diferencia = $fechaProporcionadaObj->diff($fechaActualObj);
                        $diasRetrasados = $diferencia->days;

                    ?>
                        <td align="center" data-label=":" style="background-color: red; color: white">
                            <?php echo "Dias en Mora: " . $diasRetrasados; ?>
                        </td>
                    <?php
                    } else {
                    ?>
                        <td align="right" data-label=":"></td>
                    <?php
                    }
                    ?>
                    <td align="left" data-label=": ">
                        <b><?php echo ucwords(strtolower($r['clie_n'])); ?></b>
                    </td>
                    <td align="left" data-label=":">
                        <?php echo $r['clie_tip_neg']; ?>
                    </td>
                    <td align="left" data-label=":">
                        <?php echo $r['clie_dir']; ?>
                    </td>
                    <td align="center" data-label=":">
                        <?php echo $r['clie_cel']; ?>
                    </td>
                    <td align="left" data-label=":">
                        <?php echo $r['estado']; ?>
                    </td>
                    <td align="right" data-label=":">
                        <?php echo $r['bs_tndi']; ?>
                    </td>
                    <td align="right" data-label=":">
                        <?php echo $r['bs_a']; ?>
                    </td>

                    <?php
                    if ($r['r_fe'] == date('Y-m-d') or  $r['bs_s'] > 0) {
                    ?>
                        <td align="right" data-label=":" style="background-color: red; color: white">
                            <?php echo $r['bs_s']; ?>
                        </td>
                    <?php
                    } else {
                    ?>
                        <td align="right" data-label=":">
                            <?php echo $r['bs_s']; ?>
                        </td>
                    <?php
                    }
                    ?>



                    <td align="center">OBSERVACION DE PAGO</td>
                    <td align="center">NRO RECIBO</td>
                    <td align="center">USUARIOS</td>
                </tr>
                <?php
                $cod_venta = $r['id'];
                $report1 = $dbc->query("SELECT montopago, observacion, nrorecibo, fecha, hora, usuario
                FROM fi_ipc_o_ven_det_pagos
                WHERE r_id='$cod_venta'");
                foreach ($report1 as $rp) {
                ?>
                    <tr style="<?php echo row_color($rn); ?>">
                        <td colspan="8"></td>
                        <td align="right" data-label=":">
                            <?php echo $rp['montopago']; ?>
                        </td>
                        <td></td>
                        <td align="left" data-label=":">
                            <?php echo strtolower($rp['observacion']); ?>
                        </td>
                        <td align="center" data-label=":">
                            <?php echo $rp['nrorecibo']; ?>
                        </td>
                        <td align="center" data-label=":">
                            <?php echo $rp['usuario'] . ' ' . $rp['fecha'] . ' ' . $rp['hora']; ?>
                        </td>
                    </tr>
                <?php
                }
                ?>
            <?php
                $rn++;
            } ?>
        </tbody>
    </table>
</div>
<?php $line->end0(); ?>