<?php

//ALERTA SE DEBE DE ACTIVAR LA EXTENCIO ZIPARCHIVE PARA CARGAR DIRECTAMENTE LOS DATOS DEL EXCEL - extension=zip
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

include '../../icp.systems.tools/vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;

if (isset($_POST["importar"])) {
    $namearchivo = $_FILES["archivo"]["name"];

    if ($namearchivo == 'ingreso.xlsx') {
        $archivo_subido = $_FILES["archivo"]["tmp_name"];

        $documento = IOFactory::load($archivo_subido);
        $hoja_actual = $documento->getSheet(0);
        $num_filas = $hoja_actual->getHighestDataRow();

        //DATOS REGISTRO
        $suc_actual = $_SESSION['suc_actual'];
        $ci_user = $_SESSION['vsu1'];
        $autoincrementable = $dbc->query("SELECT * FROM cc_ipc_i_com ORDER BY r_cod DESC LIMIT 1");
        if ($autoincrementable->num_rows == 0) {
            $numeric = cod_in();
        } else {
            foreach ($autoincrementable as $cr) {
                $numeric = $cr['r_cod'] + 1;
            }
        }
        $t_precio = 0;
        $t_cant = 0;
        for ($ind_fila = 2; $ind_fila <= $num_filas; $ind_fila++) {
            $e1 = ($hoja_actual->getCellByColumnAndRow(1, $ind_fila))->getValue(); //CODIGO
            $e2 = ($hoja_actual->getCellByColumnAndRow(2, $ind_fila))->getValue(); //DESCRIPCION
            $e3 = ($hoja_actual->getCellByColumnAndRow(3, $ind_fila))->getValue(); //UNIDAD
            $e4 = ($hoja_actual->getCellByColumnAndRow(4, $ind_fila))->getValue(); //PRECIO
            $e5 = ($hoja_actual->getCellByColumnAndRow(5, $ind_fila))->getValue(); //CANTIDAD

            $t_precio = $t_precio + $e4;
            $t_cant = $t_cant + $e5;

            $inf = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='$suc_actual' AND p_cod='$e1'");
            foreach ($inf as $cs) {

                //VALORES DE REGISTRO DE PRODUCTO
                $dr2 = $numeric;
                $dr3 = $ci_user;
                $dr4 = date("Y-m-d");
                $dr5 = date('H:i:s a');
                $dr6 = ''; //OBSERCACION
                $dr7 = 'PRE INGRESADO'; //ESTADO

                //VALORES DEL PRODUCTO
                $dr8 = $cs['p_category'];
                $dr9 = $cs['p_cod'];
                $dr10 = $cs['p_descr1'];
                $dr11 = $cs['p_descr2'];
                $dr12 = $e4; //PRECIO AGREGADO POR IMPORTACION
                $dr13 = 0;
                $dr14 = 0;
                $dr15 = $cs['p_um'];
                $dr16 = $cs['p_w'];
                $dr17 = $cs['p_ml'];
                $dr18 = $cs['p_a'];
                $dr19 = $cs['p_v'];
                $dr20 = $cs['p_est_prom'];
                $dr21 = $cs['p_est_prom_desc'];

                //DATOS PARA VALORIZACION DE INVENTARIO
                $dr22 = $cs['p_sucursal'];
                $dr23 = $e5; //INGRESO
                $dr24 = 0; //SALIDA

                //CANTIDAD POR VALORES TECNICOS
                $dr25 = $e5 * $cs['p_w'];
                $dr26 = $e5 * $cs['p_ml'];
                $dr27 = $e5 * $cs['p_a'];
                $dr28 = $e5 * $cs['p_v'];

                //VALORES DE DESCUENTOS DE PRECIO LINEAL
                $dr29 = 0;
                $dr30 = 0;
                $dr31 = 0;
                $dr32 = 0;
                $dr33 = 0;
                $dr34 = 0;

                //SUB TOTAL PRECIO CON Y SIN DESCUENTO
                $dr35 = $dr12 * ($dr29 / 100) * $e5; //PRECIO UNITARIO*(DESCUENTO PROM / 100)*CANTIDAD
                $dr36 = $dr12 * ($dr30 / 100) * $e5; //PRECIO UNITARIO*(DESCUENTO PROM / 100)*CANTIDAD
                $dr37 = $dr12 * ($dr31 / 100) * $e5; //PRECIO UNITARIO*(DESCUENTO PROM / 100)*CANTIDAD
                $dr38 = $dr12 * ($dr32 / 100) * $e5; //PRECIO UNITARIO*(DESCUENTO PROM / 100)*CANTIDAD
                $dr39 = $dr12 * ((100 - $dr33) / 100);
                $dr40 = $dr39 * $e5;
                $dr41 = $dr13 * ((100 - $dr33) / 100);
                $dr42 = $dr41 * $e5;
                $dr43 = $dr14 * ((100 - $dr33) / 100);
                $dr44 = $dr43 * $e5;

                //VALORES DE ENTREGA DE TRANSPORTE
                $dr45 = '';
                $dr46 = '';
                $dr47 = '';
                $dr48 = '';
            }
            $dbc->query("INSERT INTO cc_ipc_i_com_det (id, dr_cod, dr_ci, dr_reg, dr_time, dr_obs, dr_est, p_category, p_cod, p_descr1, p_descr2, p_pu, p_pm, p_ppd, p_um, p_w, p_ml, p_a, p_v, p_est_prom, p_est_prom_desc, p_sucursal, cant_in, cant_out, p_wt, p_mlt, p_at, p_vt, pr_d_f, pr_d_b, pr_d_c, pr_d_e, pr_d_t, pr_cant_un, d_f, d_b, d_c, d_e, d_p_pu, d_p_put, d_p_pm, d_p_pmt, d_p_ppd, d_p_ppdt, in_lote, in_f_vencimiento, out_lote, out_f_vencimiento)
            VALUES (null, '$dr2', '$dr3', '$dr4', '$dr5', '$dr6', '$dr7', '$dr8', '$dr9', '$dr10', '$dr11', '$dr12', '$dr13', '$dr14', '$dr15', '$dr16', '$dr17', '$dr18', '$dr19', '$dr20', '$dr21', '$dr22', '$dr23', '$dr24', '$dr25', '$dr26', '$dr27', '$dr28', '$dr29', '$dr30', '$dr31', '$dr32', '$dr33', '$dr34', '$dr35', '$dr36', '$dr37', '$dr38', '$dr39', '$dr40', '$dr41', '$dr42', '$dr43', '$dr44', '$dr45', '$dr46', '$dr47', '$dr48')");
        }

        $venta_duplicada = $dbc->query("SELECT * FROM cc_ipc_i_com WHERE r_cod='$numeric' AND r_ci='$ci_user'");
        if ($venta_duplicada->num_rows == 0) {
            //REGISTRO DE VENTA
            $r1 = $numeric;
            $r2 = $ci_user;
            $r3 = $_SESSION['vsu2'] . ' ' . $_SESSION['vsu3'];
            $r4 = $_SESSION['vsu5'];
            $r5 = 'REGISTRO DE IMPORTACION EXCEL POR: ' . $_SESSION['vsu2'] . ' ' . $_SESSION['vsu3'];
            $r6 = date("Y-m-d");
            $r7 = date('H:i:s a');
            $r8 = '';

            //REVENDEDOR
            $r9 = '';
            $r10 = '';
            $r11 = 0;

            //CONFIGURACION COMPRA
            $r12 = '';
            $r13 = '';
            $r14 = 0;
            $r15 = '';
            $r16 = 0;
            $r17 = '';
            $r18 = '';
            $r19 = '';
            $r20 = '';
            $r21 = '';
            $r22 = '';
            $r23 = '';
            $r24 = '';
            $r25 = '';
            $r26 = 0;
            $r27 = '';
            $r28 = 'INGRESO SISTEMA EXCEL';
            $r29 = 0;

            //VALORACION DE MONTOS
            $r30 = 0;
            $r31 = 0;
            $r32 = 0;
            $r33 = 0;
            $r34 = 0;
            $r35 = 0;
            $r36 = 0;
            $r37 = 0;
            $r38 = 0;
            $r39 = 0;
            $r40 = $t_precio; //TOTAL
            $r41 = 0;
            $r42 = $t_precio;
            $r43 = 'PENDIENTE';
            $r44 = '';

            //MOVIMIENTO DE CANTIDADES
            $r45 = $suc_actual; //SUCURSAL ENTRADA
            $r46 = ''; //SUCURSAL SALIDA
            $r47 = 0;
            $r48 = 0;
            $r49 = $t_cant;
            $r50 = 0;
            $r51 = 0;
            $r52 = 0;
            $r53 = 0;
            $r54 = 0;
            $r55 = ''; //SE ACTIVA SOLO CUANDO AUTORIZAN

            //AUTORIZACION
            $r56 = 0;
            $r57 = '';
            $r58 = '';

            //MONTO COMISION
            $r59 = 0;
            $r60 = 0;
            $r61 = 0;
            $r62 = 0;

            //ENTREGA TRANSPORTE / DISTRIBUIDOR
            $r63 = '';
            $r64 = '';
            $r65 = '';
            $r66 = '';
            $r67 = '';

            //ESTADOS
            $r68 = '';
            $r69 = '';
            $r70 = 'PRE INGRESADO';
            $r71 = '';

            $dbc->query("INSERT INTO cc_ipc_i_com (id, r_cod, r_ci, r_user_name, r_phone, r_obs, r_fp, r_fp_time, r_fe, ci2, name2, phone2, clie_id, clie_n, clie_cel, clie_ne, clie_ce, clie_parentesco, clie_mercado, clie_tip_neg, clie_ref, clie_lat, clie_lon, clie_zone, clie_dir, clie_fac_rs1, clie_fac_ci1, clie_fac_email, clie_fac_rs2, clie_fac_ci2, bs_dp, bs_d, bs_n, bs_f, bs_b, bs_c, bs_e, bs_dt, bs_tnd, bs_i, bs_tndi, bs_a, bs_s, bs_est, bs_fac_est, prod_suc_in, prod_suc_out, prod_cv, prod_cp, prod_c, prod_prom, prod_wt, prod_mlt, prod_at, prod_vt, prod_upd, aut_porc, aut_obs, aut_upd, com_n, com_a, com_s, com_est, trans_placa, trans_fe, trans_fe_time, trans_obs, trans_upd, tipo_venta, metodo_pago, estado, dat_null_dev) 
                VALUES (null, '$r1', '$r2', '$r3', '$r4', '$r5', '$r6', '$r7', '$r8', '$r9', '$r10', '$r11', '$r12', '$r13', '$r14', '$r15', '$r16', '$r17', '$r18', '$r19', '$r20', '$r21', '$r22', '$r23', '$r24', '$r25', '$r26', '$r27', '$r28', '$r29', '$r30', '$r31', '$r32', '$r33', '$r34', '$r35', '$r36', '$r37', '$r38', '$r39', '$r40', '$r41', '$r42', '$r43', '$r44', '$r45', '$r46', '$r47', '$r48', '$r49', '$r50', '$r51', '$r52', '$r53', '$r54', '$r55', '$r56', '$r57', '$r58', '$r59', '$r60', '$r61', '$r62', '$r63', '$r64', '$r65', '$r66', '$r67', '$r68', '$r69', '$r70', '$r71')");
            echo "<script>window.location.replace('g_list.php');</script>";
        }
    }
}


$line->start();
$line->top1($dbc, '', 11, 'INGRESO DE PRODUCTOS', '(Excel: ingreso.xlsx)');
$line->top2(1, 'LISTA', 'g_list.php');
$line->content();
?>
<div class="div col-lg-3"></div>
<div class="div col-lg-6">
    <div class="alert alert-warning">
        <strong>Alerta: </strong><br>
        1. VERIFIQUE QUE EL ARCHIVO EXCEL *ingreso.xlsx* ESTA GUARDADO CORRECTAMENTE.<br>
        2. VERIFIQUE QUE ESTE EN LA *SUCURSAL* CORRECTA PARA IMPORTAR<br>
        3. SELECCIONE EL ARCHIVO. <br>
        4. PRECIONE EL BOTON IMPORTAR INGRESO DE PRODUCTOS
    </div><?php echo $error_import; ?>
    <form action="" method="POST" enctype="multipart/form-data">
        <div class="div col-lg-6">
            <input type="file" name="archivo" required>
        </div>
        <div class="div col-lg-6">
            <input type="submit" name="importar" class="btn btn-sm btn-block btn-default" value="IMPORTAR INGRESO DE PRODUCTOS">
        </div>
    </form>
</div>
<div class="div col-lg-3"></div>
<?php $line->end(); ?>