<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo_normal.php';
include '../../icp.systems.design/structure.php';

include 'g_shopping_functions.php';

$suc_actual = $_SESSION['suc_actual'];

$ci_user = $_SESSION['vsu1'];

//NUMERACION GLOBAL
$autoincrementable = $dbc->query("SELECT * FROM cc_ipc_i_com ORDER BY r_cod DESC LIMIT 1");
if ($autoincrementable->num_rows == 0) {
   $numeric = cod_in();
} else {
   foreach ($autoincrementable as $cr) {
      $numeric = $cr['r_cod'] + 1;
   }
}

//BUSCA CATEGORIA 1 / CATEGORIA 2
if ($_POST['cod_cat1'] == true) {
   $_SESSION['categoria1'] = $_POST['cod_cat1'];
}

//ADICIONA DETALLE REGISTRO
if (isset($_POST['p_sucursal']) and isset($_POST['p_category']) and isset($_POST['p_cod'])) {
   $out->add_detalle_prod($dbc, $numeric, $ci_user, $_POST['p_sucursal'], $_POST['p_category'], $_POST['p_cod']);
}

//ELIMINAR DETALLE REGISTRO
if (isset($_POST['del_p_sucursal']) and isset($_POST['del_p_category']) and isset($_POST['del_p_cod'])) {
   $out->del_detalle_prod($dbc, $numeric, $ci_user, $_POST['del_p_sucursal'], $_POST['del_p_category'], $_POST['del_p_cod']);
}

//MODIFICA CANTIDAD DE REGISTRO
if (isset($_POST['cant_p_sucursal']) and isset($_POST['cant_p_category']) and isset($_POST['cant_p_cod']) and $_POST['cantidad'] > 0) {
   $out->mod_detalle_prod($dbc, $numeric, $ci_user, $_POST['cant_p_sucursal'], $_POST['cant_p_category'], $_POST['cant_p_cod'], $_POST['cantidad']);
}

//MODIFICA PRECIO UNITARIO DE PRODUCTO
if (isset($_POST['precio_p_sucursal']) and isset($_POST['precio_p_category']) and isset($_POST['precio_p_cod']) and $_POST['precio_p_cant'] > 0) {
   $out->mod_precio_prod($dbc, $numeric, $ci_user, $_POST['precio_p_sucursal'], $_POST['precio_p_category'], $_POST['precio_p_cod'], $_POST['precio_compra'], $_POST['precio_p_cant']);
}



//MODIFICAR OBSERVACION DE REGISTRO
if (isset($_POST['obs_p_sucursal']) and isset($_POST['obs_p_category']) and isset($_POST['obs_p_cod']) and isset($_POST['obs'])) {
   $out->obs_detalle_prod($dbc, $numeric, $ci_user, $_POST['obs_p_sucursal'], $_POST['obs_p_category'], $_POST['obs_p_cod'], $_POST['obs']);
}



//ADICIONA REGITRO
if ($_POST['rs49'] > 0 and $_POST['rs28'] == true) {
   $out->save_compra($dbc, $line, $_POST['rs1'], $_POST['rs2'], $_POST['rs3'], $_POST['rs4'], $_POST['rs5'], $_POST['rs8'], $_POST['rs9'], $_POST['rs10'], $_POST['rs11'], $_POST['rs12'], $_POST['rs17'], $_POST['rs28'], $_POST['rs29'], $_POST['rs30'], $_POST['rs31'], $_POST['rs32'], $_POST['rs33'], $_POST['rs34'], $_POST['rs35'], $_POST['rs36'], $_POST['rs37'], $_POST['rs38'], $_POST['rs39'], $_POST['rs40'], $_POST['rs45'], $_POST['rs46'], $_POST['rs47'], $_POST['rs48'], $_POST['rs49'], $_POST['rs50'], $_POST['rs51'], $_POST['rs52'], $_POST['rs53'], $_POST['rs54'], $_POST['rs68'], $_POST['rs69'], $_POST['rs70'], $_POST['dpv7']);
}


$line->start();
$line->top1($dbc, '', 9, 'NUEVA COMPRA', '');
$line->top2(1, 'LISTA', 'g_list.php');
?>
<div class="div col-lg-2">
   <button class="btn btn-sm btn-<?php echo c_m(); ?>" onclick="add()" style="width: 100%;">
      <i class="ion-calendar"></i> GUARDAR COMPRA
   </button>
</div>
<?php
$line->content();
?>
<div class="col-lg-7">
   <div class="col-lg-12 bg-default">
      <div class="col-lg-4" style="text-align: left; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">
         <b class="titulo" style="padding-left: 5px;">PRODUCTOS</b>
      </div>
      <div class="col-lg-5" style="text-align: left; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">
         <form method="POST">
            <select class="form-control" style="width: 100%; text-align: left; margin: 0px" name="cod_cat1" onchange="this.form.submit()">
               <option style="background-color: white; color: #6a6767" value="TODOS">TODOS</option>
               <?php
               $q_cat = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE act_cat=1");
               foreach ($q_cat as $rc) {
                  $selected = ($rc["cod_cat"] === $_SESSION['categoria1']) ? 'selected' : '';
               ?>
                  <option style="background-color: white; color: #6a6767" value="<?php echo $rc['cod_cat']; ?>" <?php echo $selected; ?>><?php echo $rc['cat']; ?></option>
               <?php
               }
               ?>
            </select>
         </form>
      </div>
      <div class="col-lg-3">
         <input class="form-control" style="width: 100%; text-align: left; cursor: pointer" placeholder="Buscar Producto . . ." id="Search" onkeyup="buscador()">
      </div>
   </div>
   <div class="col-lg-12 prod_list" style="overflow:scroll; height: 87%; overflow-x: hidden; overflow-y: auto">
      <?php
      if ($_SESSION['categoria1'] == true) {
         $cn = 1;
         if ($_SESSION['categoria1'] == 'TODOS') {
            $product = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='$suc_actual' AND p_est=1 ORDER BY p_cod ASC");
         } else {
            $categoria1  = $_SESSION['categoria1'];
            $product = $dbc->query("SELECT * FROM cc_ipc_prod_stock WHERE p_sucursal='$suc_actual' AND p_category='$categoria1' AND p_est=1 ORDER BY p_cod ASC");
         }
         foreach ($product as $rp) {
      ?>
            <form method="POST" name="producto<?php echo $cn; ?>" style="display: inline; cursor: pointer;">
               <input type="hidden" name="p_sucursal" value="<?php echo $rp['p_sucursal']; ?>">
               <input type="hidden" name="p_category" value="<?php echo $rp['p_category']; ?>">
               <input type="hidden" name="p_cod" value="<?php echo $rp['p_cod']; ?>">
               <div class="col-lg-6 target" style="background-color: white; border: 1px solid #dfdfdf; padding: 2px; padding-left: 4px; padding-right: 4px; color: #5e5b5b; vertical-align: middle; overflow: hidden; font-size: 9px" onClick="document.forms['producto<?php echo $cn; ?>'].submit()">
                  <div style="width: 78%; float: left; text-align: left;">
                     <b><?php echo $rp['p_cod']; ?></b><br>
                     <span style="font-size: 7px; font-weight: bold">
                        <?php if ($rp['p_descr1'] != '') {
                           echo $rp['p_descr1'];
                        } else {
                           echo '.';
                        } ?>
                     </span><br>
                     <span style="font-size: 7px; font-weight: bold">
                        <?php if ($rp['p_descr2'] != '') {
                           echo $rp['p_descr2'];
                        } else {
                           echo '.';
                        } ?>
                     </span><br>
                     <b><?php echo $rp['p_pu']; ?></b>
                  </div>
                  <div style="width: 22%; float: right; text-align: right;">
                     <?php
                     if ($rp['p_img'] == true) {
                     ?>
                        <img src="../../icp.systems.module_sd/producto/image/<?php echo $rp['p_img']; ?>" width="45" height="45">
                     <?php
                     } else {
                     ?>
                        <i class="ion-bag" style="font-size: 45px; color: #a19f9f"></i>
                     <?php
                     }
                     ?>
                  </div>

               </div>
            </form>
         <?php
            $cn++;
         }
      } else {
         ?>
         <div style="width: 100%; padding: 0px; color: #a19f9f">
            <center>
               <i class="ion ion-social-buffer" style="margin: 0px; padding-top: 50px; font-size: 100px"></i><br>
               <b>Seleccione Categoria</b>
            </center>
         </div>
      <?php
      } ?>
   </div>
</div>
<script language="JavaScript">
   function buscador() {
      var input = document.getElementById("Search");
      var filter = input.value.toLowerCase();
      var nodes = document.getElementsByClassName('target');

      for (i = 0; i < nodes.length; i++) {
         if (nodes[i].innerText.toLowerCase().includes(filter)) {
            nodes[i].style.display = "block";
         } else {
            nodes[i].style.display = "none";
         }
      }
   }
</script>
<div class="col-lg-5" style="border-left: 1px solid #a1a1a3; border-bottom: 1px solid #a1a1a3; border-right: 1px solid #a1a1a3">
   <div class="col-lg-12 bg-default" style="padding-left: 5px; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">
      <b class="titulo">DETALLE</b> <span style="font-size: 9px">DE PRODUCTOS - COMPRA</span>
   </div>
   <div class="col-lg-12" style="height: 79%; overflow:scroll; overflow-x: hidden; overflow-y: auto">
      <table>
         <thead>
            <tr class="bg-default" style="font-weight: bold; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">
               <td align="left" style="color: white">PRODUCTO</td>
               <td align="center" style="color: white">DETALLE</td>
               <td align="center" style="color: white">OBSERVACION</td>
               <td align="center" style="color: white">PRECIO</td>
               <td align="center" style="color: white">CANT</td>
               <td align="center" style="color: white">SUB TOTAL</td>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>">
            <?php
            $nump = 1;
            //TOTAL DE PRECIO
            $precio_prod = 0;
            //CANTIDADES Y TOTAL
            $cantidad = 0;
            $totalsub = 0;

            $detalle_registro = $dbc->query("SELECT * FROM cc_ipc_i_com_det WHERE dr_cod='$numeric' ORDER BY id ASC");
            if ($detalle_registro->num_rows > 0) {
               foreach ($detalle_registro as $r_dr) {

                  //ELIMINA REGISTROS DE OTRA SUCURSAL
                  // $sucursal = $r_dr['p_sucursal'];
                  // if ($sucursal != 00) {
                  //    $dbc->query("DELETE FROM cc_ipc_i_com_det WHERE dr_cod='$numeric' AND p_sucursal='$sucursal'");
                  //    echo  "<script>window.location.replace('');</script>";
                  // }

                  //CANTIDADES Y TOTAL
                  $cantidad = $cantidad + $r_dr['cant_in'];
                  $totalsub = $totalsub + $r_dr['d_p_put'];

                  $precio_prod = $precio_prod + $r_dr['d_p_put']
            ?>
                  <tr style="<?php echo row_color($nump); ?>">
                     <form style="margin: 0px; vertical-align: middle" name="del<?php echo $r_dr['id']; ?>" method="POST" style="margin: 0px; display: inline" autocomplete="off">
                        <td align="left" style="width: 80px; cursor: pointer" onClick="document.forms['del<?php echo $r_dr['id']; ?>'].submit()">
                           <input type="hidden" name="del_p_sucursal" value="<?php echo $r_dr['p_sucursal']; ?>">
                           <input type="hidden" name="del_p_category" value="<?php echo $r_dr['p_category']; ?>">
                           <input type="hidden" name="del_p_cod" value="<?php echo $r_dr['p_cod']; ?>">
                           <b><?php echo $r_dr['p_cod']; ?> </b>
                        </td>
                     </form>
                     <td align="left" style="font-size: 7px; font-weight: bold">
                        <?php echo $r_dr['p_descr1']; ?><br>
                        <?php echo $r_dr['p_descr2']; ?>
                     </td>
                     <td align="center" style="width: 90px">
                        <form style="margin: 0px; vertical-align: middle" name="obs<?php echo $r_dr['id']; ?>" method="POST" style="margin: 0px; display: inline" autocomplete="off">
                           <input type="hidden" name="obs_p_sucursal" value="<?php echo $r_dr['p_sucursal']; ?>">
                           <input type="hidden" name="obs_p_category" value="<?php echo $r_dr['p_category']; ?>">
                           <input type="hidden" name="obs_p_cod" value="<?php echo $r_dr['p_cod']; ?>">
                           <input type="text" name="obs" style="text-align: center; border: 0px; background-color: transparent; font-weight: bold" value="<?php echo $r_dr['dr_obs']; ?>" onblur="document.obs<?php echo $r_dr['id']; ?>.submit()" placeholder="Observacion">
                        </form>
                     </td>
                     <td align="center" style="width: 60px">
                        <form style="margin: 0px; vertical-align: middle" name="precio<?php echo $r_dr['id']; ?>" method="POST" style="margin: 0px; display: inline" autocomplete="off">
                           <input type="hidden" name="precio_p_sucursal" value="<?php echo $r_dr['p_sucursal']; ?>">
                           <input type="hidden" name="precio_p_category" value="<?php echo $r_dr['p_category']; ?>">
                           <input type="hidden" name="precio_p_cod" value="<?php echo $r_dr['p_cod']; ?>">
                           <input type="hidden" name="precio_p_cant" value="<?php echo $r_dr['cant_in']; ?>">
                           <input type="text" name="precio_compra" style="text-align: right; border: 0px; background-color: transparent; font-weight: bold" value="<?php echo $r_dr['p_pu']; ?>" onblur="document.precio<?php echo $r_dr['id']; ?>.submit()">
                        </form>
                     </td>
                     <td align="center" style="width: 40px">
                        <form style="margin: 0px; vertical-align: middle" name="mod<?php echo $r_dr['id']; ?>" method="POST" style="margin: 0px; display: inline" autocomplete="off">
                           <input type="hidden" name="cant_p_sucursal" value="<?php echo $r_dr['p_sucursal']; ?>">
                           <input type="hidden" name="cant_p_category" value="<?php echo $r_dr['p_category']; ?>">
                           <input type="hidden" name="cant_p_cod" value="<?php echo $r_dr['p_cod']; ?>">
                           <input type="text" name="cantidad" style="text-align: center; border: 0px; background-color: transparent; font-weight: bold" value="<?php echo $r_dr['cant_in']; ?>" onblur="document.mod<?php echo $r_dr['id']; ?>.submit()">
                        </form>
                     </td>
                     <td align="right" style="padding-right: 5px !important"><b><?php echo $r_dr['d_p_put']; ?></b></td>
                  </tr>
            <?php $nump++;
               }
            }
            ?>
            <tr style="border-bottom: 0px !important; font-weight: bold">
               <td align="right" colspan="4">TOTAL</td>
               <td align="center" style="width: 40px"><?php echo $cantidad; ?><input type="hidden" id="form_rs65" value="<?php echo $cantidad; ?>"></td>
               <td align="right" style="padding-right: 5px !important"><?php echo sprintf('%.2f', $totalsub); ?></td>
            </tr>
         </tbody>
      </table>
   </div>



   <div class="col-lg-12">
      <div class="col-lg-12 bg-default" style="padding-left: 5px; text-shadow: #2e2e2e -0.1em 0.1em 0.2em">
         <b class="titulo">DETALLE DE COMPRA</b> <span style="font-size: 9px; color: #ccff00"><?php echo $tipo_negocio; ?></span>
      </div>
      <div class="col-lg-12" style="padding: 1px; color: #5e5b5b; vertical-align: middle; overflow: hidden">
         <form name="fac" style="margin: 0px; display: flex; align-items: center" method="POST">
            <label style="width: 30%; padding: 0px; padding-left: 4px"><b>SELECCIONAR PROVEEDOR: </b></label><select id="proveedor" onchange="proveedor_select()" class="form-control" style="text-align: left; width: 70%; padding: 0px; margin: 0px;">
               <option value=""></option>
               <?php
               $q_prov = $dbc->query("SELECT * FROM cc_ipc_rcv_supplier WHERE sucursal='$suc_actual'");
               foreach ($q_prov as $r_p) {
               ?>
                  <option value="<?php echo $r_p['id']; ?>"><?php echo $r_p['rs']; ?></option>
               <?php } ?>
            </select>
         </form>
      </div>
   </div>
</div>

<form method="POST" name="registro">
   <input type="hidden" name="rs1" value="<?php echo $numeric; ?>">
   <input type="hidden" name="rs2" value="<?php echo $ci_user; ?>">
   <input type="hidden" name="rs3" value="<?php echo $_SESSION['vsu2'] . ' ' . $_SESSION['vsu3']; ?>">
   <input type="hidden" name="rs4" value="<?php echo $_SESSION['vsu5']; ?>">
   <input type="hidden" name="rs5" value=""> <!-- OBSERVACION VENTA -->

   <input type="hidden" name="rs8" value=""> <!-- FECHA ENTREGA -->
   <input type="hidden" name="rs9" value="0">
   <input type="hidden" name="rs10" value="">
   <input type="hidden" name="rs11" value="0">
   <input type="hidden" name="rs12" value="">

   <input type="hidden" name="rs17" value=""> <!-- PARENTESCO -->

   <input type="hidden" name="rs28" value=""> <!-- RAZON SOCIAL 2 -->
   <input type="hidden" name="rs29" value="0"> <!-- NIT / CI 2 -->

   <input type="hidden" name="rs30" value="0">
   <input type="hidden" name="rs31" value="0">
   <input type="hidden" name="rs32" value="0">
   <input type="hidden" name="rs33" value="0">
   <input type="hidden" name="rs34" value="0">
   <input type="hidden" name="rs35" value="0">
   <input type="hidden" name="rs36" value="0">
   <input type="hidden" name="rs37" value="0">
   <input type="hidden" name="rs38" value="0">
   <input type="hidden" name="rs39" value="0">
   <input type="hidden" name="rs40" value="<?php echo sprintf('%0.2f', $totalsub); ?>">

   <input type="hidden" name="rs45" value="<?php echo $suc_actual; ?>"> <!-- SUCURSAL DONDE INGRESA -->
   <input type="hidden" name="rs46" value=""> <!-- SUCURSAL DONDE SALE -->
   <input type="hidden" name="rs47" value="0">
   <input type="hidden" name="rs48" value="0">
   <input type="hidden" name="rs49" value="<?php echo $cantidad; ?>">
   <input type="hidden" name="rs50" value="0">
   <input type="hidden" name="rs51" value="0">
   <input type="hidden" name="rs52" value="0">
   <input type="hidden" name="rs53" value="0">
   <input type="hidden" name="rs54" value="0">

   <input type="hidden" name="rs68" value="">
   <input type="hidden" name="rs69" value="">
   <input type="hidden" name="rs70" value="PRE INGRESADO">
</form>
<script>
   function proveedor_select() {
      var select = document.getElementById('proveedor');
      var option = select.options[select.selectedIndex];
      document.registro.rs28.value = option.value;
   }

   function add() {
      if (confirm('¿Esta Seguro de realizar la Compra?')) {
         document.registro.submit()
      }
   }
</script>

<?php $line->end(); ?>