<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'g_list_functions.php';

$line->start();
$line->top1($dbc, '', 9, 'PROVEEDORES (Nacional)', '');
?>
<div class="div col-lg-1">
   <select class="form-control" style="width: 100%; text-align: left" id="suc" onchange="search_sucursal()">
      <?php
      $select_s = $dbc->query("SELECT * FROM ipc_sucursal WHERE act_almacen=1 ORDER BY n0, n1, n2, n3, n4 ASC");
      foreach ($select_s as $ss) {
      ?>
         <option value="<?php echo $ss['cod_suc']; ?>"><?php echo name_suc($dbc, $ss['cod_suc']); ?></option>
      <?php } ?>
   </select>
   <script type="text/javascript">
      document.getElementById("suc").value = "<?php echo $_SESSION['suc_actual']; ?>";

      function search_sucursal() {
         suc = document.getElementById("suc").value;
         var formData = new FormData();
         formData.append('action', "search_sucursal");
         formData.append("suc", suc);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               form_add();
               lista();
            })
            .catch(error => console.log('Error:', error));
      }
   </script>
</div>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'NUEVO', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c" id="form_add"></div>
   <script type="text/javascript">
      function form_add() {
         fetch('<?php echo $file_functions; ?>?action=form_add')
            .then(response => response.text())
            .then(html => {
               document.getElementById('form_add').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      form_add();
   </script>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;
      i4 = document.getElementById("i4").value;
      i5 = document.getElementById("i5").value;
      i6 = document.getElementById("i6").value;
      i7 = document.getElementById("i7").value;
      i8 = document.getElementById("i8").value;
      i9 = document.getElementById("i9").value;
      i10 = document.getElementById("i10").value;
      i11 = document.getElementById("i11").value;
      i12 = document.getElementById("i12").value;
      i13 = document.getElementById("i12").value;

      if (i2.length > 0 && i3.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         formData.append("i4", i4);
         formData.append("i5", i5);
         formData.append("i6", i6);
         formData.append("i7", i7);
         formData.append("i8", i8);
         formData.append("i9", i9);
         formData.append("i10", i10);
         formData.append("i11", i11);
         formData.append("i12", i12);
         formData.append("i13", i13);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- MODIFICAR -->
<div id="modificar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="bg-<?php echo c_m(); ?> titulo">MODIFICAR REGISTRO</div>
      <form autocomplete="off">
         <input type="hidden" id="m0">
         <label style="width: 105px; text-align: left"><b>Razon Social <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m2" disabled><br>
         <label style="width: 105px; text-align: left"><b>NIT <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m3" disabled><br>
         <label style="width: 105px; text-align: left"><b>Pais:</b></label><input style="width: 200px" type="text" id="m4"><br>
         <label style="width: 105px; text-align: left"><b>Representante Legal:</b></label><input style="width: 200px" type="text" id="m5"><br>
         <label style="width: 105px; text-align: left"><b>Celular:</b></label><input style="width: 200px" type="text" id="m6"><br>
         <label style="width: 105px; text-align: left"><b>Direccion:</b></label><input style="width: 200px" type="text" id="m7"><br>
         <label style="width: 105px; text-align: left"><b>Rubro:</b></label><input style="width: 200px" type="text" id="m8"><br>
         <label style="width: 105px; text-align: left"><b>Producto/Servicio :</b></label><input style="width: 200px" type="text" id="m9"><br>
         <label style="width: 105px; text-align: left"><b>Cuenta Bancaria :</b></label><input style="width: 200px" type="text" id="m10"><br>
         <label style="width: 105px; text-align: left"><b>Email :</b></label><input style="width: 200px" type="text" id="m11"><br>
         <label style="width: 105px; text-align: left"><b>Web :</b></label><input style="width: 200px" type="text" id="m12"><br>
         <label style="width: 105px; text-align: left"><b>Descripcion :</b></label><input style="width: 200px" type="text" id="m13"><br>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="mod()"><i class="ion-checkmark"></i> Modificar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function modificar(m0, m2, m3, m4, m5, m6, m7, m8, m9, m10, m11, m12, m13) {
      document.getElementById("m0").value = m0;
      document.getElementById("m2").value = m2;
      document.getElementById("m3").value = m3;
      document.getElementById("m4").value = m4;
      document.getElementById("m5").value = m5;
      document.getElementById("m6").value = m6;
      document.getElementById("m7").value = m7;
      document.getElementById("m8").value = m8;
      document.getElementById("m9").value = m9;
      document.getElementById("m10").value = m10;
      document.getElementById("m11").value = m11;
      document.getElementById("m12").value = m12;
      document.getElementById("m13").value = m13;
      document.getElementById("modificar").style.display = "grid";
   }

   function mod() {
      m0 = document.getElementById("m0").value;
      m4 = document.getElementById("m4").value;
      m5 = document.getElementById("m5").value;
      m6 = document.getElementById("m6").value;
      m7 = document.getElementById("m7").value;
      m8 = document.getElementById("m8").value;
      m9 = document.getElementById("m9").value;
      m10 = document.getElementById("m10").value;
      m11 = document.getElementById("m11").value;
      m12 = document.getElementById("m12").value;
      m13 = document.getElementById("m13").value;

      if (m0.length > 0) {
         var formData = new FormData();
         formData.append("action", "mod");
         formData.append("m0", m0);
         formData.append("m4", m4);
         formData.append("m5", m5);
         formData.append("m6", m6);
         formData.append("m7", m7);
         formData.append("m8", m8);
         formData.append("m9", m9);
         formData.append("m10", m10);
         formData.append("m11", m11);
         formData.append("m12", m12);
         formData.append("m13", m13);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Complete los Datos obligatorios (*)');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0, d19) {
      document.getElementById("d0").value = d0;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("d0", d0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ESTADO -->
<script type="text/javascript">
   function estado(e0, est) {
      var formData = new FormData();
      formData.append("action", "estado");
      formData.append("e0", e0);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>