<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

$file_functions = 'list_functions.php';

$line->start();
$line->top1($dbc, '', 10, 'SUCURSALES', '');
?>
<div class="div col-lg-1">
   <input class="form-control" style=" width: 100%;" placeholder="Buscar . . ." id="data" onkeyup="search()">
</div>
<?php
$line->top2(1, 'NUEVO', 'onclick="adicionar()"');
$line->content();
?>
<!-- MOSTRAR RESULTADO -->
<div class="col-lg-12">
   <div id="lista"></div>
   <script type="text/javascript">
      function lista() {
         fetch('<?php echo $file_functions; ?>?action=lista')
            .then(response => response.text())
            .then(html => {
               document.getElementById('lista').innerHTML = html;
            })
            .catch(error => console.log('Error:', error));
      }
      lista();
   </script>
</div>
<!-- ADICIONAR -->
<div id="nuevo" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="bg-default titulo">NUEVA SUCURSAL</div>
      <form autocomplete="off">
         <label style="width: 97px; text-align: left"><b>Nivel <span style="color: red">*</span> :</b></label>
         <input style="width: 37px" type="text" id="i1">
         <input style="width: 37px" type="text" id="i2">
         <input style="width: 38px" type="text" id="i3">
         <input style="width: 37px" type="text" id="i4">
         <input style="width: 37px" type="text" id="i5"><br>
         <label style="width: 100px; text-align: left"><b>Nombre Sucursal. <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="i7"><br>
         <label style="width: 100px; text-align: left"><b>Direccion Sucursal <span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="i8"><br>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="add()"><i class="ion-checkmark"></i> Guardar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar(); limpiar(this.form)"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function adicionar() {
      document.getElementById("nuevo").style.display = "grid";
   }

   function add() {
      i1 = document.getElementById("i1").value;
      i2 = document.getElementById("i2").value;
      i3 = document.getElementById("i3").value;
      i4 = document.getElementById("i4").value;
      i5 = document.getElementById("i5").value;
      i7 = document.getElementById("i7").value;
      i8 = document.getElementById("i8").value;

      if (i1 <= 9 && i2 <= 9 && i3 <= 9 && i4 <= 9 && i5 <= 9 && i7.length > 0 && i8.length > 0) {
         var formData = new FormData();
         formData.append("action", "add");
         formData.append("i1", i1);
         formData.append("i2", i2);
         formData.append("i3", i3);
         formData.append("i4", i4);
         formData.append("i5", i5);
         formData.append("i7", i7);
         formData.append("i8", i8);

         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Los valores no son correctos');
      }
   }
</script>
<!-- MODIFICAR -->
<div id="modificar" class="modal">
   <div class="div col-lg-12" style="<?php echo theme(); ?>; color: #5c5c5c">
      <div class="bg-default titulo">MODIFICAR REGISTRO</div>
      <form autocomplete="off">
         <input type="hidden" id="m0">
         <label style="width: 100px; text-align: left"><b>Direccion<span style="color: red">*</span> :</b></label><input style="width: 200px" type="text" id="m8"><br>
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="mod()"><i class="ion-checkmark"></i> Modificar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function modificar(m0, m8) {
      document.getElementById("m0").value = m0;
      document.getElementById("m8").value = m8;
      document.getElementById("modificar").style.display = "grid";
   }

   function mod() {
      m0 = document.getElementById("m0").value;
      m8 = document.getElementById("m8").value;

      if (m0.length > 0 && m8.length > 0) {

         var formData = new FormData();
         formData.append("action", "mod");
         formData.append("m0", m0);
         formData.append("m8", m8);
         fetch("<?php echo $file_functions; ?>", {
               method: "POST",
               body: formData
            })
            .then(response => response.text())
            .then(data => {
               lista();
            })
            .catch(error => {
               console.error("Error:", error);
            });
         cerrar();
      } else {
         alerta('Debe de Adicionar su Contraseña');
      }
   }
</script>
<!-- ELIMINAR -->
<div id="eliminar" class="modal">
   <div class="div col-lg-12" style="color: white">
      <div class="row titulo">Esta seguro de <br>eliminar el <br>registro Seleccionado?</div><br>
      <form autocomplete="off">
         <input type="hidden" id="d0">
         <div class="div_buttons">
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="del()"><i class="ion-trash-b"></i> Eliminar</button>
            <button style="margin: 0 1px;" class="btn btn-xs btn-block btn-<?php echo c_m(); ?>" type="button" onclick="cerrar()"><i class="ion-close"></i> Cancelar</button>
         </div>
      </form>
   </div>
</div>
<script type="text/javascript">
   function eliminar(d0) {
      document.getElementById("d0").value = d0;
      document.getElementById("eliminar").style.display = "grid";
   }

   function del() {
      d0 = document.getElementById("d0").value;
      var formData = new FormData();
      formData.append("action", "del");
      formData.append("d0", d0);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
      cerrar();
   }
</script>
<!-- ESTADO -->
<script type="text/javascript">
   function estado(e0, est) {
      var formData = new FormData();
      formData.append("action", "estado");
      formData.append("e0", e0);
      formData.append("est", est);
      fetch("<?php echo $file_functions; ?>", {
            method: "POST",
            body: formData
         })
         .then(response => response.text())
         .then(data => {
            lista();
         })
         .catch(error => console.log('Error:', error));
   }
</script>
<?php $line->end(); ?>