<?php
include '../../icp.systems.unitfun/unit_functions.php';
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';

class functions
{
   public function lista($dbc, $line)
   {
?>
      <table>
         <thead class="bg-<?php echo c_m(); ?>" style="<?php echo thead(); ?>">
            <tr>
               <th>CODIGO</th>
               <th>NOMBRE</th>
               <th>DIRECCION</th>
               <th>ALMACENES/OPCIONES</th>
            </tr>
         </thead>
         <tbody style="<?php echo tbody(); ?>" id="searchdata">
            <?php
            $n = 0;
            $query = $dbc->query("SELECT * FROM ipc_sucursal ORDER BY n0, n1, n2, n3, n4 ASC");
            if ($query->num_rows > 0) {
               foreach ($query as $r) {
                  if ($r['n0'] != '0' and $r['n1'] == '00' and $r['n2'] == '00' and $r['n3'] == '00' and $r['n4'] == '00') {
                     $padding = 'padding-left: 0px; ';
                     $n_nivel = '❶ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] == '00' and $r['n3'] == '00' and $r['n4'] == '00') {
                     $padding = 'padding-left: 20px; ';
                     $n_nivel = '❷ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] != '0' and $r['n3'] == '00' and $r['n4'] == '00') {
                     $padding = 'padding-left: 40px; ';
                     $n_nivel = '❸ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] != '0' and $r['n3'] != '0' and $r['n4'] == '00') {
                     $padding = 'padding-left: 60px; ';
                     $n_nivel = '❹ ';
                  }
                  if ($r['n0'] != '0' and $r['n1'] != '0' and $r['n2'] != '0' and $r['n3'] != '0' and $r['n4'] != '0') {
                     $padding = 'padding-left: 80px; ';
                     $n_nivel = '❺ ';
                  }
            ?>
                  <tr style="<?php echo row_color($n); ?>">
                     <td align="left" data-label=": "><button style="border: 0px; background-color: transparent" type="submit"><b><i class="ion-arrow-down-a"></i> <?php echo $r['cod_suc']; ?></b></button></td>
                     <td align="left" data-label=": "><span style="<?php echo $padding; ?>">
                           <?php echo $n_nivel . $r['suc']; ?></span></td>
                     <td align="left" data-label=": ">
                        <i class="ion-ios-location"></i> <?php echo $r['dir']; ?>
                     </td>
                     <td align="center" data-label="OPCIONES: ">
                        <?php if ($r['act_almacen'] == 1) { ?>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="estado(<?php echo $r['id']; ?>, 0)"><i class="ion-checkmark"></i> Activo</button>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="modificar('<?php echo $r['id']; ?>', '<?php echo $r['dir']; ?>')"><i class="ion-compose"></i> Modificar</button>
                           <button class="btn btn-xs btn-<?php echo c_m(); ?>" onclick="eliminar('<?php echo $r['id']; ?>')"><i class="ion-trash-b"></i> Eliminar</button>
                        <?php } else { ?>
                           <button class="btn btn-xs btn-default" onclick="estado(<?php echo $r['id']; ?>, 1)"><i class="ion-checkmark"></i> Activo</button>
                           <button class="btn btn-xs btn-default"><i class="ion-compose"></i> Modificar</button>
                           <button class="btn btn-xs btn-default"><i class="ion-trash-b"></i> Eliminar</button>
                        <?php } ?>
                     </td>
                  </tr>
            <?php
                  $n++;
               }
            } else {
               $dbc->query("TRUNCATE TABLE ajax");
               $line->list_empty(9);
            }
            ?>
         </tbody>
      </table>
<?php
   }
   public function add($dbc)
   {
      $i1 = $_POST['i1'];
      $i2 = str_pad($_POST['i2'], 1, "0", STR_PAD_LEFT);
      $i3 = str_pad($_POST['i3'], 1, "0", STR_PAD_LEFT);
      $i4 = str_pad($_POST['i4'], 1, "0", STR_PAD_LEFT);
      $i5 = str_pad($_POST['i5'], 1, "0", STR_PAD_LEFT);
      $i6 = 'SUC-' . $_POST['i1'] . str_pad($_POST['i2'], 1, "0", STR_PAD_LEFT) . str_pad($_POST['i3'], 1, "0", STR_PAD_LEFT) . str_pad($_POST['i4'], 1, "0", STR_PAD_LEFT) . str_pad($_POST['i5'], 1, "0", STR_PAD_LEFT);
      $i7 = $_POST['i7'];
      $i8 = $_POST['i8'];
      $i9 = 1;
      $i10 = $_SESSION['vsu7'] . ' ' . date('Y-m-d H:i:s a');
      $i11 = '';
      $dbc->query("INSERT INTO ipc_sucursal (id, n0, n1, n2, n3, n4, cod_suc, suc, dir, act_almacen, dat_add,dat_upd) VALUES (null, '$i1', '$i2', '$i3', '$i4', '$i5', '$i6', '$i7', '$i8', '$i9', '$i10', '$i11')");
   }

   public function mod($dbc)
   {
      $m0 = $_POST['m0'];
      $m8 = $_POST['m8'];
      $dbc->query("UPDATE ipc_sucursal SET dir='$m8' WHERE id='$m0'");
   }

   public function del($dbc)
   {
      $d0 = $_POST['d0'];

      $dbc->query("DELETE FROM ipc_sucursal WHERE id='$d0'");
   }

   public function estado($dbc)
   {
      $e0 = $_POST['e0'];
      $est = $_POST['est'];
      $dbc->query("UPDATE ipc_sucursal SET act_almacen='$est' WHERE id='$e0'");
   }
}

$action = new functions();
switch ($_POST['action']) {
   case 'add':
      $action->add($dbc);
      break;
   case 'mod':
      $action->mod($dbc);
      break;
   case 'del':
      $action->del($dbc);
      break;
   case 'estado':
      $action->estado($dbc);
      break;
   default:
      break;
}

switch ($_GET['action']) {
   case 'lista':
      $action->lista($dbc, $line);
      break;
   default:
      break;
}
