<?php
include '../../icp.systems.core/access_file.php';
include '../../icp.systems.core/access.php';
include '../../icp.systems.design/t.php';
include '../../icp.systems.design/design_duo.php';
include '../../icp.systems.design/structure.php';





function dashboard($line, $dbc)
{
   $line->top1($dbc, '', 12, 'PANEL DE CONTROL', 'DATOS');
   $line->content();

   $rgbColor = r_g_b();
?>
   <div class="col-xs-12" style="padding: 0px; text-align: center; color: <?php echo c_report(); ?>">


      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-cash" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Por Pagar
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-card" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Por Cobrar
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-model-s" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Proveedores
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-closed-captioning" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Marcas
         </label>
      </div>




      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-cube" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Productos
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-cash" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Ventas del Dia
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-bag" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Compras del Mes
         </label>
      </div>
      <div class="col-lg-3" style="background-color: #ffffff; border: 1px solid #dfdfdf; padding: 2px;">
         <label style="width: 48%; text-align: left"><i class="ion-person-add" style="font-size: 35px;display: inline-block;"></i></label>
         <label style="text-align: right; width: 50%">
            0.00<br>
            Clientes
         </label>
      </div>
   </div>
   <div class="col-lg-6" style="padding: 7px">
      <script>
         //Chart.defaults.global.defaultFontFamily = "Lato";
         Chart.defaults.global.defaultFontSize = 9;
         Chart.defaults.global.defaultFontColor = '<?php echo c_text_est(); ?>';
         $(document).ready(function() {
            var ctx = $("#chart-line");
            var myLineChart = new Chart(ctx, {
               type: 'bar',
               data: {
                  labels: ['ENE', 'FEB', 'MAR', 'ABR', 'MAY', 'JUN', 'JUL', 'AGO', 'SEP', 'OCT',
                     'NOV', 'DIC'
                  ],
                  datasets: [{
                     data: [20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20],
                     label: "[ ML ] Cotizaciones a Clientes",
                     borderColor: 'rgba(130,130,130,1)',
                     fill: true,
                     backgroundColor: 'rgba(130,130,130,0.2)',
                     borderWidth: 1
                  }, {
                     data: [10, 30, 60, 30, 30, 80, 30, 30, 30, 30, 5, 30],
                     label: "[ ML ] Cotizaciones a Clientes",
                     borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
                     fill: true,
                     backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
                     borderWidth: 1
                  }]
               },
               options: {
                  title: {
                     display: false,
                     text: 'World population per region (in millions)'
                  }
               }
            });
         });
      </script>

      [ DETALLE DE VENTAS REALIZADAS EN LOS MESES DE <?php echo date('Y'); ?>
      ]<br>
      <canvas id="chart-line"></canvas>
   </div>
   <div class="col-lg-6" style="padding: 7px">
      <script>
         //Chart.defaults.global.defaultFontFamily = "Lato";
         Chart.defaults.global.defaultFontSize = 9;
         Chart.defaults.global.defaultFontColor = '<?php echo c_text_est(); ?>';
         $(document).ready(function() {
            var ctx = $("#chart-line1");
            var myLineChart = new Chart(ctx, {
               type: 'bar',
               data: {
                  labels: ['ENE', 'FEB', 'MAR', 'ABR', 'MAY', 'JUN', 'JUL', 'AGO', 'SEP', 'OCT',
                     'NOV', 'DIC'
                  ],
                  datasets: [{
                     data: [20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20],
                     label: "[ ML ] Cotizaciones a Clientes",
                     borderColor: 'rgba(130,130,130,1)',
                     fill: true,
                     backgroundColor: 'rgba(130,130,130,0.2)',
                     borderWidth: 1
                  }, {
                     data: [10, 30, 60, 30, 30, 80, 30, 30, 30, 30, 5, 30],
                     label: "[ ML ] Cotizaciones a Clientes",
                     borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
                     fill: true,
                     backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
                     borderWidth: 1
                  }]
               },
               options: {
                  title: {
                     display: false,
                     text: 'World population per region (in millions)'
                  }
               }
            });
         });
      </script>

      [ DETALLE DE VENTAS REALIZADAS EN LOS MESES DE <?php echo date('Y'); ?>
      ]<br>
      <canvas id="chart-line1"></canvas>

   </div>
   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica"></canvas>
      <script>
         const $grafica = document.querySelector("#grafica");
         const etiquetas = ["Enero", "Febrero", "Marzo", "Abril"]
         const datosVentas2020 = {
            label: "Ventas por mes",
            data: [5000, 1500, 8000, 5102],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
            borderWidth: 1,
         };
         new Chart($grafica, {
            type: 'line',
            data: {
               labels: etiquetas,
               datasets: [
                  datosVentas2020,
               ]
            },
            options: {
               scales: {
                  yAxes: [{
                     ticks: {
                        beginAtZero: true
                     }
                  }],
               },
            }
         });
      </script>
   </div>
   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica1"></canvas>
      <script>
         const $grafica1 = document.querySelector("#grafica1");
         const etiquetas1 = ["Enero", "Febrero", "Marzo", "Abril"]
         const datosVentas20201 = {
            label: "Ventas por mes",
            data: [5000, 1500, 8000, 5102],
            backgroundColor: 'rgba(130,130,130,0.2)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
         };
         new Chart($grafica1, {
            type: 'bar',
            data: {
               labels: etiquetas1,
               datasets: [
                  datosVentas20201,
               ]
            },
            options: {
               scales: {
                  yAxes: [{
                     ticks: {
                        beginAtZero: true
                     }
                  }],
               },
            }
         });
      </script>
   </div>

   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica2"></canvas>
      <script>
         const $grafica2 = document.querySelector("#grafica2");
         const etiquetas2 = ["Enero", "Febrero", "Marzo", "Abril"]
         const datosVentas20202 = {
            label: "Ventas por mes - 2020",
            data: [5000, 1500, 8000, 5102],
            backgroundColor: 'rgba(130,130,130,0.2)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
         };
         const datosVentas20212 = {
            label: "Ventas por mes - 2021",
            data: [10000, 1700, 5000, 5989],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
            borderWidth: 1,
         };

         new Chart($grafica2, {
            type: 'line',
            data: {
               labels: etiquetas2,
               datasets: [
                  datosVentas20202,
                  datosVentas20212,
               ]
            },
            options: {
               scales: {
                  yAxes: [{
                     ticks: {
                        beginAtZero: true
                     }
                  }],
               },
            }
         });
      </script>
   </div>

   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica3"></canvas>
      <script>
         const $grafica3 = document.querySelector("#grafica3");
         const etiquetas3 = ["Enero", "Febrero", "Marzo", "Abril"]
         const datosVentas20203 = {
            label: "Ventas por mes - 2020",
            data: [5000, 1500, 8000, 5102],
            backgroundColor: 'rgba(130,130,130,0.2)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
         };
         const datosVentas20213 = {
            label: "Ventas por mes - 2021",
            data: [10000, 1700, 5000, 5989],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 0.2)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>, 1)',
            borderWidth: 1,
         };

         new Chart($grafica3, {
            type: 'bar',
            data: {
               labels: etiquetas3,
               datasets: [
                  datosVentas20203,
                  datosVentas20213,
               ]
            },
            options: {
               scales: {
                  yAxes: [{
                     ticks: {
                        beginAtZero: true
                     }
                  }],
               },
            }
         });
      </script>
   </div>

   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica4"></canvas>
      <script>
         const $grafica4 = document.querySelector("#grafica4");
         const etiquetas4 = ["Enero", "Febrero", "Marzo", "Abril"]
         const datosVentas20184 = {
            label: "Ventas por mes - 2018",
            data: [500, 900, 134, 2000],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.5)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
            borderWidth: 1,
         };
         const datosVentas20194 = {
            label: "Ventas por mes - 2019",
            data: [700, 700, 4500, 2500],
            backgroundColor: 'rgba(130,130,130,0.4)',
            borderColor: 'rgba(130,130,130,1)',
            borderWidth: 1,
         };
         const datosVentas20204 = {
            label: "Ventas por mes - 2020",
            data: [5000, 1500, 8000, 5102],
            backgroundColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
            borderColor: 'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
            borderWidth: 1,
         };
         const datosVentas20214 = {
            label: "Ventas por mes - 2021",
            data: [10000, 1700, 5000, 5989],
            backgroundColor: 'rgba(130,130,130, 0.2)',
            borderColor: 'rgba(130,130,130, 1)',
            borderWidth: 1,
         };

         new Chart($grafica4, {
            type: 'line',
            data: {
               labels: etiquetas4,
               datasets: [
                  datosVentas20184,
                  datosVentas20194,
                  datosVentas20204,
                  datosVentas20214,
               ]
            },
            options: {
               scales: {
                  yAxes: [{
                     ticks: {
                        beginAtZero: true
                     }
                  }],
               },
            }
         });
      </script>
   </div>
   <div class="col-lg-4" style="padding: 7px">
      <canvas id="grafica5"></canvas>
      <script>
         const $grafica5 = document.querySelector("#grafica5");
         const etiquetas5 = ["Ventas", "Donaciones", "Trabajos", "Publicidad"]
         const datosIngresos = {
            data: [1500, 400, 2000, 7000],
            backgroundColor: [
               'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
               'rgba(200,200,200,0.2)',
               'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,0.3)',
               'rgba(200,200,200,0.2)',
            ], // Color de fondo
            borderColor: [
               'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
               'rgba(130,130,130,1)',
               'rgba(<?php echo $rgbColor['red'] . ', ' . $rgbColor['green'] . ', ' . $rgbColor['blue']; ?>,1)',
               'rgba(130,130,130,1)',
            ], // Color del borde
            borderWidth: 1,
         };
         new Chart($grafica5, {
            type: 'pie',
            data: {
               labels: etiquetas5,
               datasets: [
                  datosIngresos,
               ]
            },
         });
      </script>
   </div>
<?php
}

function seller()
{
   $vsu2 = $_SESSION['vsu2'];
   $vsu3 = $_SESSION['vsu3'];
?>
   <style>
      .contenedor {
         position: absolute;
         left: 50%;
         top: 50%;
         transform: translate(-50%, -50%);
         -webkit-transform: translate(-50%, -50%);
         color: white;
      }

      .threedee {
         font-size: 60px;
         color: white;
         text-shadow:
            0 2px 0 <?php echo c_login(); ?>, 0 4px 0 <?php echo c_login(); ?>, 3px 8px 15px rgba(0, 0, 0, 0.1), 3px 8px 5px rgba(0, 0, 0, 0.3);
      }
   </style>
   <div class="contenedor" style="text-align: center; color: <?php echo c_login(); ?>">
      <span style="font-size: 15px"><b>Bienvenido(a) a <?php echo n_sis(); ?></b></span><br>
      <span style="font-size: 15px"><b><?php echo $vsu2 . ' ' . $vsu3; ?></b></span>
   </div>
   <!--<div class="col-lg-4 text-center" style="padding: 15px">
      <i class=" ion ion-ios-list" style="font-size: 139px"></i><br>
      <span style="font-size: 20px"><b>MI LISTA DE VENTAS</b></span>
   </div>
   <div class="col-lg-4 text-center" style="padding: 15px">
      <i class=" ion ion-map" style="font-size: 139px"></i><br>
      <span style="font-size: 20px"><b>MONITOREO DE CLIENTES HOY</b></span>
   </div>-->
<?php
}

function transport()
{
?>
   <div class="col-lg-6 text-center" style="padding: 50px">
      <i class=" ion ion-social-buffer" style="font-size: 139px; color: #a19f9f;"></i><br>
      <span style="color: grey; font-size: 20px"><b>ENTREGAS ASIGNADAS</b></span>
   </div>
   <div class="col-lg-6 text-center" style="padding: 50px">
      <i class=" ion ion-ios-location" style="font-size: 139px; color: #a19f9f;"></i><br>
      <span style="color: grey; font-size: 20px"><b>UVICACION DE ENTREGAS</b></span>
   </div>
<?php
}



function logo()
{
?>
   <style>
      .contenedor {
         position: absolute;
         left: 50%;
         top: 50%;
         transform: translate(-50%, -50%);
         -webkit-transform: translate(-50%, -50%);
         color: white;
      }

      .threedee {
         font-size: 60px;
         color: white;
         text-shadow:
            0 2px 0 <?php echo c_login(); ?>, 0 4px 0 <?php echo c_login(); ?>, 3px 8px 15px rgba(0, 0, 0, 0.1), 3px 8px 5px rgba(0, 0, 0, 0.3);
      }
   </style>
   <div class="contenedor" style="text-align: center">
      <b class="threedee">
         <!--<img src="../../icp.systems.design/img/gp.png" width="100%">--><?php echo n_sis(); ?>
      </b>
   </div>
<?php
}



$line->start();
?>
<style>
   body {
      background-image: url(../../icp.systems.design/img/loogin.jpg);
      background-position: center center;
      background-repeat: no-repeat;
      background-attachment: fixed;
      background-size: cover;
   }
</style>

<body style="<?php echo theme(); ?>;">
   <?php
   //dashboard($line, $dbc);
   //transport();
   seller();
   //logo();


   // $vsu9 = $_SESSION['vsu9'];

   // if ($vsu9 != 'PARISACA SYSTEMS') {
   //    seller();
   // } else {
   //    dashboard($line, $dbc);
   // }


   ?>
</bodY>
<?php $line->end0(); ?>