<?php
function upload_image($ruta, $name_imagen)
{
   $name_img = substr($name_imagen, 0, strpos($name_imagen, ".") + 1);
   unlink($ruta . '/' . $name_img . 'jpg');
   unlink($ruta . '/' . $name_img . 'jpeg');
   unlink($ruta . '/' . $name_img . 'png');
   unlink($ruta . '/' . $name_img . 'webp');
   unlink($ruta . '/' . $name_img . 'gif');

   move_uploaded_file($_FILES["file"]["tmp_name"], $ruta . $name_imagen);
   if (substr($_FILES["file"]["type"], 6) == 'jpg' || substr($_FILES["file"]["type"], 6) == 'jpeg') {
      $img_origen = imagecreatefromjpeg($ruta . $name_imagen);
      $ancho_origen = imagesx($img_origen);
      $alto_origen = imagesy($img_origen);
      $ancho_limite = 360;
      if ($ancho_origen > $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite * imagesy($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen < $alto_origen) {
         $alto_origen = $ancho_limite;
         $ancho_origen = $ancho_limite * imagesx($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen == $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite;
      }
      $img_destino = imagecreatetruecolor($ancho_origen, $alto_origen);
      imagecopyresized($img_destino, $img_origen, 0, 0, 0, 0, $ancho_origen, $alto_origen, imagesx($img_origen), imagesy($img_origen));
      imagejpeg($img_destino, $ruta . $name_imagen);
      imagedestroy($img_origen);
      imagedestroy($img_destino);
   } else if (substr($_FILES["file"]["type"], 6) == 'png') {
      $img_origen = imagecreatefrompng($ruta . $name_imagen);
      $ancho_origen = imagesx($img_origen);
      $alto_origen = imagesy($img_origen);
      $ancho_limite = 360;
      if ($ancho_origen > $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite * imagesy($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen < $alto_origen) {
         $alto_origen = $ancho_limite;
         $ancho_origen = $ancho_limite * imagesx($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen == $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite;
      }
      $img_destino = imagecreatetruecolor($ancho_origen, $alto_origen);
      imagecopyresized($img_destino, $img_origen, 0, 0, 0, 0, $ancho_origen, $alto_origen, imagesx($img_origen), imagesy($img_origen));
      imagepng($img_destino, $ruta . $name_imagen);
      imagedestroy($img_origen);
      imagedestroy($img_destino);
   } else if (substr($_FILES["file"]["type"], 6) == 'webp') {
      $img_origen = imagecreatefromwebp($ruta . $name_imagen);
      $ancho_origen = imagesx($img_origen);
      $alto_origen = imagesy($img_origen);
      $ancho_limite = 360;
      if ($ancho_origen > $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite * imagesy($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen < $alto_origen) {
         $alto_origen = $ancho_limite;
         $ancho_origen = $ancho_limite * imagesx($img_origen) / imagesx($img_origen);
      } else if ($ancho_origen == $alto_origen) {
         $ancho_origen = $ancho_limite;
         $alto_origen = $ancho_limite;
      }
      $img_destino = imagecreatetruecolor($ancho_origen, $alto_origen);
      imagecopyresized($img_destino, $img_origen, 0, 0, 0, 0, $ancho_origen, $alto_origen, imagesx($img_origen), imagesy($img_origen));
      imagewebp($img_destino, $ruta . $name_imagen);
      imagedestroy($img_origen);
      imagedestroy($img_destino);
   }
}
function name_suc($dbc, $cod_suc)
{

   $cod_suc = $dbc->query("SELECT * FROM ipc_sucursal WHERE cod_suc='$cod_suc'");
   foreach ($cod_suc as $rpr21) {
      $s0 = $rpr21['n0'];
      $s1 = $rpr21['n1'];
      $s2 = $rpr21['n2'];
      $s3 = $rpr21['n3'];
      $s4 = $rpr21['n4'];
   }
   if ($s0 > 0) {
      $qo = $dbc->query("SELECT * FROM ipc_sucursal WHERE n0='$s0' AND n1=0 AND n2=0 AND n3=0 AND n4=0");
      foreach ($qo as $r) {
         $cat0 = $r['suc'];
      }
   } else {
      $cat0 = '';
   }
   if ($s1 > 0) {
      $qo1 = $dbc->query("SELECT * FROM ipc_sucursal WHERE n0='$s0' AND n1='$s1' AND n2=0 AND n3=0 AND n4=0");
      foreach ($qo1 as $r1) {
         $cat1 = $r1['suc'];
      }
   } else {
      $cat1 = '';
   }
   if ($s2 > 0) {
      $qo2 = $dbc->query("SELECT * FROM ipc_sucursal WHERE n0='$s0' AND n1='$s1' AND n2='$s2' AND n3=0 AND n4=0");
      foreach ($qo2 as $r2) {
         $cat2 = $r2['suc'];
      }
   } else {
      $cat2 = '';
   }
   if ($s3 > 0) {
      $qo3 = $dbc->query("SELECT * FROM ipc_sucursal WHERE n0='$s0' AND n1='$s1' AND n2='$s2' AND n3='$s3' AND n4=0");
      foreach ($qo3 as $r3) {
         $cat3 = $r3['suc'];
      }
   } else {
      $cat3 = '';
   }
   if ($s4 > 0) {
      $qo4 = $dbc->query("SELECT * FROM ipc_sucursal WHERE n0='$s0' AND n1='$s1' AND n2='$s2' AND n3='$s3' AND n4='$s4'");
      foreach ($qo4 as $r4) {
         $cat4 = $r4['suc'];
      }
   } else {
      $cat4 = '';
   }

   if (strlen($cat0) && strlen($cat1) && strlen($cat2) && strlen($cat3) && strlen($cat4)) {
      $val =  $cat0 . ' ' . $cat1 . ' ' . $cat2 . ' ' . $cat3 . ' ' . $cat4 . ' ❺ ';
   }
   if (strlen($cat0) && strlen($cat1) && strlen($cat2 && strlen($cat3) && !strlen($cat4))) {
      $val =  $cat0 . ' ' . $cat1 . ' ' . $cat2 . ' ' . $cat3 . ' ❹ ' . $cat4;
   }
   if (strlen($cat0) && strlen($cat1) && strlen($cat2 && !strlen($cat3) && !strlen($cat4))) {
      $val =  $cat0 . ' ' . $cat1 . ' ' . $cat2 . ' ❸ ' . $cat3 . ' ' . $cat4;
   }
   if (strlen($cat0) && strlen($cat1) && !strlen($cat2 && !strlen($cat3) && !strlen($cat4))) {
      $val =  $cat0 . ' ' . $cat1 . ' ❷ ' . $cat2 . ' ' . $cat3 . ' ' . $cat4;
   }
   if (strlen($cat0) && !strlen($cat1) && !strlen($cat2 && !strlen($cat3) && !strlen($cat4))) {
      $val =  ' ' . $cat0 . ' ❶ ' . $cat1 . ' ' . $cat2 . ' ' . $cat3 . ' ' . $cat4;
   }
   return $val;
}


function name_cat($dbc, $cod_cat)
{
   $cod_cat = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE cod_cat='$cod_cat'");
   foreach ($cod_cat as $rpr2) {
      $n0 = $rpr2['n0'];
      $n1 = $rpr2['n1'];
      $n2 = $rpr2['n2'];
   }

   if ($n0 > 0) {
      $qo = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE n0='$n0' AND n1=0 AND n2=0");
      foreach ($qo as $r) {
         $cat0 = $r['cat'];
      }
   } else {
      $cat0 = '';
   }
   if ($n1 > 0) {
      $qo1 = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE n0='$n0' AND n1='$n1' AND n2=0");
      foreach ($qo1 as $r1) {
         $cat1 = $r1['cat'];
      }
   } else {
      $cat1 = '';
   }
   if ($n2 > 0) {
      $qo2 = $dbc->query("SELECT * FROM cc_ipc_prod_cat WHERE n0='$n0' AND n1='$n1' AND n2='$n2'");
      foreach ($qo2 as $r2) {
         $cat2 = $r2['cat'];
      }
   } else {
      $cat2 = '';
   }

   if (strlen($cat0) && strlen($cat1) && strlen($cat2)) {
      $val =  $cat0 . ' ' . $cat1 . ' ' . $cat2 . ' ❸ ';
   }
   if (strlen($cat0) && strlen($cat1) && !strlen($cat2)) {
      $val =  $cat0 . ' ' . $cat1 . ' ❷ ' . $cat2;
   }
   if (strlen($cat0) && !strlen($cat1) && !strlen($cat2)) {
      $val =  ' ' . $cat0 . ' ❶ ' . $cat1 . ' ' . $cat2;
   }
   return $val;
}

function name_users($dbc, $cod_ci)
{
   $q = $dbc->query("SELECT * FROM ipc_users WHERE ci='$cod_ci'");
   foreach ($q as $r) {
      return $r['names'] . ' ' . $r['surnames'];
   }
}



function nombremes($mes)
{
   setlocale(LC_TIME, 'spanish');
   return strftime("%B", mktime(0, 0, 0, $mes, 1, 2000));
}

function deuda_user($dbc, $ci)
{
   $qdeuda = $dbc->query("SELECT SUM(bs_s) AS deuda FROM cc_ipc_o_ven WHERE r_ci='$ci' AND estado='ENTREGADO'");
   foreach ($qdeuda as $rd) {
      $deuda = $rd['deuda'];
   }
   return $deuda;
}


function stock_real($dbc, $suc, $prod)
{
   $q = $dbc->query("SELECT s0, s1, (SUM(s2)+SUM(s3)+SUM(s4))-(SUM(s5)+SUM(s6)) AS t1 FROM
   (
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, d.cant_in AS s2, 0 AS s3, 0 AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_i_com r, cc_ipc_i_com_det d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, d.cant_in AS s3, 0 AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_i_dev r, cc_ipc_i_dev_det d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT  r.prod_suc_out AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, d.cant_in AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_origen d
      WHERE d.dr_est='ENTREGADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, d.cant_in AS s5, 0 AS s6 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_destino d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, 0 AS s5, d.cant_out AS s6 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det d
      WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, 0 AS s5, d.cant_out AS s6 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det_prom d
      WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
   ) s
   WHERE s0='$suc' AND s1='$prod' GROUP BY s0, s1");
   foreach ($q as $r) {
      $stock = $r['t1'];
   }
   return $stock;
}
function stock_reserva($dbc, $suc, $prod)
{
   $q = $dbc->query("SELECT s0, s1, (SUM(s2)+SUM(s3)+SUM(s4))-(SUM(s5)+SUM(s6)) AS t1 FROM
   (
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, d.cant_in AS s2, 0 AS s3, 0 AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_i_com r, cc_ipc_i_com_det d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, d.cant_in AS s3, 0 AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_i_dev r, cc_ipc_i_dev_det d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT  r.prod_suc_out AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, d.cant_in AS s4, 0 AS s5, 0 AS s6 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_origen d
      WHERE d.dr_est='ENTREGADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, d.cant_in AS s5, 0 AS s6 FROM cc_ipc_io_transfer r, cc_ipc_io_transfer_det_destino d
      WHERE d.dr_est='INGRESADO' AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, 0 AS s5, d.cant_out AS s6 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det d
      WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO', 'AUTORIZADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
      UNION ALL
      SELECT r.prod_suc_in AS s0, d.p_cod AS s1, 0 AS s2, 0 AS s3, 0 AS s4, 0 AS s5, d.cant_out AS s6 FROM cc_ipc_o_ven r, cc_ipc_o_ven_det_prom d
      WHERE d.dr_est IN ('REBOTE PARCIAL', 'ENTREGADO', 'AUTORIZADO') AND r.r_cod=d.dr_cod AND r.r_ci=d.dr_ci
   ) s
   WHERE s0='$suc' AND s1='$prod' GROUP BY s0, s1");
   foreach ($q as $r) {
      $stock = $r['t1'];
   }
   return $stock;
}